<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There area two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router what URI segments to use if those provided
| in the URL cannot be matched to a valid route.
|
*/
$route['default_controller'] = 'user/index';
//$route['default_controller'] = 'welcome';
$route['404_override'] = '';

/*admin*/
$route['admin'] = 'user/index';
$route['admin/signup'] = 'user/signup';
$route['admin/create_member'] = 'user/create_member';
$route['admin/login'] = 'user/index';
$route['admin/logout'] = 'user/logout';
$route['admin/login/validate_credentials'] = 'user/validate_credentials';
$route['admin/login/validate_key'] = 'user/validate_key';

$route['admin/water_demand'] = 'admin_water_demand/index';
$route['admin/water_demand/add'] = 'admin_water_demand/add';
$route['admin/water_demand/duplicate'] = 'admin_water_demand/duplicate';
$route['admin/water_demand/import'] = 'admin_water_demand/import';
$route['admin/water_demand/update'] = 'admin_water_demand/update';
$route['admin/water_demand/update/(:any)'] = 'admin_water_demand/update/$1';
$route['admin/water_demand/delete/(:any)'] = 'admin_water_demand/delete/$1';
$route['admin/water_demand/destroy/(:any)'] = 'admin_water_demand/destroy/$1';
$route['admin/water_demand/(:any)'] = 'admin_water_demand/index/$1'; //$1 = page number

$route['admin/intake_well'] = 'admin_intake_well/index';
$route['admin/intake_well/add'] = 'admin_intake_well/add';
$route['admin/intake_well/update'] = 'admin_intake_well/update';
$route['admin/intake_well/update/(:any)'] = 'admin_intake_well/update/$1';
$route['admin/intake_well/delete/(:any)'] = 'admin_intake_well/delete/$1';
$route['admin/intake_well/(:any)'] = 'admin_intake_well/index/$1'; //$1 = page number

$route['admin/pump_design'] = 'admin_pump_design/index';
$route['admin/pump_design/add'] = 'admin_pump_design/add';
$route['admin/pump_design/update'] = 'admin_pump_design/update';
$route['admin/pump_design/update/(:any)'] = 'admin_pump_design/update/$1';
$route['admin/pump_design/delete/(:any)'] = 'admin_pump_design/delete/$1';
$route['admin/pump_design/(:any)'] = 'admin_pump_design/index/$1'; //$1 = page number

$route['admin/presedimentation_tank'] = 'admin_presedimentation_tank/index';
$route['admin/presedimentation_tank/add'] = 'admin_presedimentation_tank/add';
$route['admin/presedimentation_tank/update'] = 'admin_presedimentation_tank/update';
$route['admin/presedimentation_tank/update/(:any)'] = 'admin_presedimentation_tank/update/$1';
$route['admin/presedimentation_tank/delete/(:any)'] = 'admin_presedimentation_tank/delete/$1';
$route['admin/presedimentation_tank/(:any)'] = 'admin_presedimentation_tank/index/$1'; //$1 = page number

$route['admin/aeration_unit'] = 'admin_aeration_unit/index';
$route['admin/aeration_unit/add'] = 'admin_aeration_unit/add';
$route['admin/aeration_unit/update'] = 'admin_aeration_unit/update';
$route['admin/aeration_unit/update/(:any)'] = 'admin_aeration_unit/update/$1';
$route['admin/aeration_unit/delete/(:any)'] = 'admin_aeration_unit/delete/$1';
$route['admin/aeration_unit/(:any)'] = 'admin_aeration_unit/index/$1'; //$1 = page number

$route['admin/alum_dose'] = 'admin_alum_dose/index';
$route['admin/alum_dose/add'] = 'admin_alum_dose/add';
$route['admin/alum_dose/update'] = 'admin_alum_dose/update';
$route['admin/alum_dose/update/(:any)'] = 'admin_alum_dose/update/$1';
$route['admin/alum_dose/delete/(:any)'] = 'admin_alum_dose/delete/$1';
$route['admin/alum_dose/(:any)'] = 'admin_alum_dose/index/$1'; //$1 = page number

$route['admin/rapid_mix'] = 'admin_rapid_mix/index';
$route['admin/rapid_mix/add'] = 'admin_rapid_mix/add';
$route['admin/rapid_mix/update'] = 'admin_rapid_mix/update';
$route['admin/rapid_mix/update/(:any)'] = 'admin_rapid_mix/update/$1';
$route['admin/rapid_mix/delete/(:any)'] = 'admin_rapid_mix/delete/$1';
$route['admin/rapid_mix/(:any)'] = 'admin_rapid_mix/index/$1'; //$1 = page number

$route['admin/clari_unit'] = 'admin_clari_unit/index';
$route['admin/clari_unit/add'] = 'admin_clari_unit/add';
$route['admin/clari_unit/update'] = 'admin_clari_unit/update';
$route['admin/clari_unit/update/(:any)'] = 'admin_clari_unit/update/$1';
$route['admin/clari_unit/delete/(:any)'] = 'admin_clari_unit/delete/$1';
$route['admin/clari_unit/(:any)'] = 'admin_clari_unit/index/$1'; //$1 = page number

$route['admin/gravity_filter'] = 'admin_gravity_filter/index';
$route['admin/gravity_filter/add'] = 'admin_gravity_filter/add';
$route['admin/gravity_filter/update'] = 'admin_gravity_filter/update';
$route['admin/gravity_filter/update/(:any)'] = 'admin_gravity_filter/update/$1';
$route['admin/gravity_filter/delete/(:any)'] = 'admin_gravity_filter/delete/$1';
$route['admin/gravity_filter/(:any)'] = 'admin_gravity_filter/index/$1'; //$1 = page number

$route['admin/chlorinator'] = 'admin_chlorinator/index';
$route['admin/chlorinator/add'] = 'admin_chlorinator/add';
$route['admin/chlorinator/update'] = 'admin_chlorinator/update';
$route['admin/chlorinator/update/(:any)'] = 'admin_chlorinator/update/$1';
$route['admin/chlorinator/delete/(:any)'] = 'admin_chlorinator/delete/$1';
$route['admin/chlorinator/(:any)'] = 'admin_chlorinator/index/$1'; //$1 = page number

$route['admin/clear_water_tank'] = 'admin_clear_water_tank/index';
$route['admin/clear_water_tank/add'] = 'admin_clear_water_tank/add';
$route['admin/clear_water_tank/update'] = 'admin_clear_water_tank/update';
$route['admin/clear_water_tank/update/(:any)'] = 'admin_clear_water_tank/update/$1';
$route['admin/clear_water_tank/delete/(:any)'] = 'admin_clear_water_tank/delete/$1';
$route['admin/clear_water_tank/(:any)'] = 'admin_clear_water_tank/index/$1'; //$1 = page number
$route['admin/summary'] = 'summary/index';
$route['admin/report'] = 'admin_report/index';
$route['admin/report/import'] = 'admin_report/import';
//$route['admin/superrun/import'] = 'admin_superrun/import';
$route['admin/report/savetofile'] = 'admin_report/savetofile';
$route['admin/report/savetosess'] = 'admin_report/savetosess';
$route['admin/report/exporttodoc'] = 'admin_report/exporttodoc';
$route['admin/report/exportToDxf'] = 'admin_report/exportToDxf';
$route['admin/report/download_view'] = 'admin_report/download_view';
$route['admin/report/download_view/(:any)'] = 'admin_report/download_view/$1';

$route['admin/superrun'] = 'admin_superrun/index';
$route['admin/superrun/import'] = 'admin_superrun/import';
$route['admin/superrun/add'] = 'admin_superrun/add';

$route['admin/companies'] = 'admin_companies/index';
$route['admin/companies/add'] = 'admin_companies/add';
$route['admin/companies/update'] = 'admin_companies/update';
$route['admin/companies/update/(:any)'] = 'admin_companies/update/$1';
$route['admin/companies/reset'] = 'admin_companies/reset';
$route['admin/companies/reset/(:any)'] = 'admin_companies/reset/$1';
$route['admin/companies/delete/(:any)'] = 'admin_companies/delete/$1';
$route['admin/companies/(:any)'] = 'admin_companies/index/$1'; //$1 = page number

$route['admin/users'] = 'admin_users/index';
$route['admin/users/add'] = 'admin_users/add';
$route['admin/users/update'] = 'admin_users/update';
$route['admin/users/update/(:any)'] = 'admin_users/update/$1';
$route['admin/users/delete/(:any)'] = 'admin_users/delete/$1';
$route['admin/users/(:any)'] = 'admin_users/index/$1'; //$1 = page number


//$route['admin/intake_well'] = 'admin_intake_well/index';
//$route['admin/intake_well/(:any)'] = 'admin_intake_well/index/$1'; //$1 = page number


//	stp
$route['stp/screen_chamber'] = 'stp_screen_chamber/index';
$route['stp/screen_chamber/add'] = 'stp_screen_chamber/add';
$route['stp/screen_chamber/(:any)'] = 'stp_screen_chamber/index/$1'; //$1 = page number

$route['stp/grit_chamber'] = 'stp_grit_chamber/index';
$route['stp/grit_chamber/add'] = 'stp_grit_chamber/add';
$route['stp/grit_chamber/(:any)'] = 'stp_grit_chamber/index/$1';

$route['stp/skimming_tank'] = 'stp_skimming_tank/index';
$route['stp/skimming_tank/add'] = 'stp_skimming_tank/add';
$route['stp/skimming_tank/(:any)'] = 'stp_skimming_tank/index/$1';

$route['stp/primary_settling_tank'] = 'stp_primary_settling_tank/index';
$route['stp/primary_settling_tank/add'] = 'stp_primary_settling_tank/add';
$route['stp/primary_settling_tank/(:any)'] = 'stp_primary_settling_tank/index/$1';

$route['stp/aeration_tank'] = 'stp_aeration_tank/index';
$route['stp/aeration_tank/add'] = 'stp_aeration_tank/add';
$route['stp/aeration_tank/(:any)'] = 'stp_aeration_tank/index/$1';

$route['stp/trickling_filter'] = 'stp_trickling_filter/index';
$route['stp/trickling_filter/add'] = 'stp_trickling_filter/add';
$route['stp/trickling_filter/(:any)'] = 'stp_trickling_filter/index/$1';

$route['stp/secondary_settling_tank'] = 'stp_secondary_settling_tank/index';
$route['stp/secondary_settling_tank/add'] = 'stp_secondary_settling_tank/add';
$route['stp/secondary_settling_tank/(:any)'] = 'stp_secondary_settling_tank/index/$1';

$route['stp/digester_unit'] = 'stp_digester_unit/index';
$route['stp/digester_unit/add'] = 'stp_digester_unit/add';
$route['stp/digester_unit/(:any)'] = 'stp_digester_unit/index/$1';

$route['stp/sludge_drying_beds'] = 'stp_sludge_drying_beds/index';
$route['stp/sludge_drying_beds/add'] = 'stp_sludge_drying_beds/add';
$route['stp/sludge_drying_beds/(:any)'] = 'stp_sludge_drying_beds/index/$1';

$route['stp/report'] = 'stp_report/index';
$route['stp/report/import'] = 'stp_report/import';
$route['stp/report/savetofile'] = 'stp_report/savetofile';
$route['stp/report/savetosess'] = 'stp_report/savetosess';
$route['stp/report/exporttodoc'] = 'stp_report/exporttodoc';
$route['stp/report/exportToDxf'] = 'stp_report/exportToDxf';
$route['stp/report/download_view'] = 'stp_report/download_view';
$route['stp/report/download_view/(:any)'] = 'stp_report/download_view/$1';

$route['stp/superrun'] = 'stp_superrun/index';
$route['stp/superrun/import'] = 'stp_superrun/import';
$route['stp/superrun/add'] = 'stp_superrun/add';
$route['stp/Summary'] = 'Summary_STP/index';


$route['admin/products'] = 'admin_products/index';
$route['admin/products/add'] = 'admin_products/add';
$route['admin/products/update'] = 'admin_products/update';
$route['admin/products/update/(:any)'] = 'admin_products/update/$1';
$route['admin/products/delete/(:any)'] = 'admin_products/delete/$1';
$route['admin/products/(:any)'] = 'admin_products/index/$1'; //$1 = page number

$route['admin/manufacturers'] = 'admin_manufacturers/index';
$route['admin/manufacturers/add'] = 'admin_manufacturers/add';
$route['admin/manufacturers/update'] = 'admin_manufacturers/update';
$route['admin/manufacturers/update/(:any)'] = 'admin_manufacturers/update/$1';
$route['admin/manufacturers/delete/(:any)'] = 'admin_manufacturers/delete/$1';
$route['admin/manufacturers/(:any)'] = 'admin_manufacturers/index/$1'; //$1 = page number



/* End of file routes.php */
/* Location: ./application/config/routes.php */