<?php
class Summary extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		
		if ( count($this->session->userdata('Summary')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['jackwell'] = $this->session->userdata['water_demand']['jackwell'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['DIAMETER-of_pipe_jackwell_sedimentation'] = $this->session->userdata['Summary']['DIAMETER-of_pipe_jackwell_sedimentation'];
                        $this->data['DIAMETER-of_pipe_jackwell_sedimentation'] = $this->session->userdata['Summary']['DIAMETER-of_pipe_jackwell_sedimentation'];
			$this->data['no_of_trays'] = $this->session->userdata['aeration_unit']['no_of_trays'];
			$this->data['rise_of_tray'] = $this->session->userdata['aeration_unit']['rise_of_tray'];
			$this->data['space_req'] = $this->session->userdata['aeration_unit']['space_req'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['jackwell'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['head_required'] = 0.0;
			$this->data['no_of_trays'] = "";
			$this->data['rise_of_tray'] = "";
			$this->data['space_req'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['jackwell'] = $this->session->userdata['water_demand']['jackwell'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
                $this->data['main_content'] = 'admin/summary/add';
		$this->load->view('includes/middle', $this->data);
		//$this->load->view('admin/aeration_unit/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	

	public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {
            $this->form_validation->set_rules('head_required', 'Head Required', 'required|numeric');
            $this->form_validation->set_rules('no_of_trays', 'No of Trays', 'required|numeric');
            $this->form_validation->set_rules('rise_of_tray', 'Rise of Tray', 'required|numeric');
            $this->form_validation->set_rules('space_req', 'Space Required', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'head_required' => $this->input->post('head_required'),
                    'no_of_trays' => $this->input->post('no_of_trays'),
					'rise_of_tray' => $this->input->post('rise_of_tray'),
					'space_req' => $this->input->post('space_req'),
					'diameter_of_inner_pipe' => $this->input->post('diameter_of_inner_pipe')
                );
				$this->session->set_userdata('aeration_unit', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/rapid_mix');

            }

        }
		
    }       

}