<?php
class Admin_alum_dose extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		
		if ( count($this->session->userdata('alum_dose')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['alum_applied'] = $this->session->userdata['alum_dose']['alum_applied'];
			$this->data['platform_height'] = $this->session->userdata['alum_dose']['platform_height'];
			$this->data['required_for_month'] = $this->session->userdata['alum_dose']['required_for_month'];
			$this->data['height_of_tank'] = $this->session->userdata['alum_dose']['height_of_tank'];
			$this->data['density_of_alum'] = $this->session->userdata['alum_dose']['density_of_alum'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['alum_applied'] = "";
			$this->data['platform_height'] = "";
			$this->data['required_for_month'] = "";
			$this->data['height_of_tank'] = "";
			$this->data['density_of_alum'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/alum_dose/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/alum_dose/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
	public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {
            $this->form_validation->set_rules('alum_applied', 'Alum applied', 'required|numeric');
            $this->form_validation->set_rules('platform_height', 'Height of platform', 'required|numeric');
            $this->form_validation->set_rules('required_for_month', 'Required for months', 'required|numeric');
            $this->form_validation->set_rules('height_of_tank', 'Height of tank', 'required|numeric');
            $this->form_validation->set_rules('density_of_alum', 'Density of alum', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'alum_applied' => $this->input->post('alum_applied'),
                    'platform_height' => $this->input->post('platform_height'),
					'required_for_month' => $this->input->post('required_for_month'),
					'height_of_tank' => $this->input->post('height_of_tank'),
					'density_of_alum' => $this->input->post('density_of_alum'),
                    'tank_ad_diameter' => $this->input->post('tank_ad_diameter')
                );
				$this->session->set_userdata('alum_dose', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/clari_unit');
            }
			
        }
		
    }
	
	
}