<?php
class Admin_chlorinator extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		if ( count($this->session->userdata('chlorinator')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['chlorine_applied'] = $this->session->userdata['chlorinator']['chlorine_applied'];
			$this->data['residual_chlorine'] = $this->session->userdata['chlorinator']['residual_chlorine'];
			$this->data['required_ch_for_month'] = $this->session->userdata['chlorinator']['required_ch_for_month'];
			$this->data['c_height_of_tank'] = $this->session->userdata['chlorinator']['c_height_of_tank'];
			$this->data['c_height_of_platform'] = $this->session->userdata['chlorinator']['c_height_of_platform'];
			$this->data['density_of_chlorine'] = $this->session->userdata['chlorinator']['density_of_chlorine'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['chlorine_applied'] = "";
			$this->data['residual_chlorine'] = "";
			$this->data['required_ch_for_month'] = "";
			$this->data['c_height_of_tank'] = "";
			$this->data['c_height_of_platform'] = "";
			$this->data['density_of_chlorine'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/chlorinator/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/chlorinator/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	

	public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {
            $this->form_validation->set_rules('chlorine_applied', 'Liquid Chlorine applied', 'required|numeric');
            $this->form_validation->set_rules('residual_chlorine', 'Residual liquid chlorine', 'required|numeric');
            $this->form_validation->set_rules('required_ch_for_month', 'Required for months', 'required|numeric');
            $this->form_validation->set_rules('c_height_of_tank', 'Height of tank', 'required|numeric');
            $this->form_validation->set_rules('c_height_of_platform', 'Height of platform', 'required|numeric');
            $this->form_validation->set_rules('density_of_chlorine', 'Density of liquid chlorine', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'chlorine_applied' => $this->input->post('chlorine_applied'),
                    'residual_chlorine' => $this->input->post('residual_chlorine'),
					'required_ch_for_month' => $this->input->post('required_ch_for_month'),
					'c_height_of_tank' => $this->input->post('c_height_of_tank'),
					'c_height_of_platform' => $this->input->post('c_height_of_platform'),
					'density_of_chlorine' => $this->input->post('density_of_chlorine'),
                    'tank_ch_diameter' => $this->input->post('tank_ch_diameter'),
                     'tank_ch_diameter' => $this->input->post('tank_ch_diameter'),
                      'c_tank_diameter' => $this->input->post('c_tank_diameter')
                    
                );
				$this->session->set_userdata('chlorinator', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/clear_water_tank');
				
            }
			
        }
		
    }       


}