<?php
class Admin_clari_unit extends CI_Controller { 

	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		
		if ( count($this->session->userdata('clari_unit')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['detention_time_cu'] = $this->session->userdata['clari_unit']['detention_time_cu'];
			$this->data['velocity_gradient'] = $this->session->userdata['clari_unit']['velocity_gradient'];
			$this->data['water_depth'] = $this->session->userdata['clari_unit']['water_depth'];
			$this->data['inlet_diameter'] = $this->session->userdata['clari_unit']['inlet_diameter'];
			$this->data['no_of_tanks'] = $this->session->userdata['clari_unit']['no_of_tanks'];
			$this->data['total_power_input'] = $this->session->userdata['clari_unit']['total_power_input'];
			$this->data['drag_coefficient'] = $this->session->userdata['clari_unit']['drag_coefficient'];
			$this->data['water_density'] = $this->session->userdata['clari_unit']['water_density'];
			$this->data['blade_velocity'] = $this->session->userdata['clari_unit']['blade_velocity'];
			$this->data['paddle_area'] = $this->session->userdata['clari_unit']['paddle_area'];
			$this->data['no_of_shafts'] = $this->session->userdata['clari_unit']['no_of_shafts'];
			$this->data['no_of_paddles'] = $this->session->userdata['clari_unit']['no_of_paddles'];
			$this->data['paddle_length'] = $this->session->userdata['clari_unit']['paddle_length'];
			$this->data['paddle_width'] = $this->session->userdata['clari_unit']['paddle_width'];
			$this->data['overflow_cu_rate'] = $this->session->userdata['clari_unit']['overflow_cu_rate'];
			$this->data['detention_cu_period'] = $this->session->userdata['clari_unit']['detention_cu_period'];
			$this->data['free_cu_board'] = $this->session->userdata['clari_unit']['free_cu_board'];
			$this->data['no_of_launders'] = $this->session->userdata['clari_unit']['no_of_launders'];
			$this->data['launder_velocity'] = $this->session->userdata['clari_unit']['launder_velocity'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['detention_time_cu'] = "";
			$this->data['velocity_gradient'] = "";
			$this->data['water_depth'] = "";
			$this->data['inlet_diameter'] = "";
			$this->data['no_of_tanks'] = "";
			$this->data['total_power_input'] = "";
			$this->data['drag_coefficient'] = "";
			$this->data['water_density'] = "";
			$this->data['blade_velocity'] = "";
			$this->data['paddle_area'] = "";
			$this->data['no_of_shafts'] = "";
			$this->data['no_of_paddles'] = "";
			$this->data['paddle_length'] = "";
			$this->data['paddle_width'] = "";
			$this->data['overflow_cu_rate'] = "";
			$this->data['detention_cu_period'] = "";
			$this->data['free_cu_board'] = "";
			$this->data['no_of_launders'] = "";
			$this->data['launder_velocity'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/clari_unit/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/clari_unit/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
	public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {
            $this->form_validation->set_rules('detention_time_cu', 'Detention period', 'required|numeric');
            $this->form_validation->set_rules('velocity_gradient', 'Velocity Gradient', 'required|numeric');
            $this->form_validation->set_rules('water_depth', 'Provide a water depth', 'required|numeric');
            $this->form_validation->set_rules('inlet_diameter', 'Diameter of inlet pipe', 'required|numeric');
            $this->form_validation->set_rules('no_of_tanks', 'Number of Tanks', 'required|numeric');
            $this->form_validation->set_rules('total_power_input', 'For volume, Total power input to flocculator', 'required|numeric');
            $this->form_validation->set_rules('drag_coefficient', 'Newton\'s co-efficient of drag', 'required|numeric');
            $this->form_validation->set_rules('water_density', 'Density of water at 25 degree C', 'required|numeric');
            $this->form_validation->set_rules('blade_velocity', 'Velocity of tip of blades', 'required|numeric');
            $this->form_validation->set_rules('paddle_area', 'Using above formula area of paddle is (Ap\')', 'required|numeric');
            $this->form_validation->set_rules('no_of_shafts', 'Number of shafts provided', 'required|numeric');
            $this->form_validation->set_rules('no_of_paddles', 'Each shaft supports n no of paddles', 'required|numeric');
            $this->form_validation->set_rules('paddle_length', 'Provide length of each padddle', 'required|numeric');
            $this->form_validation->set_rules('paddle_width', 'Width of each paddle', 'required|numeric');
            $this->form_validation->set_rules('overflow_cu_rate', 'Surface overflow rate', 'required|numeric');
            $this->form_validation->set_rules('detention_cu_period', 'Detention period', 'required|numeric');
            $this->form_validation->set_rules('free_cu_board', 'Free board', 'required|numeric');
            $this->form_validation->set_rules('no_of_launders', 'Provide n number of Launders', 'required|numeric');
            $this->form_validation->set_rules('launder_velocity', 'Velocity of flow through launder', 'required|numeric');
			
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'detention_time_cu' => $this->input->post('detention_time_cu'),
                    'velocity_gradient' => $this->input->post('velocity_gradient'),
					'water_depth' => $this->input->post('water_depth'),
					'inlet_diameter' => $this->input->post('inlet_diameter'),
					'no_of_tanks' => $this->input->post('no_of_tanks'),
					'total_power_input' => $this->input->post('total_power_input'),
					'drag_coefficient' => $this->input->post('drag_coefficient'),
					'water_density' => $this->input->post('water_density'),
					'blade_velocity' => $this->input->post('blade_velocity'),
					'paddle_area' => $this->input->post('paddle_area'),
					'no_of_shafts' => $this->input->post('no_of_shafts'),
					'no_of_paddles' => $this->input->post('no_of_paddles'),
					'paddle_length' => $this->input->post('paddle_length'),
					'paddle_width' => $this->input->post('paddle_width'),
					'overflow_cu_rate' => $this->input->post('overflow_cu_rate'),
					'detention_cu_period' => $this->input->post('detention_cu_period'),
					'free_cu_board' => $this->input->post('free_cu_board'),
					'no_of_launders' => $this->input->post('no_of_launders'),
					'launder_velocity' => $this->input->post('launder_velocity'),
                    
                    
                    'flocculator_diameter' => $this->input->post('flocculator_diameter'),
                    'total_paddles' => $this->input->post('total_paddles'),
                    'clariflocculator_diameter' => $this->input->post('clariflocculator_diameter'),
                    'depth_of_sludge' => $this->input->post('depth_of_sludge'),
                    'depth_of_tank_cu' => $this->input->post('depth_of_tank_cu'),
                    'total_depth' => $this->input->post('total_depth')
                );
				$this->session->set_userdata('clari_unit', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/gravity_filter');
				
            }

        }
		
    }       


}