<?php
class Admin_gravity_filter extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
	{
		if ( count($this->session->userdata('gravity_filter')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['time_lost'] = $this->session->userdata['gravity_filter']['time_lost'];
			$this->data['working_hours'] = $this->session->userdata['gravity_filter']['working_hours'];
			$this->data['filtration_rate'] = $this->session->userdata['gravity_filter']['filtration_rate'];
			$this->data['length_width_ratio'] = $this->session->userdata['gravity_filter']['length_width_ratio'];
			$this->data['perforation_size'] = $this->session->userdata['gravity_filter']['perforation_size'];
			$this->data['laterals_spacing'] = $this->session->userdata['gravity_filter']['laterals_spacing'];
			$this->data['laterals_diameter'] = $this->session->userdata['gravity_filter']['laterals_diameter'];
			$this->data['filter_bed_width'] = $this->session->userdata['gravity_filter']['filter_bed_width'];
			$this->data['filter_bed_length'] = $this->session->userdata['gravity_filter']['filter_bed_length'];
			$this->data['wash_water_rate'] = $this->session->userdata['gravity_filter']['wash_water_rate'];
			$this->data['wash_water_spacing'] = $this->session->userdata['gravity_filter']['wash_water_spacing'];
			$this->data['trough_width'] = $this->session->userdata['gravity_filter']['trough_width'];
			$this->data['trough_free_board'] = $this->session->userdata['gravity_filter']['trough_free_board'];
			$this->data['trough_bottom'] = $this->session->userdata['gravity_filter']['trough_bottom'];
			$this->data['min_depth_required'] = $this->session->userdata['gravity_filter']['min_depth_required'];
			$this->data['filtering_depth'] = $this->session->userdata['gravity_filter']['filtering_depth'];
			$this->data['backwashing_depth'] = $this->session->userdata['gravity_filter']['backwashing_depth'];
			$this->data['filter_free_board'] = $this->session->userdata['gravity_filter']['filter_free_board'];
			$this->data['backwash_rate_rise'] = $this->session->userdata['gravity_filter']['backwash_rate_rise'];
			$this->data['filter_bed_flow'] = $this->session->userdata['gravity_filter']['filter_bed_flow'];
			$this->data['backwash_flow'] = $this->session->userdata['gravity_filter']['backwash_flow'];
			$this->data['backwash_duration'] = $this->session->userdata['gravity_filter']['backwash_duration'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['time_lost'] = "";
			$this->data['working_hours'] = "";
			$this->data['filtration_rate'] = "";
			$this->data['length_width_ratio'] = "";
			$this->data['perforation_size'] = "";
			$this->data['laterals_spacing'] = "";
			$this->data['laterals_diameter'] = "";
			$this->data['filter_bed_width'] = "";
			$this->data['filter_bed_length'] = "";
			$this->data['wash_water_rate'] = "";
			$this->data['wash_water_spacing'] = "";
			$this->data['trough_width'] = "";
			$this->data['trough_free_board'] = "";
			$this->data['trough_bottom'] = "";
			$this->data['min_depth_required'] = "";
			$this->data['filtering_depth'] = "";
			$this->data['backwashing_depth'] = "";
			$this->data['filter_free_board'] = "";
			$this->data['overflow_rate'] = "";
			$this->data['backwash_rate_rise'] = "";
			$this->data['filter_bed_flow'] = "";
			$this->data['backwash_flow'] = "";
			$this->data['backwash_duration'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/gravity_filter/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/gravity_filter/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	

	public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {
            $this->form_validation->set_rules('time_lost', 'Time lost during backwashing', 'required|numeric');
            $this->form_validation->set_rules('working_hours', 'Working hours of filter per day', 'required|numeric');
            $this->form_validation->set_rules('filtration_rate', 'Rate of filtration', 'required|numeric');
            $this->form_validation->set_rules('length_width_ratio', 'Length:Width ratio', 'required|numeric');
            $this->form_validation->set_rules('perforation_size', 'Size of perforation', 'required|numeric');
            $this->form_validation->set_rules('filter_bed_width', 'Provide width of filter bed', 'required|numeric');
            $this->form_validation->set_rules('filter_bed_length', 'Provide length of filter bed', 'required|numeric');
            $this->form_validation->set_rules('laterals_spacing', 'Assume Spacing for laterals', 'required|numeric');
            $this->form_validation->set_rules('laterals_diameter', 'Assume Diameter of lateral', 'required|numeric');
            $this->form_validation->set_rules('wash_water_rate', 'Assume Wash water rate', 'required|numeric');
            $this->form_validation->set_rules('wash_water_spacing', 'Assume spacing for wash water', 'required|numeric');
            $this->form_validation->set_rules('trough_width', 'Assume width of trough', 'required|numeric');
            $this->form_validation->set_rules('trough_free_board', 'Assume free board for trough (bt)', 'required|numeric');
            $this->form_validation->set_rules('trough_bottom', 'Bottom of trough from sand bed is given as', 'required|numeric');
            $this->form_validation->set_rules('min_depth_required', 'Minimum depth required for sand', 'required|numeric');
            $this->form_validation->set_rules('filtering_depth', 'Depth of water while filtering', 'required|numeric');
            $this->form_validation->set_rules('backwashing_depth', 'Depth of water while backwashing', 'required|numeric');
            $this->form_validation->set_rules('filter_free_board', 'Free board for rapid gravity filter (d6)', 'required|numeric');
            $this->form_validation->set_rules('backwash_rate_rise', 'Assume rise/min backwash rate', 'required|numeric');
            $this->form_validation->set_rules('filter_bed_flow', 'Flow per filter bed considering wash water rate', 'required|numeric');
            $this->form_validation->set_rules('backwash_flow', 'Required flow for backwash', 'required|numeric');
            $this->form_validation->set_rules('backwash_duration', 'Duration of backwash for 2 filter bed', 'required|numeric');
			
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'time_lost' => $this->input->post('time_lost'),
                    'working_hours' => $this->input->post('working_hours'),
					'filtration_rate' => $this->input->post('filtration_rate'),
					'length_width_ratio' => $this->input->post('length_width_ratio'),
					'perforation_size' => $this->input->post('perforation_size'),
					'filter_bed_width' => $this->input->post('filter_bed_width'),
					'filter_bed_length' => $this->input->post('filter_bed_length'),
					'laterals_spacing' => $this->input->post('laterals_spacing'),
					'laterals_diameter' => $this->input->post('laterals_diameter'),
					'wash_water_rate' => $this->input->post('wash_water_rate'),
					'wash_water_spacing' => $this->input->post('wash_water_spacing'),
					'trough_width' => $this->input->post('trough_width'),
					'trough_free_board' => $this->input->post('trough_free_board'),
					'trough_bottom' => $this->input->post('trough_bottom'),
					'min_depth_required' => $this->input->post('min_depth_required'),
					'filtering_depth' => $this->input->post('filtering_depth'),
					'backwashing_depth' => $this->input->post('backwashing_depth'),
					'filter_free_board' => $this->input->post('filter_free_board'),
					'backwash_rate_rise' => $this->input->post('backwash_rate_rise'),
					'filter_bed_flow' => $this->input->post('filter_bed_flow'),
					'backwash_flow' => $this->input->post('backwash_flow'),
					'backwash_duration' => $this->input->post('backwash_duration'),
                    'no_of_trough' => $this->input->post('no_of_trough'),
                    'trough_depth' => $this->input->post('trough_depth'),
                    'filter_free_board' => $this->input->post('filter_free_board'),
                    'underdrainage_depth' => $this->input->post('underdrainage_depth')
                   
                        
                        
                        
                );
				$this->session->set_userdata('gravity_filter', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/chlorinator');

            }

        }
		
    }       


}