<?php
class Admin_intake_well extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		
		if ( count($this->session->userdata('intake_well')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['no_of_openings'] = $this->session->userdata['intake_well']['no_of_openings'];
			$this->data['diameter_bars'] = $this->session->userdata['intake_well']['diameter_bars'];
			$this->data['spacing_bars'] = $this->session->userdata['intake_well']['spacing_bars'];
			$this->data['screen_width'] = $this->session->userdata['intake_well']['screen_width'];
			$this->data['intake_well_diameter'] = $this->session->userdata['intake_well']['intake_well_diameter'];
			$this->data['depth_below_water_level'] = $this->session->userdata['intake_well']['depth_below_water_level'];
			$this->data['depth_above_water_level'] = $this->session->userdata['intake_well']['depth_above_water_level'];
			$this->data['gravity_main_velocity'] = $this->session->userdata['intake_well']['gravity_main_velocity'];
			$this->data['pipe_max_diameter'] = $this->session->userdata['intake_well']['pipe_max_diameter'];
			$this->data['pipe_material_coefficient'] = $this->session->userdata['intake_well']['pipe_material_coefficient'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['velocity'] = "";
			$this->data['no_of_openings'] = "";
			$this->data['diameter_bars'] = "";
			$this->data['spacing_bars'] = "";
			$this->data['screen_width'] = "";
			$this->data['intake_well_diameter'] = "";
			$this->data['depth_below_water_level'] = "";
			$this->data['depth_above_water_level'] = "";
			$this->data['gravity_main_velocity'] = "";
			$this->data['pipe_max_diameter'] = "";
			$this->data['pipe_material_coefficient'] = "";
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['discharge_required'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
                               
			}
		}
		
        $this->data['main_content'] = 'admin/intake_well/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/intake_well/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
	public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('water_required', 'Quantity of required per day', 'required|numeric');
            $this->form_validation->set_rules('velocity', 'Velocity of water at inlet opening ', 'required|numeric');
            $this->form_validation->set_rules('no_of_openings', 'Providing number of openings', 'required|numeric');
            $this->form_validation->set_rules('diameter_bars', 'Providing bars of diameter', 'required|numeric');
            $this->form_validation->set_rules('spacing_bars', 'Providing spacing of bars', 'required|numeric');
            $this->form_validation->set_rules('screen_width', 'Width of screen', 'required|numeric');
            $this->form_validation->set_rules('intake_well_diameter', 'Diameter of intake well', 'required|numeric');
            $this->form_validation->set_rules('depth_below_water_level', 'Depth of well water level', 'required|numeric');
            $this->form_validation->set_rules('depth_above_water_level', 'Depth of the well above water level', 'required|numeric');
            $this->form_validation->set_rules('gravity_main_velocity', 'Velocity of water in gravity main', 'required|numeric');
            $this->form_validation->set_rules('pipe_max_diameter', 'Maximum diameter of pipe', 'required|numeric');
            $this->form_validation->set_rules('pipe_material_coefficient', 'Coefficient of pipe material', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'velocity' => $this->input->post('velocity'),
					'discharge_required' => $this->input->post('discharge_required'),
                    'no_of_openings' => $this->input->post('no_of_openings'),
                    'diameter_bars' => $this->input->post('diameter_bars'),
                    'spacing_bars' => $this->input->post('spacing_bars'),
                    'screen_width' => $this->input->post('screen_width'),
                    'intake_well_diameter' => $this->input->post('intake_well_diameter'),
                    'depth_below_water_level' => $this->input->post('depth_below_water_level'),
                    'depth_above_water_level' => $this->input->post('depth_above_water_level'),
                    'gravity_main_velocity' => $this->input->post('gravity_main_velocity'),
                    'pipe_max_diameter' => $this->input->post('pipe_max_diameter'),
                    'pipe_material_coefficient' => $this->input->post('pipe_material_coefficient'),
                    'discharge' => $this->input->post('discharge'),
                    'area_for_opening' => $this->input->post('area_for_opening'),
                    'area_for_opening_half' => $this->input->post('area_for_opening_half'),
                    'area_of_screen' => $this->input->post('area_of_screen'),
                    'screen_height' => $this->input->post('screen_height'),
                    'depth_of_tank' => $this->input->post('depth_of_tank'),
                    'discharge_per_second' => $this->input->post('discharge_per_second'),
                    'cross_section_area' => $this->input->post('cross_section_area'),
                    'gravity_main_diameter' => $this->input->post('gravity_main_diameter'),
                    'gravity_main_perimeter' => $this->input->post('gravity_main_perimeter'),
                    'hydraulic_radius' => $this->input->post('hydraulic_radius'),
                    'slope' => $this->input->post('slope'),
                    'jack_intake_well_diameter' => $this->input->post('jack_intake_well_diameter'),
                    'jack_depth_below_water_level' => $this->input->post('jack_depth_below_water_level'),
                    'jack_depth_above_water_level' => $this->input->post('jack_depth_above_water_level'),
                    'depth_of_jackwell' => $this->input->post('depth_of_jackwell'),
                     'iw_discharge_roundoff' => $this->input->post('iw_discharge_roundoff'),
                     'depth_of_tank' => $this->input->post('depth_of_tank'),
                    'discharge_roundoff' => $this->input->post('discharge_roundoff')
                );
				$this->session->set_userdata('intake_well', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('admin/pump_design');
				
            }
			
        }
	}
	

}