<?php
class Admin_presedimentation_tank extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		
		if ( count($this->session->userdata('presedimentation_tank')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['overflow_rate'] = $this->session->userdata['presedimentation_tank']['overflow_rate'];
			$this->data['min_side_water_depth'] = $this->session->userdata['presedimentation_tank']['min_side_water_depth'];
			$this->data['pumping_duration'] = $this->session->userdata['presedimentation_tank']['pumping_duration'];
			$this->data['detention_period'] = $this->session->userdata['presedimentation_tank']['detention_period'];
			$this->data['effective_depth'] = $this->session->userdata['presedimentation_tank']['effective_depth'];
			$this->data['free_board'] = $this->session->userdata['presedimentation_tank']['free_board'];
			$this->data['ratio_len_wid_vertical'] = $this->session->userdata['presedimentation_tank']['ratio_len_wid_vertical'];
			$this->data['ratio_len_wid_horizontal'] = $this->session->userdata['presedimentation_tank']['ratio_len_wid_horizontal'];
			$this->data['width_of_tank'] = $this->session->userdata['presedimentation_tank']['width_of_tank'];
			$this->data['influent_width'] = $this->session->userdata['presedimentation_tank']['influent_width'];
			$this->data['influent_depth'] = $this->session->userdata['presedimentation_tank']['influent_depth'];
			$this->data['influent_spacing'] = $this->session->userdata['presedimentation_tank']['influent_spacing'];
			$this->data['orifice_width'] = $this->session->userdata['presedimentation_tank']['orifice_width'];
			$this->data['orifice_depth'] = $this->session->userdata['presedimentation_tank']['orifice_depth'];
			$this->data['weir_loading'] = $this->session->userdata['presedimentation_tank']['weir_loading'];
			$this->data['launder_troughs'] = $this->session->userdata['presedimentation_tank']['launder_troughs'];
			$this->data['launder_troughs_width'] = $this->session->userdata['presedimentation_tank']['launder_troughs_width'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['overflow_rate'] = "";
			$this->data['min_side_water_depth'] = "";
			$this->data['pumping_duration'] = "";
			$this->data['detention_period'] = "";
			$this->data['effective_depth'] = "";
			$this->data['free_board'] = "";
			$this->data['ratio_len_wid_vertical'] = "";
			$this->data['ratio_len_wid_horizontal'] = "";
			$this->data['width_of_tank'] = "";
			$this->data['influent_width'] = "";
			$this->data['influent_depth'] = "";
			$this->data['influent_spacing'] = "";
			$this->data['orifice_width'] = "";
			$this->data['orifice_depth'] = "";
			$this->data['weir_loading'] = "";
			$this->data['launder_troughs'] = "";
			$this->data['launder_troughs_width'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/presedimentation_tank/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/presedimentation_tank/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
	public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {

            $this->form_validation->set_rules('overflow_rate', 'Over flow rate', 'required|numeric');
            $this->form_validation->set_rules('min_side_water_depth', 'Minimum Side water depth', 'required|numeric');
            $this->form_validation->set_rules('pumping_duration', 'Duration of pumping per day', 'required|numeric');
            $this->form_validation->set_rules('detention_period', 'Detention period', 'required|numeric');
            $this->form_validation->set_rules('effective_depth', 'Effective Depth', 'required|numeric');
            $this->form_validation->set_rules('free_board', 'Free Board', 'required|numeric');
            $this->form_validation->set_rules('ratio_len_wid_vertical', 'Ratio of length and width Verticle', 'required|numeric');
            $this->form_validation->set_rules('ratio_len_wid_horizontal', 'Ratio of length and width Horizontal', 'required|numeric');
            $this->form_validation->set_rules('width_of_tank', 'Provide width of the tank', 'required|numeric');
            $this->form_validation->set_rules('influent_width', 'Width of influent structure', 'required|numeric');
            $this->form_validation->set_rules('influent_depth', 'Depth of influent structure', 'required|numeric');
            $this->form_validation->set_rules('influent_spacing', 'Spacing of influent structure', 'required|numeric');
            $this->form_validation->set_rules('orifice_width', 'Width of orifice', 'required|numeric');
            $this->form_validation->set_rules('orifice_depth', 'Depth of the orifice', 'required|numeric');
            $this->form_validation->set_rules('weir_loading', 'Weir loading', 'required|numeric');
            $this->form_validation->set_rules('launder_troughs', 'Number of launder troughs', 'required|numeric');
            $this->form_validation->set_rules('launder_troughs_width', 'Width of central launder trough', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'overflow_rate' => $this->input->post('overflow_rate'),
                    'min_side_water_depth' => $this->input->post('min_side_water_depth'),
					'pumping_duration' => $this->input->post('pumping_duration'),
					'detention_period' => $this->input->post('detention_period'),
					'effective_depth' => $this->input->post('effective_depth'),
					'free_board' => $this->input->post('free_board'),
					'ratio_len_wid_vertical' => $this->input->post('ratio_len_wid_vertical'),
					'ratio_len_wid_horizontal' => $this->input->post('ratio_len_wid_horizontal'),
					'width_of_tank' => $this->input->post('width_of_tank'),
					'influent_width' => $this->input->post('influent_width'),
					'influent_depth' => $this->input->post('influent_depth'),
					'influent_spacing' => $this->input->post('influent_spacing'),
					'orifice_width' => $this->input->post('orifice_width'),
					'orifice_depth' => $this->input->post('orifice_depth'),
					'weir_loading' => $this->input->post('weir_loading'),
					'launder_troughs' => $this->input->post('launder_troughs'),
					'launder_troughs_width' => $this->input->post('launder_troughs_width'),
                    
                       'length_of_tank' => $this->input->post('length_of_tank'),
                    
                     'weir_length' => $this->input->post('weir_length'),
                     'launder_spacing' => $this->input->post('launder_spacing'),
                     'no_of_influent_structure_roundoff' => $this->input->post('no_of_influent_structure_roundoff')
                );
				$this->session->set_userdata('presedimentation_tank', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
					
				redirect('admin/aeration_unit');
				
            }
			
        }
		
    }       
	
	
}