<?php
class Admin_pump_design extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		
		if ( count($this->session->userdata('pump_design')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			$this->data['discharge_rate'] = $this->session->userdata['pump_design']['discharge_rate'];
			$this->data['no_of_standby_pump'] = $this->session->userdata['pump_design']['no_of_standby_pump'];
			$this->data['static_suction_head'] = $this->session->userdata['pump_design']['static_suction_head'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['discharge_rate'] = "";
			$this->data['no_of_standby_pump'] = "";
			$this->data['static_suction_head'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/pump_design/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/pump_design/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
	public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('discharge_rate', 'Discharge Rate of Pump', 'required|numeric');
            $this->form_validation->set_rules('no_of_standby_pump', 'No of Standby Pump', 'required|numeric');
            $this->form_validation->set_rules('static_suction_head', 'Static Suction Head', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'discharge_rate' => $this->input->post('discharge_rate'),
                    'no_of_standby_pump' => $this->input->post('no_of_standby_pump'),
					'static_suction_head' => $this->input->post('static_suction_head')
                );
				
				$this->session->set_userdata('pump_design', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				if ( $report == true )
					return;
					
				redirect('admin/presedimentation_tank');
				
            }
			
        }
	}
	
	

}