<?php
class Admin_rapid_mix extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
    public function index()
    {
		
		if ( count($this->session->userdata('rapid_mix')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
			$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
			$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			
			$this->data['detention_time'] = $this->session->userdata['rapid_mix']['detention_time'];
			$this->data['tank_height'] = $this->session->userdata['rapid_mix']['tank_height'];
			$this->data['ratio_height_to_diameter'] = $this->session->userdata['rapid_mix']['ratio_height_to_diameter'];
			$this->data['ratio_impeller_diameter'] = $this->session->userdata['rapid_mix']['ratio_impeller_diameter'];
			$this->data['impeller_speed'] = $this->session->userdata['rapid_mix']['impeller_speed'];
			$this->data['power_rate'] = $this->session->userdata['rapid_mix']['power_rate'];
			$this->data['motor_hp'] = $this->session->userdata['rapid_mix']['motor_hp'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['water_required'] = 0.00;
			$this->data['discharge_required'] = 0.00;
			$this->data['velocity'] = 0.00;
			$this->data['jack_intake_well_diameter'] = "";
			$this->data['detention_time'] = "";
			$this->data['tank_height'] = "";
			$this->data['ratio_height_to_diameter'] = "";
			$this->data['ratio_impeller_diameter'] = "";
			$this->data['impeller_speed'] = "";
			$this->data['power_rate'] = "";
			$this->data['motor_hp'] = "";
			if ( count($this->session->userdata('water_demand')) > 0 )
			{
				$this->data['title'] = $this->session->userdata['water_demand']['title'];
				$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
			}
			if ( count($this->session->userdata('intake_well')) > 0 )
			{
				$this->data['discharge_required'] = $this->session->userdata['intake_well']['discharge_required'];
				$this->data['velocity'] = $this->session->userdata['intake_well']['velocity'];
				$this->data['jack_intake_well_diameter'] = $this->session->userdata['intake_well']['jack_intake_well_diameter'];
			}
		}
		
        $this->data['main_content'] = 'admin/rapid_mix/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/rapid_mix/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
    {
        if ( $this->input->server('REQUEST_METHOD') === 'POST' )
        {
            $this->form_validation->set_rules('detention_time', 'Alum applied', 'required|numeric');
            $this->form_validation->set_rules('tank_height', 'Height of tank considering free board', 'required|numeric');
            $this->form_validation->set_rules('ratio_height_to_diameter', 'Ratio of tank height to diameter', 'required|numeric');
            $this->form_validation->set_rules('ratio_impeller_diameter', 'Height of tank', 'required|numeric');
            $this->form_validation->set_rules('impeller_speed', 'Rotational speed of impeller', 'required|numeric');
            $this->form_validation->set_rules('power_rate', 'Power rate', 'required|numeric');
            $this->form_validation->set_rules('motor_hp', 'Motor of 1HP is required for treating water', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'detention_time' => $this->input->post('detention_time'),
                    'tank_height' => $this->input->post('tank_height'),
					'ratio_height_to_diameter' => $this->input->post('ratio_height_to_diameter'),
					'ratio_impeller_diameter' => $this->input->post('ratio_impeller_diameter'),
					'impeller_speed' => $this->input->post('impeller_speed'),
					'power_rate' => $this->input->post('power_rate'),
					'motor_hp' => $this->input->post('motor_hp'),
                    'tank_diameter' => $this->input->post('tank_diameter'),
                    'impeller_diameter' => $this->input->post('impeller_diameter')
                        
                        
                );
				$this->session->set_userdata('rapid_mix', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/alum_dose');

            }

        }
		
		
    }       

}