<?php 
class Admin_superrun extends CI_Controller { 
 
    /** 
    * Responsable for auto load the model
    * @return void
    */
	public $data;
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
	public function index()
	{
		
		$this->data['title'] = "";
		$this->data['filename'] = "";
		
		
		if ( $this->input->server('REQUEST_METHOD') === 'POST' && ($this->input->post('superrun') || $this->input->post('superrun_import')) )
		{
			
			$import_folder = "imports/";
			$config = array(
				'upload_path' => $import_folder,
				'overwrite' => TRUE,
				'allowed_types' => "*",
				'max_size' => "2048000" // Can be set to particular file size , here it is 2 MB(2048 Kb)
			);
			
			$this->load->library('upload', $config);
			if($this->upload->do_upload('import_file'))
			{
				$data = array('upload_data' => $this->upload->data());
//					print_r($data);
				$uploaded_file = $data['upload_data']['file_name'];
				$this->data['filename'] = $uploaded_file;
				if ( !empty($uploaded_file) )
				{
					$imported_data = file_get_contents($import_folder . $uploaded_file);
					if ( !empty($imported_data) )
					{
						$data_array = explode("~", $imported_data);
						
						if ( strstr($data_array[0], ".") )		$data_array[0] = $data_array[0] * 1000;
						
						$y = $data_array[2] / 100;
						$z = pow((1 + $y), $data_array[3]);
						$future_population = $data_array[1] * $z;
						$water_supplied_per_day = ($future_population * $data_array[4]) / pow(10, 6);
						$y = pow(($future_population / 1000), 0.5);
						$z = pow(10, -3);
						$fire_demand = 100*$y*$z;
						$discharge = $water_supplied_per_day + $fire_demand;
						$inflow_q1 = ($discharge +((3/100) * $discharge));
						$inflow_q2 = ($inflow_q1 + ((2/100) * $inflow_q1));
						$inflow_q3 = ($inflow_q2 + ((2/100) * $inflow_q2));
						$water_required = round($inflow_q3);
						
						$data_to_store = array(
							'title' => $data_array[0],
							'population' => $data_array[1],
							'growth_rate' => $data_array[2],
							'decades' => $data_array[3],
							'demand' => $data_array[4],
							'total_water_demand_round' => $water_required,
							'water_required' => $water_required
						);
						$this->session->set_userdata('water_demand', $data_to_store);
								
						$discharge_required = ($water_required*1000)/(24*60*60);
						$discharge_required = @number_format($discharge_required, 2);
						$data_to_store = array(
							'velocity' => $data_array[5],
							'discharge_required' => $discharge_required,
							'diameter_bars' => $data_array[6],
							'spacing_bars' => $data_array[7],
							'screen_width' => $data_array[8],
							'intake_well_diameter' => $data_array[9],
							'depth_above_water_level' => $data_array[10],
							'depth_below_water_level' => $data_array[11],
							'gravity_main_velocity' => $data_array[12],
							'pipe_max_diameter' => $data_array[13],
							'pipe_material_coefficient' => $data_array[14],
							'no_of_openings' => $data_array[15],
							'jack_intake_well_diameter' => $data_array[9]
						);
						$this->session->set_userdata('intake_well', $data_to_store);
								
								$data_to_store = array(
									'discharge_rate' => $data_array[16],
									'no_of_standby_pump' => $data_array[17],
									'static_suction_head' => $data_array[18]
								);
								$this->session->set_userdata('pump_design', $data_to_store);
								
								$data_to_store = array(
									'pumping_duration' => $data_array[19],
									'detention_period' => $data_array[20],
									'effective_depth' => $data_array[21],
									'free_board' => $data_array[22],
									'ratio_len_wid_vertical' => $data_array[23],
									'width_of_tank' => $data_array[24],
									'influent_width' => $data_array[25],
									'influent_depth' => $data_array[26],
									'influent_spacing' => $data_array[27],
									'orifice_width' => $data_array[28],
									'orifice_depth' => $data_array[29],
									'weir_loading' => $data_array[30],
									'launder_troughs' => $data_array[31],
									'launder_troughs_width' => $data_array[32],
									'overflow_rate' => $data_array[33],
									'min_side_water_depth' => $data_array[34],
									'ratio_len_wid_horizontal' => $data_array[35]
								);
								$this->session->set_userdata('presedimentation_tank', $data_to_store);
								
								$data_to_store = array(
									'head_required' => $data_array[36],
									'no_of_trays' => $data_array[37],
									'rise_of_tray' => $data_array[38],
									'space_req' => $data_array[39]
								);
								$this->session->set_userdata('aeration_unit', $data_to_store);
								
								$data_to_store = array(
									'detention_time' => $data_array[40],
									'tank_height' => $data_array[41],
									'ratio_height_to_diameter' => $data_array[42],
									'ratio_impeller_diameter' => $data_array[43],
									'impeller_speed' => $data_array[44],
									'power_rate' => $data_array[45],
									'motor_hp' => $data_array[46]
								);
								$this->session->set_userdata('rapid_mix', $data_to_store);
								
								$data_to_store = array(
									'alum_applied' => $data_array[47],
									'platform_height' => $data_array[48],
									'required_for_month' => $data_array[49],
									'height_of_tank' => $data_array[50],
									'density_of_alum' => $data_array[51]
								);
								$this->session->set_userdata('alum_dose', $data_to_store);
								
								$data_to_store = array(
									'detention_time_cu' => $data_array[52],
									'velocity_gradient' => $data_array[53],
									'water_depth' => $data_array[54],
									'inlet_diameter' => $data_array[55],
									'no_of_tanks' => $data_array[56],
									'total_power_input' => $data_array[57],
									'drag_coefficient' => $data_array[58],
									'water_density' => $data_array[59],
									'blade_velocity' => $data_array[60],
									'paddle_area' => $data_array[61],
									'no_of_shafts' => $data_array[62],
									'no_of_paddles' => $data_array[63],
									'paddle_length' => $data_array[64],
									'paddle_width' => $data_array[65],
									'overflow_cu_rate' => $data_array[66],
									'detention_cu_period' => $data_array[67],
									'free_cu_board' => $data_array[68],
									'no_of_launders' => $data_array[69],
									'launder_velocity' => $data_array[70]
								);
								$this->session->set_userdata('clari_unit', $data_to_store);
								
								$data_to_store = array(
									'time_lost' => $data_array[71],
									'working_hours' => $data_array[72],
									'filtration_rate' => $data_array[73],
									'length_width_ratio' => $data_array[74],
									'perforation_size' => $data_array[75],
									'laterals_spacing' => $data_array[76],
									'laterals_diameter' => $data_array[77],
									'filter_bed_width' => $data_array[78],
									'filter_bed_length' => $data_array[79],
									'wash_water_rate' => $data_array[80],
									'wash_water_spacing' => $data_array[81],
									'trough_width' => $data_array[82],
									'trough_free_board' => $data_array[83],
									'trough_bottom' => $data_array[84],
									'min_depth_required' => $data_array[85],
									'filtering_depth' => $data_array[86],
									'backwashing_depth' => $data_array[87],
									'filter_free_board' => $data_array[88],
									'backwash_rate_rise' => $data_array[89],
									'filter_bed_flow' => $data_array[90],
									'backwash_flow' => $data_array[91],
									'backwash_duration' => $data_array[92]
								);
								$this->session->set_userdata('gravity_filter', $data_to_store);
								
								$data_to_store = array(
									'chlorine_applied' => $data_array[93],
									'residual_chlorine' => $data_array[94],
									'required_ch_for_month' => $data_array[95],
									'c_height_of_tank' => $data_array[96],
									'c_height_of_platform' => $data_array[97],
									'density_of_chlorine' => $data_array[98]
								);
								$this->session->set_userdata('chlorinator', $data_to_store);
								
								$data_to_store = array(
									'tank_depth' => $data_array[99]
								);
								$this->session->set_userdata('clear_water_tank', $data_to_store);

								
            redirect('admin/report');
			exit;
//								redirect('admin/water_demand/');
//								exit;
//echo '<pre>'; print_r($data_array); echo '</pre>';
//								echo '<form method="post" action="'.base_url().'superrun/mailer">';
//								for ( $k = 0; $k < count($data_array); $k++ )
//								{
//									echo '&nbsp;&nbsp;&nbsp;' .$k. '=> '. '<input type="text" name="arra[]" value="" style="width:600px">&nbsp; '. $data_array[$k].'<br>';
//								}
//								echo '</form>';
							}
						}
						
					}
					else
					{
						$error = array('error' => $this->upload->display_errors());
						$this->data['error'] = $error;
					}
					
		}
		
        $this->data['main_content'] = 'admin/superrun/superrun_header';
		$this->load->view('includes/header', $this->data);
		
		$this->load->view('admin/superrun/superrun_header', $this->data);
		
		if ( $this->input->server('REQUEST_METHOD') === 'POST' && $this->input->post('superrun') )
		{
			$this->load->view('admin/water_demand/add', $this->data);
//			$this->load->view('admin/water_demand/calc', $this->data);
			$this->load->view('admin/intake_well/add', $this->data);
			$this->load->view('admin/pump_design/add', $this->data);
			$this->load->view('admin/presedimentation_tank/add', $this->data);
			$this->load->view('admin/aeration_unit/add', $this->data);
			$this->load->view('admin/rapid_mix/add', $this->data);
			$this->load->view('admin/alum_dose/add', $this->data);
			$this->load->view('admin/clari_unit/add', $this->data);
			$this->load->view('admin/gravity_filter/add', $this->data);
			$this->load->view('admin/chlorinator/add', $this->data);
			$this->load->view('admin/clear_water_tank/add', $this->data);
		}
		
		$this->load->view('admin/superrun/superrun_footer', $this->data);
		$this->load->view('includes/footer', $this->data);
		
		
		
    }//index
	
	
	public function mailer()
	{
		$data_array = $_POST['arra'];
		for ( $k = 0; $k < count($data_array); $k++ )
		{
			
		}
		
	}	
	
	public function importData()
	{
		
		
//		if(){
//			$this->data['flash_message'] = TRUE; 
			redirect('admin/water_demand/add/');
//		}else{
//			$this->data['flash_message'] = FALSE; 
//		}
		
	}
	
	
	
	
	

}