<?php 

class Admin_users extends CI_Controller {

    /**
    * Check if the user is logged in, if he's not, 
    * send him to the login page
    * @return void
    */	
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in') && $this->session->userdata('is_admin') != 1 ){
            redirect('admin/login');
        }
		
        $this->load->model('users_model');
		
    }
	
	function index()
	{
        //all the posts sent by the view
        $search_string = $this->input->post('search_string');        
        $order = $this->input->post('order'); 
        $order_type = $this->input->post('order_type');
		$filter_session_data = array();
		
        //pagination settings
        $config['per_page'] = 10;
        $config['base_url'] = base_url().'admin/users';
        $config['use_page_numbers'] = TRUE;
        $config['num_links'] = 20;
        $config['full_tag_open'] = '<ul>';
        $config['full_tag_close'] = '</ul>';
        $config['num_tag_open'] = '<li>';
        $config['num_tag_close'] = '</li>';
        $config['cur_tag_open'] = '<li class="active"><a>';
        $config['cur_tag_close'] = '</a></li>';
		

        //limit end
        $page = $this->uri->segment(3);

        //math to get the initial record to be select in the database
        $limit_end = ($page * $config['per_page']) - $config['per_page'];
        if ($limit_end < 0){
            $limit_end = 0;
        } 

        //if order type was changed
        if($order_type){
            $filter_session_data['order_type'] = $order_type;
        }
        else{
            //we have something stored in the session? 
            if($this->session->userdata('order_type')){
                $order_type = $this->session->userdata('order_type');    
            }else{
                //if we have nothing inside session, so it's the default "Asc"
                $order_type = 'Desc';    
            }
        }
        //make the data type var avaible to our view
        $this->data['order_type_selected'] = $order_type;        
		
		if($search_string){
			$filter_session_data['search_string_selected'] = $search_string;
		}else{
			$search_string = "";	//$this->session->userdata('search_string_selected');
		}
		$this->data['search_string_selected'] = $search_string;

        //we must avoid a page reload with the previous session data
        //if any filter post was sent, then it's the first time we load the content
        //in this case we clean the session filter data
        //if any filter post was sent but we are in some page, we must load the session data

        //filtered && || paginated
        if($order !== false || $this->uri->segment(3) == true){ 
           
            /*
            The comments here are the same for line 79 until 99

            if post is not null, we store it in session data array
            if is null, we use the session data already stored
            we save order into the the var to load the view with the param already selected       
            */

            if($order){
                $filter_session_data['order'] = $order;
            }
            else{
                $order = $this->session->userdata('order');
            }
            $this->data['order'] = $order;

            //save session data into the session
            $this->session->set_userdata($filter_session_data);


            $this->data['count_users']= $this->users_model->count_users($order, $search_string);
            $config['total_rows'] = $this->data['count_users'];

            //fetch sql data into arrays
			if($order){
				$this->data['users'] = $this->users_model->get_users($search_string, $order, $order_type, $config['per_page'],$limit_end);        
			}else{
				$this->data['users'] = $this->users_model->get_users($search_string, '', $order_type, $config['per_page'],$limit_end);        
			}

        }else{
			
            //clean filter data inside section
            $filter_session_data['order'] = null;
            $filter_session_data['order_type'] = null;
            $this->session->set_userdata($filter_session_data);
			
            //pre selected options
            $this->data['order'] = 'id';
			
            //fetch sql data into arrays
            $this->data['count_users']= $this->users_model->count_users();
            $this->data['users'] = $this->users_model->get_users('', '', $order_type, $config['per_page'],$limit_end);        
            $config['total_rows'] = $this->data['count_users'];

        }//!isset($manufacture_id) && !isset($search_string) && !isset($order)
		
        //initializate the panination helper 
        $this->pagination->initialize($config);   
		
        //load the view
        $this->data['main_content'] = 'admin/users/list';
        $this->load->view('includes/template', $this->data);  

    		
	}
	
	public function add()
	{

        //if save button was clicked, get the data sent via post
        if ($this->input->server('REQUEST_METHOD') === 'POST')
        {

            //form validation
            $this->form_validation->set_rules('company_name', 'Company Name', 'required');
            $this->form_validation->set_rules('username', 'Username', 'required');
            $this->form_validation->set_rules('password', 'Password', 'required');
            $this->form_validation->set_rules('start_date', 'State Date', 'required');
            $this->form_validation->set_rules('end_date', 'End Date', 'required');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');

            //if the form has passed through the validation
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'company_name' => $this->input->post('company_name'),
                    'username' => $this->input->post('username'),
                    'password' => md5($this->input->post('password')),
                    'start_date' => $this->input->post('start_date'),
                    'end_date' => $this->input->post('end_date'),
                    'status' => 1,
                    'date_created' => date('Y-m-d H:i:s')
                );
				
                //if the insert has returned true then we show the flash message
                if( $customer_id = $this->users_model->store_users($data_to_store))
				{
					$data_to_store = array(
						'is_admin' => 0,
						'user_name' => $this->input->post('username'),
						'pass_word' => md5($this->input->post('password')),
						'customer_id' => $customer_id
					);
					$this->users_model->store_user($data_to_store);
					
                    $this->data['flash_message'] = TRUE; 
			        redirect('admin/users');
                }else{
                    $this->data['flash_message'] = FALSE; 
                }

            }

        }
        //load the view
        $this->data['main_content'] = 'admin/users/add';
//        $this->load->view('includes/template', $this->data);  
		$this->load->view('includes/middle', $this->data);
		$this->load->view('includes/footer', $this->data);
		
	}
	
	
	
	
    /**
    * encript the password 
    * @return mixed
    */	
    function __encrip_password($password) {
        return md5($password);
    }	
	
    /**
    * check the username and the password with the database
    * @return void
    */
	function validate_credentials()
	{	

		$this->load->model('users_model');
		
		$user_name = $this->input->post('user_name');
		$password = $this->__encrip_password($this->input->post('password'));
		$pass_word = $this->input->post('password');
		
//		$is_valid = $this->Users_model->validate($user_name, $password);
		$this->data['users'] = $this->users_model->validate($user_name, $password, $pass_word);
		
//		if($is_valid)
		if( count($this->data['users']) > 0 )
		{
			$data = array(
				'user_name' => $user_name,
				'customer_id' => $this->data['users'][0]['customer_id'],
				'is_admin' => $this->data['users'][0]['is_admin'],
				'is_logged_in' => true
			);
			
			$this->session->set_userdata($data);
			redirect('admin/users');
		}
		else // incorrect username or password
		{
			$data['message_error'] = TRUE;
			$this->load->view('admin/login', $data);	
		}
	}
	
    /**
    * The method just loads the signup view
    * @return void
    */
	function signup()
	{
		$this->load->view('admin/signup_form');	
	}
	

    /**
    * Create new user and store it in the database
    * @return void
    */	
	function create_member()
	{
		$this->load->library('form_validation');
		
		// field name, error message, validation rules
		$this->form_validation->set_rules('first_name', 'Name', 'trim|required');
		$this->form_validation->set_rules('last_name', 'Last Name', 'trim|required');
		$this->form_validation->set_rules('email_address', 'Email Address', 'trim|required|valid_email');
		$this->form_validation->set_rules('username', 'Username', 'trim|required|min_length[4]');
		$this->form_validation->set_rules('password', 'Password', 'trim|required|min_length[4]|max_length[32]');
		$this->form_validation->set_rules('password2', 'Password Confirmation', 'trim|required|matches[password]');
		$this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
		
		if($this->form_validation->run() == FALSE)
		{
			$this->load->view('admin/signup_form');
		}
		
		else
		{			
			$this->load->model('users_model');
			
			if($query = $this->users_model->create_member())
			{
				$this->load->view('admin/signup_successful');			
			}
			else
			{
				$this->load->view('admin/signup_form');			
			}
		}
		
	}
	
	/**
    * Destroy the session, and logout the user.
    * @return void
    */		
	function logout()
	{
		$this->session->sess_destroy();
		redirect('admin');
	}

}