<?php
class Admin_water_demand extends CI_Controller {

	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		
    }

    public function index()
    {
		
		if ( count($this->session->userdata('water_demand')) > 0 )
		{
			$this->data['title'] = $this->session->userdata['water_demand']['title'];
			$this->data['population'] = $this->session->userdata['water_demand']['population'];
			$this->data['growth_rate'] = $this->session->userdata['water_demand']['growth_rate'];
			$this->data['decades'] = $this->session->userdata['water_demand']['decades'];
			$this->data['demand'] = $this->session->userdata['water_demand']['demand'];
			$this->data['total_water_demand_round'] = $this->session->userdata['water_demand']['total_water_demand_round'];
			$this->data['water_required'] = $this->session->userdata['water_demand']['water_required'];
		}
		else
		{
			$this->data['title'] = "";
			$this->data['population'] = "";
			$this->data['growth_rate'] = "";
			$this->data['decades'] = "";
			$this->data['demand'] = "";
			$this->data['total_water_demand_round'] = "";
			$this->data['water_required'] = 0;
		}
		
        $this->data['main_content'] = 'admin/water_demand/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('admin/water_demand/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
    }
	
	public function add($report=false)
	{
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('population', 'Population', 'required');
            $this->form_validation->set_rules('growth_rate', 'Growth Rate', 'required|numeric');
            $this->form_validation->set_rules('decades', 'Decades', 'required|numeric');
            $this->form_validation->set_rules('demand', 'Demand', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'population' => $this->input->post('population'),
                    'growth_rate' => $this->input->post('growth_rate'),
                    'decades' => $this->input->post('decades'),
                    'demand' => $this->input->post('demand'),
                    'water_required' => $this->input->post('water_required'),
                    'future_population' => $this->input->post('future_population'),
                    'water_supplied_per_day' => $this->input->post('water_supplied_per_day'),
                    'fire_demand' => $this->input->post('fire_demand'),
                    'discharge' => $this->input->post('discharge'),
                    'inflow_q1' => $this->input->post('inflow_q1'),
                    'inflow_q2' => $this->input->post('inflow_q2'),
                    'inflow_q3' => $this->input->post('inflow_q3'),
                    'total_water_demand' => $this->input->post('total_water_demand'),
                    'total_water_demand_round' => $this->input->post('total_water_demand_round')
                );
				
				$this->session->set_userdata('water_demand', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				
				redirect('admin/intake_well');
				
            }
			
        }
	}
	
	
	

}