<?php
class Stp_aeration_tank extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['per_recirculation_at'] = "";
		$this->data['aeration_period_at'] = "";
		$this->data['depth_of_tank_at'] = "";
		$this->data['flow_rate_sc'] = "";
		if ( count($this->session->userdata('aeration_tank')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['per_recirculation_at'] = $this->session->userdata['aeration_tank']['per_recirculation_at'];
			$this->data['aeration_period_at'] = $this->session->userdata['aeration_tank']['aeration_period_at'];
			$this->data['depth_of_tank_at'] = $this->session->userdata['aeration_tank']['depth_of_tank_at'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_sc'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
		}
		
        $this->data['main_content'] = 'stp/aeration_tank/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/aeration_tank/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('per_recirculation_at', 'Percentage recirculation', 'required|numeric');
            $this->form_validation->set_rules('aeration_period_at', 'Aeration Period', 'required|numeric');
            $this->form_validation->set_rules('depth_of_tank_at', 'Depth of Tank', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'per_recirculation_at' => $this->input->post('per_recirculation_at'),
					'aeration_period_at' => $this->input->post('aeration_period_at'),
					'depth_of_tank_at' => $this->input->post('depth_of_tank_at'),
                    'diameter_of_tank_at' => $this->input->post('diameter_of_tank_at')
                );
				$this->session->set_userdata('aeration_tank', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/trickling_filter');
				
            }
			
        }
	}
	

}