<?php
class Stp_digester_unit extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['time_for_digestion_du'] = "";
		$this->data['height_of_digester_du'] = "";
		$this->data['flow_rate_st'] = "";
		$this->data['volume_of_sludge_pst'] = "";
		$this->data['volume_of_sludge_produced_sst'] = "";
		$this->data['dry_solids_per_day_pst'] = "";
		$this->data['dry_solids_sst'] = "";
		if ( count($this->session->userdata('digester_unit')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['time_for_digestion_du'] = $this->session->userdata['digester_unit']['time_for_digestion_du'];
			$this->data['height_of_digester_du'] = $this->session->userdata['digester_unit']['height_of_digester_du'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_st'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
		}
		if ( count($this->session->userdata('primary_settling_tank')) > 1 )
		{
			$this->data['volume_of_sludge_pst'] = $this->session->userdata['primary_settling_tank']['volume_of_sludge_pst'];
			$this->data['dry_solids_per_day_pst'] = $this->session->userdata['primary_settling_tank']['dry_solids_per_day_pst'];
		}
		if ( count($this->session->userdata('secondary_settling_tank')) > 1 )
		{
			$this->data['volume_of_sludge_produced_sst'] = $this->session->userdata['secondary_settling_tank']['volume_of_sludge_produced_sst'];
			$this->data['dry_solids_sst'] = $this->session->userdata['secondary_settling_tank']['dry_solids_sst'];
		}
		
        $this->data['main_content'] = 'stp/digester_unit/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/digester_unit/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('time_for_digestion_du', 'Time required for digestion', 'required|numeric');
            $this->form_validation->set_rules('height_of_digester_du', 'Height of Digester', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'time_for_digestion_du' => $this->input->post('time_for_digestion_du'),
					'height_of_digester_du' => $this->input->post('height_of_digester_du'),
					'volume_of_digester_sludge_du' => $this->input->post('volume_of_digester_sludge_du'),
                    'diameter_of_digester_du' => $this->input->post('diameter_of_digester_du')
                        
                );
				$this->session->set_userdata('digester_unit', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/sludge_drying_beds');
				
            }
			
        }
	}
	

}