<?php
class Stp_grit_chamber extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['gravity_of_particles_gc'] = "";
		$this->data['gravity_acceleration_gc'] = "";
		$this->data['diameter_grit_gc'] = "";
		$this->data['kinematic_viscosity_gc'] = "";
		$this->data['depth_of_grit_gc'] = "";
		$this->data['w1_gc'] = "";
		$this->data['w2_gc'] = "";
		$this->data['w3_gc'] = "";
		$this->data['w4_gc'] = "";
		$this->data['w5_gc'] = "";
		$this->data['flow_rate_sc'] = "";
		$this->data['peaking_factor_sc'] = "";
		if ( count($this->session->userdata('grit_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['gravity_of_particles_gc'] = $this->session->userdata['grit_chamber']['gravity_of_particles_gc'];
			$this->data['gravity_acceleration_gc'] = $this->session->userdata['grit_chamber']['gravity_acceleration_gc'];
			$this->data['diameter_grit_gc'] = $this->session->userdata['grit_chamber']['diameter_grit_gc'];
			$this->data['kinematic_viscosity_gc'] = $this->session->userdata['grit_chamber']['kinematic_viscosity_gc'];
			$this->data['depth_of_grit_gc'] = $this->session->userdata['grit_chamber']['depth_of_grit_gc'];
			$this->data['w1_gc'] = $this->session->userdata['grit_chamber']['w1_gc'];
			$this->data['w2_gc'] = $this->session->userdata['grit_chamber']['w2_gc'];
			$this->data['w3_gc'] = $this->session->userdata['grit_chamber']['w3_gc'];
			$this->data['w4_gc'] = $this->session->userdata['grit_chamber']['w4_gc'];
			$this->data['w5_gc'] = $this->session->userdata['grit_chamber']['w5_gc'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_sc'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
			$this->data['peaking_factor_sc'] = $this->session->userdata['screen_chamber']['peaking_factor_sc'];
		}
		
        $this->data['main_content'] = 'stp/grit_chamber/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/grit_chamber/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('gravity_of_particles_gc', 'Specific Gravity of Particles', 'required|numeric');
            $this->form_validation->set_rules('gravity_acceleration_gc', 'Acceleration due to Gravity', 'required|numeric');
            $this->form_validation->set_rules('diameter_grit_gc', 'Diameter of smallest Grit particle', 'required|numeric');
            $this->form_validation->set_rules('kinematic_viscosity_gc', 'Kinematic Viscosity', 'required|numeric');
            $this->form_validation->set_rules('depth_of_grit_gc', 'Depth of the grit chamber', 'required|numeric');
            $this->form_validation->set_rules('w1_gc', 'w1', 'required|numeric');
            $this->form_validation->set_rules('w2_gc', 'w2', 'required|numeric');
            $this->form_validation->set_rules('w3_gc', 'w3', 'required|numeric');
            $this->form_validation->set_rules('w4_gc', 'w4', 'required|numeric');
            $this->form_validation->set_rules('w5_gc', 'w5', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'gravity_of_particles_gc' => $this->input->post('gravity_of_particles_gc'),
					'gravity_acceleration_gc' => $this->input->post('gravity_acceleration_gc'),
                    'diameter_grit_gc' => $this->input->post('diameter_grit_gc'),
                    'kinematic_viscosity_gc' => $this->input->post('kinematic_viscosity_gc'),
                    'depth_of_grit_gc' => $this->input->post('depth_of_grit_gc'),
                    'w1_gc' => $this->input->post('w1_gc'),
                    'w2_gc' => $this->input->post('w2_gc'),
                    'w3_gc' => $this->input->post('w3_gc'),
                    'w4_gc' => $this->input->post('w4_gc'),
                    'w5_gc' => $this->input->post('w5_gc'),
                     'depth_of_grit_gc' => $this->input->post('depth_of_grit_gc'),
                    'h5_gc' => $this->input->post('h5_gc'),
                    'length_of_grit_chamber_gc' => $this->input->post('length_of_grit_chamber_gc'),
                    'width_of_grit_chamber_gc' => $this->input->post('width_of_grit_chamber_gc'),
                    'width_gc' => $this->input->post('width_gc')
                );
				$this->session->set_userdata('grit_chamber', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/skimming_tank');
				
            }
			
        }
	}
	

}