<?php
class Stp_screen_chamber extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['flow_rate_sc'] = "";
		$this->data['peaking_factor_sc'] = "";
		$this->data['bod_sc'] = "";
		$this->data['total_suspended_solids_sc'] = "";
		$this->data['temperature_sc'] = "";
		$this->data['inclinations_of_bars_sc'] = "";
		$this->data['size_of_bars_sc'] = "";
		$this->data['length_sc'] = "";
		$this->data['width_sc'] = "";
		$this->data['depth_sc'] = "";
		$this->data['clear_spacing_sc'] = "";
		$this->data['velocity_sc'] = "";
		$this->data['no_of_bars_sc'] = "";
		$this->data['free_board_sc'] = "";
		$this->data['mannings_coefficient_sc'] = "";
		
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_sc'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
			$this->data['peaking_factor_sc'] = $this->session->userdata['screen_chamber']['peaking_factor_sc'];
			$this->data['bod_sc'] = $this->session->userdata['screen_chamber']['bod_sc'];
			$this->data['total_suspended_solids_sc'] = $this->session->userdata['screen_chamber']['total_suspended_solids_sc'];
			$this->data['temperature_sc'] = $this->session->userdata['screen_chamber']['temperature_sc'];
			$this->data['inclinations_of_bars_sc'] = $this->session->userdata['screen_chamber']['inclinations_of_bars_sc'];
			$this->data['size_of_bars_sc'] = $this->session->userdata['screen_chamber']['size_of_bars_sc'];
			$this->data['length_sc'] = $this->session->userdata['screen_chamber']['length_sc'];
			$this->data['width_sc'] = $this->session->userdata['screen_chamber']['width_sc'];
			$this->data['depth_sc'] = $this->session->userdata['screen_chamber']['depth_sc'];
			$this->data['clear_spacing_sc'] = $this->session->userdata['screen_chamber']['clear_spacing_sc'];
			$this->data['velocity_sc'] = $this->session->userdata['screen_chamber']['velocity_sc'];
			$this->data['no_of_bars_sc'] = $this->session->userdata['screen_chamber']['no_of_bars_sc'];
			$this->data['free_board_sc'] = $this->session->userdata['screen_chamber']['free_board_sc'];
			$this->data['mannings_coefficient_sc'] = $this->session->userdata['screen_chamber']['mannings_coefficient_sc'];
		}
		
        $this->data['main_content'] = 'stp/screen_chamber/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/screen_chamber/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('flow_rate_sc', 'Flow Rate', 'required|numeric');
            $this->form_validation->set_rules('peaking_factor_sc', 'Peaking Factor', 'required|numeric');
            $this->form_validation->set_rules('bod_sc', 'B.O.D.', 'required|numeric');
            $this->form_validation->set_rules('total_suspended_solids_sc', 'Total Suspended Solids', 'required|numeric');
            $this->form_validation->set_rules('temperature_sc', 'Temperature', 'required|numeric');
            $this->form_validation->set_rules('inclinations_of_bars_sc', 'Inclinations of bars', 'required|numeric');
            $this->form_validation->set_rules('size_of_bars_sc', 'Size of bars', 'required');
            $this->form_validation->set_rules('length_sc', 'Length', 'required|numeric');
            $this->form_validation->set_rules('width_sc', 'Width', 'required|numeric');
            $this->form_validation->set_rules('depth_sc', 'Depth', 'required|numeric');
            $this->form_validation->set_rules('clear_spacing_sc', 'Clear Spacing between bars', 'required|numeric');
            $this->form_validation->set_rules('velocity_sc', 'Velocity of flow normal to screen', 'required|numeric');
            $this->form_validation->set_rules('no_of_bars_sc', 'Number of bars', 'required|numeric');
            $this->form_validation->set_rules('free_board_sc', 'Free Board', 'required|numeric');
            $this->form_validation->set_rules('mannings_coefficient_sc', 'Manning\'s Coefficient', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'flow_rate_sc' => $this->input->post('flow_rate_sc'),
					'peaking_factor_sc' => $this->input->post('peaking_factor_sc'),
                    'bod_sc' => $this->input->post('bod_sc'),
                    'total_suspended_solids_sc' => $this->input->post('total_suspended_solids_sc'),
                    'temperature_sc' => $this->input->post('temperature_sc'),
                    'inclinations_of_bars_sc' => $this->input->post('inclinations_of_bars_sc'),
                    'size_of_bars_sc' => $this->input->post('size_of_bars_sc'),
                    'length_sc' => $this->input->post('length_sc'),
                    'width_sc' => $this->input->post('width_sc'),
                    'depth_sc' => $this->input->post('depth_sc'),
                    'clear_spacing_sc' => $this->input->post('clear_spacing_sc'),
                    'velocity_sc' => $this->input->post('velocity_sc'),
                    'no_of_bars_sc' => $this->input->post('no_of_bars_sc'),
                    'free_board_sc' => $this->input->post('free_board_sc'),
                    'mannings_coefficient_sc' => $this->input->post('mannings_coefficient_sc'),
                     'velocity_of_flow_sc' => $this->input->post('velocity_of_flow_sc'),
                     'q_sc' => $this->input->post('q_sc'),
                        'total_depth_of_channel_sc'=>$_POST['total_depth_of_channel_sc'],
                    'gross_width_sc'=>$_POST['gross_width_sc'],
                );
				$this->session->set_userdata('screen_chamber', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/grit_chamber');
				
            }
			
        }
	}
	

}