<?php
class Stp_secondary_settling_tank extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['depth_of_clarifier_sst'] = "";
		$this->data['solids_removed_by_tf_sst'] = "";
		$this->data['production_of_solids_sst'] = "";
		$this->data['per_dry_solids_sst'] = "";
		$this->data['flow_rate_sc'] = "";
		$this->data['surface_overflow_pst'] = "";
		$this->data['gravity_sludge_pst'] = "";
		$this->data['sw_pst'] = "";
		$this->data['recirculation_ratio_tf'] = "";
		$this->data['bed_slope_v_pst'] = "";
		$this->data['bed_slope_h_pst'] = "";
		$this->data['ps_pst'] = "";
		$this->data['gravity_sludge_ssl_pst'] = "";
		$this->data['volume_of_sludge_produced_sst'] = "";
		
		if ( count($this->session->userdata('secondary_settling_tank')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['depth_of_clarifier_sst'] = $this->session->userdata['secondary_settling_tank']['depth_of_clarifier_sst'];
			$this->data['solids_removed_by_tf_sst'] = $this->session->userdata['secondary_settling_tank']['solids_removed_by_tf_sst'];
			$this->data['production_of_solids_sst'] = $this->session->userdata['secondary_settling_tank']['production_of_solids_sst'];
			$this->data['per_dry_solids_sst'] = $this->session->userdata['secondary_settling_tank']['per_dry_solids_sst'];
			$this->data['volume_of_sludge_produced_sst'] = $this->session->userdata['secondary_settling_tank']['volume_of_sludge_produced_sst'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_sc'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
		}
		if ( count($this->session->userdata('trickling_filter')) > 1 )
		{
			$this->data['recirculation_ratio_tf'] = $this->session->userdata['trickling_filter']['recirculation_ratio_tf'];
		}
		if ( count($this->session->userdata('primary_settling_tank')) > 1 )
		{
			$this->data['surface_overflow_pst'] = $this->session->userdata['primary_settling_tank']['surface_overflow_pst'];
			$this->data['gravity_sludge_pst'] = $this->session->userdata['primary_settling_tank']['gravity_sludge_pst'];
			$this->data['gravity_sludge_ssl_pst'] = $this->session->userdata['primary_settling_tank']['gravity_sludge_ssl_pst'];
			$this->data['sw_pst'] = $this->session->userdata['primary_settling_tank']['sw_pst'];
			$this->data['ps_pst'] = $this->session->userdata['primary_settling_tank']['ps_pst'];
			$this->data['bed_slope_v_pst'] = $this->session->userdata['primary_settling_tank']['bed_slope_v_pst'];
			$this->data['bed_slope_h_pst'] = $this->session->userdata['primary_settling_tank']['bed_slope_h_pst'];
		}
		
        $this->data['main_content'] = 'stp/secondary_settling_tank/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/secondary_settling_tank/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('depth_of_clarifier_sst', 'Depth of Clarifier', 'required|numeric');
            $this->form_validation->set_rules('solids_removed_by_tf_sst', 'Percentage of Solids removed by T.F.', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'depth_of_clarifier_sst' => $this->input->post('depth_of_clarifier_sst'),
					'solids_removed_by_tf_sst' => $this->input->post('solids_removed_by_tf_sst'),
					'production_of_solids_sst' => $this->input->post('production_of_solids_sst'),
					'per_dry_solids_sst' => $this->input->post('per_dry_solids_sst'),
					'volume_of_sludge_produced_sst' => $this->input->post('volume_of_sludge_produced_sst'),
					'dry_solids_sst' => $this->input->post('dry_solids_sst'),
					'gravity_sludge_ssl_sst' => $this->input->post('gravity_sludge_ssl_sst'),
                    'diameter_of_clarifier_sst' => $this->input->post('diameter_of_clarifier_sst'),
                    'total_depth_sst' => $this->input->post('total_depth_sst')
                );
				$this->session->set_userdata('secondary_settling_tank', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/digester_unit');
				
            }
			
        }
	}
	

}