<?php
class Stp_skimming_tank extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['depth_of_tank_st'] = "";
		$this->data['rising_velocity_st'] = "";
		$this->data['per_sec_rising_velocity_st'] = "";
		$this->data['flow_rate_sc'] = "";
		if ( count($this->session->userdata('skimming_tank')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['depth_of_tank_st'] = $this->session->userdata['skimming_tank']['depth_of_tank_st'];
			$this->data['rising_velocity_st'] = $this->session->userdata['skimming_tank']['rising_velocity_st'];
			$this->data['per_sec_rising_velocity_st'] = $this->session->userdata['skimming_tank']['per_sec_rising_velocity_st'];
                        $this->data['tank_diameter_st'] = $this->session->userdata['skimming_tank']['tank_diameter_st'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_sc'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
		}
		
        $this->data['main_content'] = 'stp/skimming_tank/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/skimming_tank/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('depth_of_tank_st', 'Depth of tank', 'required|numeric');
            $this->form_validation->set_rules('rising_velocity_st', 'Rising velocity of greasy material', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'depth_of_tank_st' => $this->input->post('depth_of_tank_st'),
		'rising_velocity_st' => $this->input->post('rising_velocity_st'),
                    'tank_diameter_st'=>$this->input->post('tank_diameter_st'),
                    'per_sec_rising_velocity_st' => $this->input->post('per_sec_rising_velocity_st')
                );
				$this->session->set_userdata('skimming_tank', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/primary_settling_tank');
				
            }
			
        }
	}
	

}