<?php
class Stp_sludge_drying_beds extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['depth_of_sludge_sdb'] = "";
		$this->data['length_of_drying_bed_sdb'] = "";
		$this->data['frequency_of_sludge_remove_sdb'] = "";
		$this->data['flow_rate_st'] = "";
		$this->data['volume_of_digester_sludge_du'] = "";
		
		if ( count($this->session->userdata('sludge_drying_beds')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['depth_of_sludge_sdb'] = $this->session->userdata['sludge_drying_beds']['depth_of_sludge_sdb'];
			$this->data['length_of_drying_bed_sdb'] = $this->session->userdata['sludge_drying_beds']['length_of_drying_bed_sdb'];
			$this->data['frequency_of_sludge_remove_sdb'] = $this->session->userdata['sludge_drying_beds']['frequency_of_sludge_remove_sdb'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_st'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
		}
		if ( count($this->session->userdata('digester_unit')) > 1 )
		{
			$this->data['volume_of_digester_sludge_du'] = $this->session->userdata['digester_unit']['volume_of_digester_sludge_du'];
		}
				
        $this->data['main_content'] = 'stp/sludge_drying_beds/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/sludge_drying_beds/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('depth_of_sludge_sdb', 'Depth of Sludge application', 'required|numeric');
            $this->form_validation->set_rules('length_of_drying_bed_sdb', 'Length of drying bed', 'required|numeric');
            $this->form_validation->set_rules('frequency_of_sludge_remove_sdb', 'Frequency of Sludge remove (f)', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'depth_of_sludge_sdb' => $this->input->post('depth_of_sludge_sdb'),
					'length_of_drying_bed_sdb' => $this->input->post('length_of_drying_bed_sdb'),
					'frequency_of_sludge_remove_sdb' => $this->input->post('frequency_of_sludge_remove_sdb'),
                    'width_of_drying_bed_sdb' => $this->input->post('width_of_drying_bed_sdb'),
                    'no_of_drying_beds_sdb' => $this->input->post('no_of_drying_beds_sdb')
                );
				$this->session->set_userdata('sludge_drying_beds', $data_to_store);
				$this->data['flash_message'] = TRUE; 
				
				if ( $report == true )
					return;
				redirect('stp/report');
				
            }
			
        }
	}
	

}