<?php 
class Stp_superrun extends CI_Controller { 
 
    /** 
    * Responsable for auto load the model
    * @return void
    */
	public $data;
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
		$this->load->helper('number');
    }
	
	public function index()
	{
		
		$this->data['title'] = "";
		$this->data['filename'] = "";
		
		
		if ( $this->input->server('REQUEST_METHOD') === 'POST' && ($this->input->post('superrun') || $this->input->post('superrun_import')) )
		{
			
			$import_folder = "imports/";
			$config = array(
				'upload_path' => $import_folder,
				'overwrite' => TRUE,
				'allowed_types' => "*",
				'max_size' => "2048000" // Can be set to particular file size , here it is 2 MB(2048 Kb)
			);
			
			$this->load->library('upload', $config);
			if($this->upload->do_upload('import_file'))
			{
				$data = array('upload_data' => $this->upload->data());
//					print_r($data);
				$uploaded_file = $data['upload_data']['file_name'];
				$this->data['filename'] = $uploaded_file;
				if ( !empty($uploaded_file) )
				{
					$imported_data = file_get_contents($import_folder . $uploaded_file);
					if ( !empty($imported_data) )
					{
						
						$data_array = explode("~", $imported_data);
						
						
						$data_to_store = array(
							'title' => $data_array[0],
							'flow_rate_sc' => $data_array[1],
							'peaking_factor_sc' => $data_array[2],
							'bod_sc' => $data_array[3],
							'total_suspended_solids_sc' => $data_array[4],
							'temperature_sc' => $data_array[5],
							'inclinations_of_bars_sc' => $data_array[6],
							'size_of_bars_sc' => $data_array[7],
							'length_sc' => $data_array[8],
							'width_sc' => $data_array[9],
							'depth_sc' => $data_array[10],
							'clear_spacing_sc' => $data_array[11],
							'velocity_sc' => $data_array[12],
							'no_of_bars_sc' => $data_array[13],
							'free_board_sc' => $data_array[14],
							'mannings_coefficient_sc' => $data_array[15]
						);
						$this->session->set_userdata('screen_chamber', $data_to_store);
						
						$data_to_store = array(
							'gravity_of_particles_gc' => $data_array[16],
							'gravity_acceleration_gc' => $data_array[17],
							'diameter_grit_gc' => $data_array[18],
							'kinematic_viscosity_gc' => $data_array[19],
							'depth_of_grit_gc' => $data_array[20],
							'w1_gc' => $data_array[21],
							'w2_gc' => $data_array[22],
							'w3_gc' => $data_array[23],
							'w4_gc' => $data_array[24],
							'w5_gc' => $data_array[25]
						);
						$this->session->set_userdata('grit_chamber', $data_to_store);
						
						$data_to_store = array(
							'depth_of_tank_st' => $data_array[26],
							'rising_velocity_st' => $data_array[27],
							'per_sec_rising_velocity_st' => $data_array[28]
						);
						$this->session->set_userdata('skimming_tank', $data_to_store);
						
						$data_to_store = array(
							'surface_overflow_pst' => $data_array[29],
							'wier_overflow_rate_pst' => $data_array[30],
							'side_water_depth_pst' => $data_array[31],
							'no_of_tanks_pst' => $data_array[32],
							'bed_slope_v_pst' => $data_array[33],
							'bed_slope_h_pst' => $data_array[34],
							'bed_slope_vh_pst' => $data_array[35],
							'velocity_of_flow_pst' => $data_array[36],
							'width_of_channel_pst' => $data_array[37],
							'solids_removed_by_gc_pst' => $data_array[38],
							'solids_in_clarifier_pst' => $data_array[39],
							'solids_removed_by_c_pst' => $data_array[40],
							'total_solids_a_pst' => $data_array[41],
							'total_solids_b_pst' => $data_array[42],
							'volatile_solids_pst' => $data_array[43],
							'fixed_solids_pst' => $data_array[44],
							'solids_dried_per_pst' => $data_array[45],
							'sw_pst' => $data_array[46],
							'ps_pst' => $data_array[47],
							'frequency_of_cleaning_hr_pst' => $data_array[48],
							'frequency_of_cleaning_day_pst' => $data_array[49],
							'tan_0_pst' => $data_array[50],
							'gravity_sludge_pst' => $data_array[51],
							'gravity_sludge_ssl_pst' => $data_array[52],
							'rb2_pst' => $data_array[53],
							'volume_of_sludge_pst' => $data_array[54],
							'dry_solids_per_day_pst' => $data_array[55]
						);
						$this->session->set_userdata('primary_settling_tank', $data_to_store);
						
						$data_to_store = array(
							'per_recirculation_at' => $data_array[56],
							'aeration_period_at' => $data_array[57],
							'depth_of_tank_at' => $data_array[58]
						);
						$this->session->set_userdata('aeration_tank', $data_to_store);
						
						$data_to_store = array(
							'effluent_bod_tf' => $data_array[59],
							'recirculation_ratio_tf' => $data_array[60],
							'depth_of_trickling_filter_tf' => $data_array[61],
							'no_of_units_tf' => $data_array[62],
							'velocity_of_flow_tf' => $data_array[63],
							'provide_sections_tf' => $data_array[64],
							'joint_length_tf' => $data_array[65],
							'drag_coefficient_tf' => $data_array[66],
							'depth_of_orifice_tf' => $data_array[67],
							'diameter_of_orifice_tf' => $data_array[68],
							'proportionate_section_1_tf' => $data_array[69],
							'proportionate_section_2_tf' => $data_array[70],
							'proportionate_section_3_tf' => $data_array[71],
							'spacing_of_under_drain_tf' => $data_array[72],
							'velocity_of_flow_ds_tf' => $data_array[73],
							'width_of_channel_tf' => $data_array[74]
						);
						$this->session->set_userdata('trickling_filter', $data_to_store);
						
						$data_to_store = array(
							'depth_of_clarifier_sst' => $data_array[75],
							'solids_removed_by_tf_sst' => $data_array[76],
							'production_of_solids_sst' => $data_array[77],
							'per_dry_solids_sst' => $data_array[78],
							'volume_of_sludge_produced_sst' => $data_array[79],
							'dry_solids_sst' => $data_array[80],
							'gravity_sludge_ssl_sst' => $data_array[81]
						);
						$this->session->set_userdata('secondary_settling_tank', $data_to_store);
						
						$data_to_store = array(
							'time_for_digestion_du' => $data_array[82],
							'height_of_digester_du' => $data_array[83],
							'volume_of_digester_sludge_du' => $data_array[84]
						);
						$this->session->set_userdata('digester_unit', $data_to_store);
						
						$data_to_store = array(
							'depth_of_sludge_sdb' => $data_array[85],
							'length_of_drying_bed_sdb' => $data_array[86],
							'frequency_of_sludge_remove_sdb' => $data_array[87]
						);
						$this->session->set_userdata('sludge_drying_beds', $data_to_store);
						
						
						
						redirect('stp/report');
						exit;
						
					}
				}
				
			}
			else
			{
				$error = array('error' => $this->upload->display_errors());
				$this->data['error'] = $error;
			}
					
		}
		
        $this->data['main_content'] = 'stp/superrun/superrun_header';
		$this->load->view('includes/header', $this->data);
		
		$this->load->view('stp/superrun/superrun_header', $this->data);
		
		if ( $this->input->server('REQUEST_METHOD') === 'POST' && $this->input->post('superrun') )
		{
			$this->load->view('admin/water_demand/add', $this->data);
			$this->load->view('admin/intake_well/add', $this->data);
			$this->load->view('admin/pump_design/add', $this->data);
			$this->load->view('admin/presedimentation_tank/add', $this->data);
			$this->load->view('admin/aeration_unit/add', $this->data);
			$this->load->view('admin/rapid_mix/add', $this->data);
			$this->load->view('admin/alum_dose/add', $this->data);
			$this->load->view('admin/clari_unit/add', $this->data);
			$this->load->view('admin/gravity_filter/add', $this->data);
			$this->load->view('admin/chlorinator/add', $this->data);
			$this->load->view('admin/clear_water_tank/add', $this->data);
		}
		
		$this->load->view('stp/superrun/superrun_footer', $this->data);
		$this->load->view('includes/footer', $this->data);
		
		
		
    }//index
	
	
	public function mailer()
	{
		$data_array = $_POST['arra'];
		for ( $k = 0; $k < count($data_array); $k++ )
		{
			
		}
		
	}	
	
	public function importData()
	{
		
		
//		if(){
//			$this->data['flash_message'] = TRUE; 
			redirect('stp/screen_chamber');
//		}else{
//			$this->data['flash_message'] = FALSE; 
//		}
		
	}
	
	
	
	
	

}