<?php
class Stp_trickling_filter extends CI_Controller { 
 
	public $data;
	
    public function __construct()
    {
        parent::__construct();

        if(!$this->session->userdata('is_logged_in')){
            redirect('admin/login');
        }
		
        $this->load->helper('common_functions_helper');
    }
 	
    public function index()
    {
		$this->data['title'] = "";
		$this->data['effluent_bod_tf'] = "";
		$this->data['recirculation_ratio_tf'] = "";
		$this->data['depth_of_trickling_filter_tf'] = "";
		$this->data['no_of_units_tf'] = "";
		$this->data['velocity_of_flow_tf'] = "";
		$this->data['provide_sections_tf'] = "";
		$this->data['joint_length_tf'] = "";
		$this->data['drag_coefficient_tf'] = "";
		$this->data['depth_of_orifice_tf'] = "";
		$this->data['diameter_of_orifice_tf'] = "";
		$this->data['proportionate_section_1_tf'] = "";
		$this->data['proportionate_section_2_tf'] = "";
		$this->data['proportionate_section_3_tf'] = "";
		$this->data['spacing_of_under_drain_tf'] = "";
		$this->data['velocity_of_flow_ds_tf'] = "";
		$this->data['width_of_channel_tf'] = "";
		$this->data['bod_sc'] = "";
		$this->data['peaking_factor_sc'] = "";
		$this->data['flow_rate_sc'] = "";
		$this->data['mannings_coefficient_sc'] = "";
		
		if ( count($this->session->userdata('trickling_filter')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['effluent_bod_tf'] = $this->session->userdata['trickling_filter']['effluent_bod_tf'];
			$this->data['recirculation_ratio_tf'] = $this->session->userdata['trickling_filter']['recirculation_ratio_tf'];
			$this->data['depth_of_trickling_filter_tf'] = $this->session->userdata['trickling_filter']['depth_of_trickling_filter_tf'];
			$this->data['no_of_units_tf'] = $this->session->userdata['trickling_filter']['no_of_units_tf'];
			$this->data['velocity_of_flow_tf'] = $this->session->userdata['trickling_filter']['velocity_of_flow_tf'];
			$this->data['provide_sections_tf'] = $this->session->userdata['trickling_filter']['provide_sections_tf'];
			$this->data['joint_length_tf'] = $this->session->userdata['trickling_filter']['joint_length_tf'];
			$this->data['drag_coefficient_tf'] = $this->session->userdata['trickling_filter']['drag_coefficient_tf'];
			$this->data['depth_of_orifice_tf'] = $this->session->userdata['trickling_filter']['depth_of_orifice_tf'];
			$this->data['diameter_of_orifice_tf'] = $this->session->userdata['trickling_filter']['diameter_of_orifice_tf'];
			$this->data['proportionate_section_1_tf'] = $this->session->userdata['trickling_filter']['proportionate_section_1_tf'];
			$this->data['proportionate_section_2_tf'] = $this->session->userdata['trickling_filter']['proportionate_section_2_tf'];
			$this->data['proportionate_section_3_tf'] = $this->session->userdata['trickling_filter']['proportionate_section_3_tf'];
			$this->data['spacing_of_under_drain_tf'] = $this->session->userdata['trickling_filter']['spacing_of_under_drain_tf'];
			$this->data['velocity_of_flow_ds_tf'] = $this->session->userdata['trickling_filter']['velocity_of_flow_ds_tf'];
			$this->data['width_of_channel_tf'] = $this->session->userdata['trickling_filter']['width_of_channel_tf'];
		}
		if ( count($this->session->userdata('screen_chamber')) > 1 )
		{
			$this->data['title'] = $this->session->userdata['screen_chamber']['title'];
			$this->data['flow_rate_sc'] = $this->session->userdata['screen_chamber']['flow_rate_sc'];
			$this->data['bod_sc'] = $this->session->userdata['screen_chamber']['bod_sc'];
			$this->data['peaking_factor_sc'] = $this->session->userdata['screen_chamber']['peaking_factor_sc'];
			$this->data['mannings_coefficient_sc'] = $this->session->userdata['screen_chamber']['mannings_coefficient_sc'];
		}
		
        $this->data['main_content'] = 'stp/trickling_filter/add';
		$this->load->view('includes/middle', $this->data);
		$this->load->view('stp/trickling_filter/calc', $this->data);  
		$this->load->view('includes/footer', $this->data);
		
	}
	
    public function add($report=false)
	{
		if ($this->input->server('REQUEST_METHOD') === 'POST')
		{
            $this->form_validation->set_rules('title', 'Title', 'required');
            $this->form_validation->set_rules('effluent_bod_tf', 'Effluent B.O.D.', 'required|numeric');
            $this->form_validation->set_rules('recirculation_ratio_tf', 'Recirculation Ratio', 'required|numeric');
            $this->form_validation->set_rules('depth_of_trickling_filter_tf', 'Depth of Trickling Filter', 'required|numeric');
            $this->form_validation->set_rules('no_of_units_tf', 'No of Units', 'required|numeric');
            $this->form_validation->set_rules('velocity_of_flow_tf', 'Velocity of Flow', 'required|numeric');
            $this->form_validation->set_rules('provide_sections_tf', 'Provide Sections', 'required|numeric');
            $this->form_validation->set_rules('joint_length_tf', 'Provide Joint Length', 'required|numeric');
            $this->form_validation->set_rules('drag_coefficient_tf', 'Drag Coefficient', 'required|numeric');
            $this->form_validation->set_rules('depth_of_orifice_tf', 'Depth of Orifice', 'required|numeric');
            $this->form_validation->set_rules('diameter_of_orifice_tf', 'Diameter of Orifice', 'required|numeric');
            $this->form_validation->set_rules('proportionate_section_1_tf', '1st Section', 'required|numeric');
            $this->form_validation->set_rules('proportionate_section_2_tf', '2nd Section', 'required|numeric');
            $this->form_validation->set_rules('proportionate_section_3_tf', '3rd Section', 'required|numeric');
            $this->form_validation->set_rules('spacing_of_under_drain_tf', 'Spacing of Under Drain', 'required|numeric');
            $this->form_validation->set_rules('velocity_of_flow_ds_tf', 'Velocity of Flow', 'required|numeric');
            $this->form_validation->set_rules('width_of_channel_tf', 'Width of Channel', 'required|numeric');
            $this->form_validation->set_error_delimiters('<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>', '</strong></div>');
			
            if ($this->form_validation->run())
            {
                $data_to_store = array(
                    'title' => $this->input->post('title'),
                    'effluent_bod_tf' => $this->input->post('effluent_bod_tf'),
					'recirculation_ratio_tf' => $this->input->post('recirculation_ratio_tf'),
					'depth_of_trickling_filter_tf' => $this->input->post('depth_of_trickling_filter_tf'),
					'no_of_units_tf' => $this->input->post('no_of_units_tf'),
					'velocity_of_flow_tf' => $this->input->post('velocity_of_flow_tf'),
					'provide_sections_tf' => $this->input->post('provide_sections_tf'),
					'joint_length_tf' => $this->input->post('joint_length_tf'),
					'drag_coefficient_tf' => $this->input->post('drag_coefficient_tf'),
					'depth_of_orifice_tf' => $this->input->post('depth_of_orifice_tf'),
					'diameter_of_orifice_tf' => $this->input->post('diameter_of_orifice_tf'),
					'proportionate_section_1_tf' => $this->input->post('proportionate_section_1_tf'),
					'proportionate_section_2_tf' => $this->input->post('proportionate_section_2_tf'),
					'proportionate_section_3_tf' => $this->input->post('proportionate_section_3_tf'),
					'spacing_of_under_drain_tf' => $this->input->post('spacing_of_under_drain_tf'),
					'velocity_of_flow_ds_tf' => $this->input->post('velocity_of_flow_ds_tf'),
					'width_of_channel_tf' => $this->input->post('width_of_channel_tf'),
                    'diameter_of_tank_tf' => $this->input->post('diameter_of_tank_tf'),
                    'diameter_of_pipe_tf' => $this->input->post('diameter_of_pipe_tf'),
                    'slope_of_channel_tf' => $this->input->post('slope_of_channel_tf')
                        
                );
				$this->session->set_userdata('trickling_filter', $data_to_store);
				$this->data['flash_message'] = TRUE; 
								
				if ( $report == true )
					return;
				redirect('stp/secondary_settling_tank');
				
            }
			else
			{
				echo "Dsadasdsa";
				print_r($_POST);
			}
        }
	}
	

}