<?php

class Companies_model extends CI_Model {

    public function __construct()
    {
        $this->load->database();
    }
	
	public function getCID($id)
	{
		$zeros = '';
		if ( $id > 0 && $id < 10 )		$zeros = '0000';
		if ( $id > 9 && $id < 100 )		$zeros = '000';
		if ( $id > 99 && $id < 1000 )	$zeros = '00';
		if ( $id > 999 && $id < 10000 )	$zeros = '0';
		
		$cid = 'KOMVEE' . $zeros . $id;
		
		return $cid;
	}
	
	public function getSA()
	{
		$software_access = "";
		if ( $this->input->post('software_wtp') )
		{
			$software_access .= "wtp";
		} 
		if ( $this->input->post('software_stp') )
		{
			if ( $software_access != "" )
				$software_access .= ",";
			$software_access .= "stp";
		} 
		
		return $software_access;
		
	}
	
    public function get_companies_by_id($id, $fields="*")
    {
		$this->db->select("$fields");
		$this->db->from('companies');
		$this->db->where('id', $id);
//		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$query = $this->db->get();
		return $query->result_array(); 
	}
    public function get_users_by_company_id($id, $fields="*")
    {
		$this->db->select("$fields");
		$this->db->from('membership');
		$this->db->where('customer_id', $id);
//		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$query = $this->db->get();
		return $query->result_array(); 
	}
	
    public function get_companies($search_string=null, $order=null, $order_type='Desc', $limit_start=null, $limit_end=null)
    {
	    
		$this->db->select('*');
//		$this->db->select('water_demand.description');
//		$this->db->select('products.manufacture_id');
//		$this->db->select('manufacturers.name as manufacture_name');
//		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$this->db->from('companies');
		
//		if($manufacture_id != null && $manufacture_id != 0){
//			$this->db->where('manufacture_id', $manufacture_id);
//		}
		if($search_string){
			$this->db->like('company_name', $search_string);
		}
		
//		$this->db->join('manufacturers', 'products.manufacture_id = manufacturers.id', 'left');
		
//		$this->db->group_by('water_demand.id');
		
		if($order){
			$this->db->order_by($order, $order_type);
		}else{
		    $this->db->order_by('id', $order_type);
		}

        if($limit_start && $limit_end){
          $this->db->limit($limit_start, $limit_end);	
        }

        if($limit_start != null){
          $this->db->limit($limit_start, $limit_end);    
        }

//		$this->db->limit($limit_start, $limit_end);
		//$this->db->limit('4', '4');


		$query = $this->db->get();

//echo $this->db->last_query();
//print_r($query->result_array());		
		return $query->result_array(); 	
    }
	
    function count_companies($order=null, $search_string='')
    {
		$this->db->select('*');
		$this->db->from('companies');
//		$this->db->where('customer_id', $this->session->userdata('customer_id'));
//		if($manufacture_id != null && $manufacture_id != 0){
//			$this->db->where('manufacture_id', $manufacture_id);
//		}
		if($search_string){
			$this->db->like('title', $search_string);
		}
		if($order){
			$this->db->order_by($order, 'Desc');
		}else{
		    $this->db->order_by('id', 'Desc');
		}
		$query = $this->db->get();
		return $query->num_rows();        
    }
    function store_companies($data)
    {
		$insert = $this->db->insert('companies', $data);
		$insert = $this->db->insert_id();
	    return $insert;
	}
    function store_user($data)
    {
		$insert = $this->db->insert('membership', $data);
		$insert = $this->db->insert_id();
	    return $insert;
	}
    function update_user($user_name, $data)
    {
		$this->db->where('user_name', $user_name);
		$this->db->update('membership', $data);
		$report = array();
		$report['error'] = $this->db->_error_number();
		$report['message'] = $this->db->_error_message();
		if($report !== 0){
			return true;
		}else{
			return false;
		}
	}

	function validate($user_name, $password)
	{
		$this->db->select("*");
		$this->db->from('companies');
		$this->db->where('user_name', $user_name);
		$this->db->where('pass_word', $password);
		$query = $this->db->get();
		return $query->result_array(); 


		$this->db->where('user_name', $user_name);
		$this->db->where('pass_word', $password);
		$query = $this->db->get('companies');
		
		if($query->num_rows == 1)
		{
			return true;
		}		
	}

    /**
    * Serialize the session data stored in the database, 
    * store it in a new array and return it to the controller 
    * @return array
    */
	function get_db_session_data()
	{
		$query = $this->db->select('user_data')->get('ci_sessions');
		$user = array(); /* array to store the user data we fetch */
		foreach ($query->result() as $row)
		{
		    $udata = unserialize($row->user_data);
		    /* put data in array using username as key */
		    $user['customer_id'] = $udata['customer_id']; 
		    $user['user_name'] = $udata['user_name']; 
		    $user['is_logged_in'] = $udata['is_logged_in']; 
		}
		return $user;
	}
	
    /**
    * Store the new user's data into the database
    * @return boolean - check the insert
    */	
	function create_member()
	{

		$this->db->where('user_name', $this->input->post('username'));
		$query = $this->db->get('companies');

        if($query->num_rows > 0){
        	echo '<div class="alert alert-error"><a class="close" data-dismiss="alert">×</a><strong>';
			  echo "Username already taken";	
			echo '</strong></div>';
		}else{

			$new_member_insert_data = array(
				'first_name' => $this->input->post('first_name'),
				'last_name' => $this->input->post('last_name'),
				'email_addres' => $this->input->post('email_address'),			
				'user_name' => $this->input->post('username'),
				'pass_word' => md5($this->input->post('password'))						
			);
			$insert = $this->db->insert('companies', $new_member_insert_data);
		    return $insert;
		}
	      
	}//create_member
	

    function update_companies($id, $data)
    {
		$this->db->where('id', $id);
		$this->db->update('companies', $data);
		$report = array();
		$report['error'] = $this->db->_error_number();
		$report['message'] = $this->db->_error_message();
		if($report !== 0){
			return true;
		}else{
			return false;
		}
	}
	
	function delete_record($id){
		$this->db->where('id', $id);
		$this->db->delete('companies'); 
		$this->db->where('customer_id', $id);
		$this->db->delete('membership'); 
	}


}

