<?php
class rapid_mix_model extends CI_Model {
 
    public function __construct()
    {
        $this->load->database();
    }


    public function get_record_by_id($id, $field="id")
    {
		$this->db->select('*');
		$this->db->from('rapid_mix');
		$this->db->where($field, $id);
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$query = $this->db->get();
		return $query->result_array(); 
    }

//    public function get_records($demand_id, $search_string=null, $order=null, $order_type='Desc', $limit_start, $limit_end)
    public function get_records($demand_id, $search_string=null, $order=null, $order_type='Desc', $limit_start=1, $limit_end=1)
    {
	    
		$this->db->select('rapid_mix.*');
		$this->db->select('water_demand.title as site_title');
		$this->db->where('rapid_mix.customer_id', $this->session->userdata('customer_id'));
		$this->db->from('rapid_mix');
		
		if($demand_id != null && $demand_id != 0){
			$this->db->where('demand_id', $demand_id);
		}
		if($search_string){
			$this->db->like('water_demand.title', $search_string);
		}
		
		$this->db->join('water_demand', 'rapid_mix.demand_id = water_demand.id', 'left');
		
		if($order){
			$this->db->order_by($order, $order_type);
		}else{
		    $this->db->order_by('id', $order_type);
		}
		
		$this->db->limit($limit_start, $limit_end);
		
		$query = $this->db->get();
		
		return $query->result_array(); 	
    }

    function count_records($demand_id=null, $search_string=null, $order=null)
//    function count_records($order=null)
    {
		$this->db->select('rapid_mix.*');
		$this->db->select('water_demand.title as site_title');
		$this->db->where('rapid_mix.customer_id', $this->session->userdata('customer_id'));
		$this->db->from('rapid_mix');
		
		if($demand_id != null && $demand_id != 0){
			$this->db->where('demand_id', $demand_id);
		}
		if($search_string){
			$this->db->like('water_demand.title', $search_string);
		}
		$this->db->join('water_demand', 'rapid_mix.demand_id = water_demand.id', 'left');
		
		if($order){
			$this->db->order_by($order, 'Desc');
		}else{
		    $this->db->order_by('id', 'Desc');
		}
		$query = $this->db->get();
		return $query->num_rows();        
    }

    function store_record($data)
    {
		$insert = $this->db->insert('rapid_mix', $data);
	    return $insert;
	}

    function update_record($id, $data)
    {
		$this->db->where('id', $id);
		$this->db->where('rapid_mix.customer_id', $this->session->userdata('customer_id'));
		$this->db->update('rapid_mix', $data);
		$report = array();
		$report['error'] = $this->db->_error_number();
		$report['message'] = $this->db->_error_message();
		if($report !== 0){
			return true;
		}else{
			return false;
		}
	}

	function delete_record($id){
		$this->db->where('id', $id);
		$this->db->where('rapid_mix.customer_id', $this->session->userdata('customer_id'));
		$this->db->delete('rapid_mix'); 
	}
 
}
?>