<?php
class Water_demand_model extends CI_Model {
 
    /**
    * Responsable for auto load the database
    * @return void
    */
    public function __construct()
    {
        $this->load->database();
    }

    /**
    * Get product by his is
    * @param int $water_demand_id 
    * @return array
    */
    public function get_water_demand_by_id($id, $fields="*")
    {
		$this->db->select("$fields");
		$this->db->from('water_demand');
		$this->db->where('id', $id);
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$query = $this->db->get();
		return $query->result_array(); 
    }

    /**
    * Fetch products data from the database
    * possibility to mix search, filter and order
    * @param int $manufacuture_id 
    * @param string $search_string 
    * @param strong $order
    * @param string $order_type 
    * @param int $limit_start
    * @param int $limit_end
    * @return array
    */
//    public function get_water_demand($order=null, $order_type='Desc', $limit_start, $limit_end)
    public function get_water_demand($search_string=null, $order=null, $order_type='Desc', $limit_start=null, $limit_end=null)
    {
	    
		$this->db->select('*');
//		$this->db->select('water_demand.description');
//		$this->db->select('products.manufacture_id');
//		$this->db->select('manufacturers.name as manufacture_name');
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$this->db->from('water_demand');
		
//		if($manufacture_id != null && $manufacture_id != 0){
//			$this->db->where('manufacture_id', $manufacture_id);
//		}
		if($search_string){
			$this->db->like('title', $search_string);
		}
		
//		$this->db->join('manufacturers', 'products.manufacture_id = manufacturers.id', 'left');
		
//		$this->db->group_by('water_demand.id');
		
		if($order){
			$this->db->order_by($order, $order_type);
		}else{
		    $this->db->order_by('id', $order_type);
		}

        if($limit_start && $limit_end){
          $this->db->limit($limit_start, $limit_end);	
        }

        if($limit_start != null){
          $this->db->limit($limit_start, $limit_end);    
        }

//		$this->db->limit($limit_start, $limit_end);
		//$this->db->limit('4', '4');


		$query = $this->db->get();

//echo $this->db->last_query();
//print_r($query->result_array());		
		return $query->result_array(); 	
    }

    /**
    * Count the number of rows
    * @param int $manufacture_id
    * @param int $search_string
    * @param int $order
    * @return int
    */
    function count_water_demand($order=null, $search_string='')
    {
		$this->db->select('*');
		$this->db->from('water_demand');
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
//		if($manufacture_id != null && $manufacture_id != 0){
//			$this->db->where('manufacture_id', $manufacture_id);
//		}
		if($search_string){
			$this->db->like('title', $search_string);
		}
		if($order){
			$this->db->order_by($order, 'Desc');
		}else{
		    $this->db->order_by('id', 'Desc');
		}
		$query = $this->db->get();
		return $query->num_rows();        
    }

    /**
    * Store the new water_demand into the database
    * @param array $data - associative array with data to store
    * @return boolean 
    */
    function store_water_demand($data)
    {
		$insert = $this->db->insert('water_demand', $data);
		$insert = $this->db->insert_id();
	    return $insert;
	}
	
	
    function duplicate_water_demand($data, $demand_id)
    {
		$insert = $this->db->insert('water_demand', $data);
		$insert_id = $this->db->insert_id();
		$customer_id = $this->session->userdata('customer_id');
		
		if ( !empty($insert_id) )
		{
			$this->db->query("INSERT INTO intake_well (demand_id, customer_id, water_required, velocity, discharge_required, no_of_openings, diameter_bars, spacing_bars, 
				screen_width, intake_well_diameter, depth_below_water_level, depth_above_water_level, gravity_main_velocity, pipe_max_diameter, 
				pipe_material_coefficient, date_created ) 
            SELECT '$insert_id', '$customer_id', water_required, velocity, discharge_required, no_of_openings, diameter_bars, spacing_bars, 
				screen_width, intake_well_diameter, depth_below_water_level, depth_above_water_level, gravity_main_velocity, pipe_max_diameter, 
				pipe_material_coefficient, '".date('Y-m-d H:i:s')."' 
              FROM intake_well WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO pump_design (demand_id, customer_id, discharge_rate, no_of_standby_pump, static_suction_head, date_created ) 
            SELECT '$insert_id', '$customer_id', discharge_rate, no_of_standby_pump, static_suction_head, '".date('Y-m-d H:i:s')."' 
              FROM pump_design WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO presedimentation_tank (demand_id, customer_id, overflow_rate, min_side_water_depth, pumping_duration, 
			detention_period, effective_depth, free_board, ratio_len_wid_vertical, ratio_len_wid_horizontal, width_of_tank, influent_width, 
			influent_depth, influent_spacing, orifice_width, orifice_depth, weir_loading, launder_troughs, launder_troughs_width, date_created ) 
            SELECT '$insert_id', '$customer_id', overflow_rate, min_side_water_depth, pumping_duration, 
			detention_period, effective_depth, free_board, ratio_len_wid_vertical, ratio_len_wid_horizontal, width_of_tank, influent_width, 
			influent_depth, influent_spacing, orifice_width, orifice_depth, weir_loading, launder_troughs, launder_troughs_width, '".date('Y-m-d H:i:s')."' 
              FROM presedimentation_tank WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO aeration_unit (demand_id, customer_id, head_required, no_of_trays, rise_of_tray, space_req, date_created ) 
            SELECT '$insert_id', '$customer_id', head_required, no_of_trays, rise_of_tray, space_req, '".date('Y-m-d H:i:s')."' 
              FROM aeration_unit WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO rapid_mix (demand_id, customer_id, detention_time, tank_height, ratio_height_to_diameter, ratio_impeller_diameter, 
			impeller_speed, power_rate, motor_hp, date_created ) 
            SELECT '$insert_id', '$customer_id', detention_time, tank_height, ratio_height_to_diameter, ratio_impeller_diameter, 
			impeller_speed, power_rate, motor_hp, '".date('Y-m-d H:i:s')."' 
              FROM rapid_mix WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO alum_dose (demand_id, customer_id, alum_applied, platform_height, required_for_month, height_of_tank, density_of_alum, date_created ) 
            SELECT '$insert_id', '$customer_id', alum_applied, platform_height, required_for_month, height_of_tank, density_of_alum, '".date('Y-m-d H:i:s')."' 
              FROM alum_dose WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO clari_unit (demand_id, customer_id, detention_time, velocity_gradient, water_depth, inlet_diameter, no_of_tanks, total_power_input, 
			drag_coefficient, water_density, blade_velocity, paddle_area, no_of_shafts, no_of_paddles, paddle_length, paddle_width, overflow_rate, detention_period, 
			free_board, no_of_launders, launder_velocity, date_created ) 
            SELECT '$insert_id', '$customer_id', detention_time, velocity_gradient, water_depth, inlet_diameter, no_of_tanks, total_power_input, 
			drag_coefficient, water_density, blade_velocity, paddle_area, no_of_shafts, no_of_paddles, paddle_length, paddle_width, overflow_rate, detention_period, 
			free_board, no_of_launders, launder_velocity, '".date('Y-m-d H:i:s')."' 
              FROM clari_unit WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO gravity_filter (demand_id, customer_id, time_lost, working_hours, filtration_rate, length_width_ratio, perforation_size, 
			filter_bed_width, filter_bed_length, laterals_spacing, laterals_diameter, wash_water_rate, wash_water_spacing, trough_width, 
			trough_free_board, trough_bottom, min_depth_required, filtering_depth, backwashing_depth, filter_free_board, backwash_rate_rise, filter_bed_flow, 
			backwash_flow, backwash_duration, date_created ) 
            SELECT '$insert_id', '$customer_id', time_lost, working_hours, filtration_rate, length_width_ratio, perforation_size, 
			filter_bed_width, filter_bed_length, laterals_spacing, laterals_diameter, wash_water_rate, wash_water_spacing, trough_width, 
			trough_free_board, trough_bottom, min_depth_required, filtering_depth, backwashing_depth, filter_free_board, backwash_rate_rise, filter_bed_flow, 
			backwash_flow, backwash_duration, '".date('Y-m-d H:i:s')."' 
              FROM gravity_filter WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO chlorinator (demand_id, customer_id, chlorine_applied, residual_chlorine, required_for_month, height_of_tank, height_of_platform, density_of_chlorine, date_created ) 
            SELECT '$insert_id', '$customer_id', chlorine_applied, residual_chlorine, required_for_month, height_of_tank, height_of_platform, density_of_chlorine, '".date('Y-m-d H:i:s')."' 
              FROM chlorinator WHERE demand_id = '$demand_id' LIMIT 1");
			  
			$this->db->query("INSERT INTO clear_water_tank (demand_id, customer_id, tank_depth, date_created ) 
            SELECT '$insert_id', '$customer_id', tank_depth, '".date('Y-m-d H:i:s')."' 
              FROM clear_water_tank WHERE demand_id = '$demand_id' LIMIT 1");
			
			
		}
	    return $insert;
	}
	
    /**
    * Update water_demand
    * @param array $data - associative array with data to store
    * @return boolean
    */
    function update_water_demand($id, $data)
    {
		$this->db->where('id', $id);
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$this->db->update('water_demand', $data);
		$report = array();
		$report['error'] = $this->db->_error_number();
		$report['message'] = $this->db->_error_message();
		if($report !== 0){
			return true;
		}else{
			return false;
		}
	}

    /**
    * Delete water_demand
    * @param int $id - water_demand id
    * @return boolean
    */
	function delete_water_demand($id){
		$this->db->where('id', $id);
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		$this->db->delete('water_demand'); 
	}
	
	function destroy_water_demand($id){
		
		$sql = "DELETE water_demand, pump_design 
				FROM water_demand
				INNER JOIN pump_design 
				ON water_demand.id = pump_design.demand_id
				WHERE water_demand.id='$id' AND water_demand.customer_id='".$this->session->userdata('customer_id')."'";
		$this->db->query($sql);	
/*		
		$this->db->where('id', $id);
		$this->db->where('customer_id', $this->session->userdata('customer_id'));
		
		$this->db->from('water_demand w');
		$this->db->where('w.customer_id', $this->session->userdata('customer_id'));
		
		$this->db->join ( 'intake_well', 'w.id=intake_well.demand_id', 'left' );
		$this->db->join ( 'pump_design', 'w.id=pump_design.demand_id', 'left' );
		$this->db->join ( 'presedimentation_tank', 'w.id=presedimentation_tank.demand_id', 'left' );
		$this->db->join ( 'aeration_unit', 'w.id=aeration_unit.demand_id', 'left' );
		$this->db->join ( 'rapid_mix', 'w.id=rapid_mix.demand_id', 'left' );
		$this->db->join ( 'alum_dose', 'w.id=alum_dose.demand_id', 'left' );
		$this->db->join ( 'clari_unit', 'w.id=clari_unit.demand_id', 'left' );
		$this->db->join ( 'gravity_filter', 'w.id=gravity_filter.demand_id', 'left' );
		$this->db->join ( 'chlorinator', 'w.id=chlorinator.demand_id', 'left' );
		$this->db->join ( 'clear_water_tank', 'w.id=clear_water_tank.demand_id', 'left' );
		
		$this->db->delete('water_demand'); 
*/

	}
 
}
?>