<?php
	$ShowThis = true;
	if ( stristr($_SERVER['REQUEST_URI'], 'report') )		$ShowThis = false;
	if ( stristr($_SERVER['REQUEST_URI'], 'superrun') )		$ShowThis = false;
?>
		<tr <?php if ( $ShowThis == false ) { echo 'style="display:none;"'; } ?>>
			<td align="center" colspan="4">
				<button class="btn btn-info" type="button" id="skimming_tank_calculations">Calculate</button>
				<button class="btn btn-info diagram" type="button">Diagram</button>
				<button class="btn btn-info" id="export_dxf_button" type="button">Export DXF</button>
				<input type="hidden" name="dxf_name" value="skimming_tank" />
				<button class="btn btn-info" type="submit" id="skimming_tank_button">Save Record</button>
			</td>
		</tr>
		
		<tr><td colspan="4" align="center"><h5>Output</h5></td></tr>
		<tr>
		<td valign="top">
			<table class="results">
				<tr><th>Flow Rate (Q)</th><td><input type="text" value="<?php echo $flow_rate_sc; ?>" readonly="" name="flow_rate_st" id="flow_rate_st" class="results_div"> MLD</td></tr>
				<tr><th>&nbsp;</th><td><input type="text" value="" readonly="" name="per_day_flow_rate_st" id="per_day_flow_rate_st" class="results_div"> m<sup>3</sup>/day</td></tr>
				<tr><th>&nbsp;</th><td><input type="text" value="" readonly="" name="per_sec_flow_rate_st" id="per_sec_flow_rate_st" class="results_div"> m<sup>3></sup>/sec</td></tr>
				<tr><th>Rising velocity of greasy material (Vr)</th><td><input type="text" id="per_sec_rising_velocity_st" name="per_sec_rising_velocity_st" value="<?php echo $per_sec_rising_velocity_st; ?>" readonly="" class="results_div"> m/sec</td></tr>
				<tr><th>Surface area of skimming tank (A)</th><td><input type="text" value="" readonly="" name="surface_area_st" id="surface_area_st" class="results_div"> m<sup>2</sup></td></tr>
				<tr><th>Diameter tank (d)</th><td><input type="text" value="" readonly="" name="tank_diameter_st" id="tank_diameter_st" class="results_div"> m<sup>2</sup></td></tr>
			</table>
		</td>
		</tr>

		</table>
	<?php
		if ( $ShowThis == true )
		{
			echo form_close();
		}
	?>

<style>
.square_box_st {
	width:0px; height:0px; margin:auto;
	border: 2px solid; left:0px; top:0px; 
}
#value_depth_of_tank_st { position:absolute; top:0px; left:0px; width:150px;  z-index:1;}
#value_tank_diameter_st { position:absolute; top:0px; left:0px; width:80px;  z-index:1;}
</style>

	<div id="skimming_tank_diagram" style="margin: auto; width: 70%; text-align:center; display:none; background:#FFFFFF; padding-top:150px;">
		<h4 style="color:#0044cc;">SKIMMING TANK</h4>
		<div class="platform_box" style="margin: auto; width: 900px; height:800px; border:0px solid red; position:relative; padding:20px 0px;">
			
			<div id="tank_st" class="square_box_st"></div>
			<div class="value_style" id="value_depth_of_tank_st" title="Total depth of tank"></div>
			<div class="scale" id="tank_st_scale11"></div>
			<div class="scale" id="tank_st_scale1"></div>
			<div class="scale" id="tank_st_scale111"></div>
			
			<div id="bottom_line_tank_st" class="square_box_st"></div>
			<div class="value_style" id="value_tank_diameter_st" title="Diameter of tank"></div>
			<div class="scale" id="bottom_line_tank_st_scale11"></div>
			<div class="scale" id="bottom_line_tank_st_scale1"></div>
			<div class="scale" id="bottom_line_tank_st_scale111"></div>
			
			<div id="left_pipe_tank_st" class="square_box_st" style="border-top:0px; width:50px; height:50px; position:absolute;">
				<div style="width:100%; height:30px; background:#fff; position:absolute; top:20px; left:5px; z-index:99;"></div>
			</div>
			<div id="right_pipe_tank_st" class="square_box_st" style="border-top:0px; width:50px; height:50px; position:absolute;">
				<div style="width:100%; height:30px; background:#fff; position:absolute; top:20px; left:-5px; z-index:99;"></div>
			</div>
			
			<div id="top_line_st" style="background:#000000; height:1px; position:absolute; top:30px;"></div>
			
			<div style="clear:both;"></div>
			
		</div>
	</div>

</div>

<script>
	
	
	flow_rate_st = parseFloat(document.getElementById('flow_rate_st').value);
	if ( flow_rate_st != "" && !isNaN(flow_rate_st) )
	{
		per_day_flow_rate_st = flow_rate_st * 1000;
		document.getElementById('per_day_flow_rate_st').value = per_day_flow_rate_st;
		
		per_sec_flow_rate_st = (flow_rate_st * ( Math.pow(10, 3) )) / 86400;
		document.getElementById('per_sec_flow_rate_st').value = floorFigure(per_sec_flow_rate_st, 4);
	}
	
$('#skimming_tank_calculations').click(function(e) {
	
	$('.platform_box').parent('div').show('slow');
	
	rising_velocity_st = parseFloat(document.getElementById('rising_velocity_st').value);
	per_sec_rising_velocity_st = rising_velocity_st / 60;
	document.getElementById('per_sec_rising_velocity_st').value = floorFigure(per_sec_rising_velocity_st, 4);
	
	surface_area_st = (0.00622 * (per_sec_flow_rate_st / per_sec_rising_velocity_st));
	document.getElementById('surface_area_st').value = floorFigure(surface_area_st, 4);
	
	tank_diameter_st = Math.pow(((4 * surface_area_st)/(22/7)), 0.5);
	document.getElementById('tank_diameter_st').value = floorFigure(tank_diameter_st, 4);
	
	skimming_tank_function();
	
});

function skimming_tank_function()
{	
	depth_of_tank_st = parseFloat(document.getElementById('depth_of_tank_st').value);
	tank_diameter_st = parseFloat(document.getElementById('tank_diameter_st').value);
	fake_depth_of_tank_st = depth_of_tank_st * 240;
	fake_tank_diameter_st = tank_diameter_st * 240;
	jQuery('#tank_st').css({height: fake_depth_of_tank_st + 'px'});
	jQuery('#tank_st').css({width: fake_tank_diameter_st + 'px'});
	jQuery('#tank_st').css({'borderTop': '0px'});
	
	jQuery('#bottom_line_tank_st').css({width: fake_tank_diameter_st+120 + 'px'});
	
	left_pipe_tank_st_left = jQuery('#tank_st').position().left + parseInt(jQuery('#tank_st').css('marginLeft')); 
	jQuery('#left_pipe_tank_st').css({left: left_pipe_tank_st_left-52 + 'px'});
	jQuery('#left_pipe_tank_st').css({top: 80 + 'px'});
	
	jQuery('#right_pipe_tank_st').css({left: (left_pipe_tank_st_left+fake_tank_diameter_st)+2 + 'px'});
	jQuery('#right_pipe_tank_st').css({top: 120 + 'px'});
	
	jQuery('#top_line_st').css({top: 50 + 'px'});
	jQuery('#top_line_st').css({left: left_pipe_tank_st_left + 'px'});
	jQuery('#top_line_st').css({width: fake_tank_diameter_st+2 + 'px'});
	
	
	jQuery('#value_depth_of_tank_st').html('<b>'+floorFigure(depth_of_tank_st, 2) +'</b> m Depth of Tank');
	jQuery('#value_depth_of_tank_st').css({top: ((fake_depth_of_tank_st/2)) + 'px'});
	jQuery('#value_depth_of_tank_st').css({left: (left_pipe_tank_st_left+5) + 'px'});
	scale('tank_st', 'V', 20, -2, 0, 60, 0, '');
		
	tank_diameter_st_top  = jQuery('#bottom_line_tank_st').position().top; 
	tank_diameter_st_left = jQuery('#tank_st').position().left + parseInt(jQuery('#tank_st').css('marginLeft'));
	jQuery('#value_tank_diameter_st').html('<b>'+floorFigure(tank_diameter_st, 2) +'</b> m<br>Diameter of Tank');
	jQuery('#value_tank_diameter_st').css({top: tank_diameter_st_top+10 + 'px'});
	jQuery('#value_tank_diameter_st').css({left: tank_diameter_st_left+(fake_tank_diameter_st/2)-30 + 'px'});
	
	htop = jQuery('#tank_st').position().top; 
	hheight = jQuery('#tank_st').height(); 
	hwidth = jQuery('#tank_st').width(); 
	hleft = jQuery('#tank_st').position().left + parseInt(jQuery('#tank_st').css('marginLeft'));
	scale('bottom_line_tank_st', 'H', 0, htop, hheight, hleft, hwidth, '');
	
}	

</script>