
	meter = 48;		//	.1 meter = 6px
	tank_diameter_box_ori_height = 6;
	tank_diameter_box_ori_width = 6;
	tank_platform_box_ori_height = 6;
	tank_platform_box_ori_width = 6;

function angledLine(cx, cy, radius, angle, ctx, ele_id) 
{
	angle-=Math.PI/2;
	ctx.lineWidth = 2;
	ctx.beginPath();
	ctx.strokeStyle = 'black';
	ctx.arc(cx, cy, radius, 0, Math.PI * 2);
	ctx.moveTo(cx - radius-3, cy);
	ctx.lineTo(cx + radius+3, cy);
	ctx.moveTo(cx, cy - radius-3);
	ctx.lineTo(cx, cy + radius+3);
	
	if ( ele_id == "jack_well_1_pump_circle" || ele_id == "jack_well_2_pump_circle" || ele_id == "jack_well_3_pump_circle" )
	{
		ctx.moveTo(5, 7);
		ctx.lineTo(32, 32);
		ctx.moveTo(34, 5);
		ctx.lineTo(7, 34);
	}
	
//	ctx.stroke();
}

function distributeFields(ctx, no_of_circles, circle_left, circle_top, radius) {
//    var radius = 200;
//    var fields = jQuery('.field'), 
		container = jQuery('#big_circle'),
        width = container.width(), height = container.height(),
//        width = 600, height = 600,
        angle = 0, step = (2*Math.PI) / no_of_circles;
//	    fields.each(function() {
//			var x = Math.round(width/2 + radius * Math.cos(angle) - jQuery(this).width()/2);
//			var y = Math.round(height/2 + radius * Math.sin(angle) - jQuery(this).height()/2);
		for (i = 0; i < no_of_circles; i++)
		{
			var x = (Math.round(width/2 + (radius*2) * Math.cos(angle) - radius))*2;
			var y = (Math.round(height/2 + (radius*2) * Math.sin(angle) - radius))*2;
//			var y = Math.round(height/2 + radius * Math.sin(angle) - radius/2);
		alert( x + " " + y);
			ctx.arc(x, y, radius, 0, 2 * Math.PI, false);

//			if(window.console) {
//				console.log(jQuery(this).text(), x, y);
//			}
			angle += step;
		}
}

function circleAligner(ctx, no_of_circles, circle_left, circle_top, radius) 
{
//	var elems = document.getElementsByClassName('round');
	var increase = Math.PI * 2 / no_of_circles;
	var x = 0, y = 0, angle = 0;
	
	for (var i = 0; i < no_of_circles; i++) 
	{
//		jQuery("#big_circle").append("<div class='round'></div>");
		elem = document.createElement('div');
		jQuery(elem).addClass('round').appendTo(jQuery(".bigcircle"));
		
//		var elem = elems[i];
		// modify to change the radius and position of a circle
		x = 100 * Math.cos(angle) + 20;
		y = 100 * Math.sin(angle) + 120;
		elem.style.position = 'absolute';
		elem.style.left = x + 'px';
		elem.style.top = y + 'px';
		
//		ctx.arc(x, y, radius, 0, 2 * Math.PI, false);
		
		//need to work this part out
//		var rot = 90 + (i * (360 / elems.length));
		angle += increase;
//		console.log(angle);
	}
}

function createRounds(no_of_rounds, radius, big_circle_class, small_circle_class) {
	
    var container = jQuery('.'+big_circle_class);
	container.html('');
    for(var i = 0; i < no_of_rounds; i++) {
        jQuery('<div/>', {
            'class': small_circle_class,
			'html':'<div style="width:2px; background:#000000; height:100%; margin:auto;"></div><div style="width:100%; background:#000000; height:2px; vertical-align:middle; position:absolute; top:50%;"></div>'
        }).appendTo(container);
    }
	
	alignRounds(radius, big_circle_class, small_circle_class);
}
function createCircle(no_of_rounds, radius, big_circle_class, small_circle_class) {
	
    var container = jQuery('.'+big_circle_class);
	container.html('');
    for(var i = 0; i < no_of_rounds; i++) {
        jQuery('<div/>', {
            'class': small_circle_class,
			'html':''
        }).appendTo(container);
    }
	
	alignRounds(radius, big_circle_class, small_circle_class);
}

function alignRounds(radius, big_circle_class, small_circle_class) {
    var fields = jQuery('.'+small_circle_class), container = jQuery('.'+big_circle_class),
        width = container.width(), height = container.height(),
        angle = 0, step = (2*Math.PI) / fields.length;
    fields.each(function() {
        var x = Math.round(width/2 + radius * Math.cos(angle) - jQuery(this).width()/2);
        var y = Math.round(height/2 + radius * Math.sin(angle) - jQuery(this).height()/2);
		
        jQuery(this).css({
            left: x + 'px',
            top: y + 'px'
        });
        angle += step;
    });
}



function drawCircle(circle_left, circle_top, circle_width, ele_id)
{
	
	var c = document.getElementById(ele_id);
	var centerX = c.width / 2;
	var centerY = c.height / 2;
	var radius = 300;
//alert(centerX +" "+ centerY +" "+ circle_width +" "+ circle_left +" "+ circle_top);
	
	var ctx = c.getContext("2d");
	ctx.beginPath();
//	ctx.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
	if ( circle_width == 40 )
	{
		circleAligner(ctx, 1, circle_left, circle_top, circle_width);
	}
	else
		ctx.arc(centerX, centerY, circle_width, 0, 2 * Math.PI, false);
	ctx.lineWidth = 2;
	ctx.strokeStyle = '#003300';
	ctx.fillStyle = '#98DAEA';
	if ( ele_id == "big_circle" )
	{
		ctx.fill();
		
	}
	
	var angle = Math.PI / 4;  // == 45 degrees
	
	if ( ele_id == "circle" || ele_id == "cu_circle" )
		angledLine(circle_left, circle_top, circle_width, angle, ctx, ele_id);
	if ( ele_id == "jack_well_1_pump_circle" || ele_id == "jack_well_2_pump_circle" || ele_id == "jack_well_3_pump_circle" )
		angledLine(circle_left, circle_top, circle_width-2, angle, ctx, ele_id);
	
	ctx.stroke();

}

function floorFigure(figure, decimals){
    if (!decimals) decimals = 2;
    var d = Math.pow(10,decimals);
    return (parseInt(figure*d)/d).toFixed(decimals);
};

function fixMeUp(valu, roun)
{
	valu = (Math.floor(100 * valu) / 100).toFixed(roun)
	
	return valu;
}


$('.dropdown').hover(function(){ 
	$('.dropdown-toggle', this).trigger('click'); 
});

function water_intake()
{
	population = document.getElementById('population').value;
	growth_rate = document.getElementById('growth_rate').value;
	decades = document.getElementById('decades').value;
	demand = document.getElementById('demand').value;
	
	if ( population == "" )	{	alert("Enter Population");	document.getElementById('population').focus();	return;		}
	if ( growth_rate == "" )	{	alert("Enter Growth Rate");	document.getElementById('growth_rate').focus();	return;		}
	if ( decades == "" )	{	alert("Enter Decades");	document.getElementById('decades').focus();	return;		}
	if ( demand == "" )	{	alert("Enter Demand");	document.getElementById('demand').focus();	return;		}
	
	y = growth_rate / 100;
	z = Math.pow((1 + y), decades);
	future_population = population * z;
	water_supplied_per_day = (future_population * demand) / Math.pow(10, 6);
	
	y = Math.pow((future_population / 1000), 0.5);
	z = Math.pow(10, -3);
	fire_demand = 100*y*z;
	
	discharge = water_supplied_per_day + fire_demand;
	
	inflow_q1 = (discharge +((3/100) * discharge));
	inflow_q2 = (inflow_q1 + ((2/100) * inflow_q1));
	inflow_q3 = (inflow_q2 + ((2/100) * inflow_q2));
	
	document.getElementById('future_population').value = future_population.toFixed(2);
	document.getElementById('future_population_roundoff').value = Math.round(future_population);
	document.getElementById('water_supplied_per_day').value = water_supplied_per_day.toFixed(2);
	document.getElementById('fire_demand').value = fire_demand.toFixed(2);
	document.getElementById('discharge_water').value = discharge.toFixed(2);
	document.getElementById('inflow_q1').value = inflow_q1.toFixed(2);
	document.getElementById('inflow_q2').value = inflow_q2.toFixed(2);
	document.getElementById('inflow_q3').value =  floorFigure(inflow_q3, 2);
	document.getElementById('total_water_demand').value = floorFigure(inflow_q3, 2);
	document.getElementById('total_water_demand_round').value = Math.round(inflow_q3,0);
	document.getElementById('water_required').value = Math.ceil(inflow_q3,0);
	
}

function scale(cid, dir, top_add, htop, hheight, hleft, hwidth, zindex)
{
	line_left = jQuery('#'+cid).position().left + parseInt(jQuery('#'+cid).css('marginLeft')) - 34 + hleft; 
	line_top = jQuery('#'+cid).position().top;
	line_height = jQuery('#'+cid).height();
	line_width = jQuery('#'+cid).width();
	if ( dir == "V" )
	{
//	alert(line_top);
		jQuery('#'+cid+'_scale1').css({top: line_top+htop + 'px'});
		jQuery('#'+cid+'_scale1').css({left: line_left + 'px'});
		jQuery('#'+cid+'_scale1').css('height', line_height);
		
		jQuery('#'+cid+'_scale11').width(20);
		jQuery('#'+cid+'_scale11').css({left: (line_left-10) + 'px'});
		jQuery('#'+cid+'_scale11').css({top: line_top+htop + 'px'});
		
		jQuery('#'+cid+'_scale111').css({top: (line_height+htop+top_add) + 'px'});
		jQuery('#'+cid+'_scale111').width(20);
		jQuery('#'+cid+'_scale111').css({left: (line_left-10) + 'px'});
	}
	else if ( dir == "VR" )
	{
		line_left = line_left + line_width + 64;
		jQuery('#'+cid+'_scale1').css({top: line_top+htop + 'px'});
		jQuery('#'+cid+'_scale1').css({left: line_left + 'px'});
		jQuery('#'+cid+'_scale1').css('height', line_height);
		jQuery('#'+cid+'_scale11').width(20);
		jQuery('#'+cid+'_scale11').css({left: (line_left-10) + 'px'});
			jQuery('#'+cid+'_scale11').css({top: line_top+htop+0 + 'px'});
		
		jQuery('#'+cid+'_scale111').css({top: (line_top+line_height+htop) + 'px'});
		jQuery('#'+cid+'_scale111').width(20);
		jQuery('#'+cid+'_scale111').css({left: (line_left-10) + 'px'});
	}
	else if ( dir == "H" )
	{
		jQuery('#'+cid+'_scale1').css({top: htop+hheight+15 + 'px'});
		jQuery('#'+cid+'_scale1').css({left: hleft + 'px'});
		jQuery('#'+cid+'_scale1').css('height', 20);

		jQuery('#'+cid+'_scale11').css({top: htop+hheight+24 + 'px'});
		jQuery('#'+cid+'_scale11').width(hwidth);
		jQuery('#'+cid+'_scale11').css({left: hleft + 'px'});

		jQuery('#'+cid+'_scale111').css({top: htop+hheight+15 + 'px'});
		jQuery('#'+cid+'_scale111').css({left: hleft+hwidth + 'px'});
		jQuery('#'+cid+'_scale111').css('height', 20);
		jQuery('#'+cid+'_scale111').width(1);
		
//		jQuery('#'+cid+'_scale111').css({top: (line_top+60) + 'px'});
//		jQuery('#'+cid+'_scale111').width(20);
//		jQuery('#'+cid+'_scale111').css({left: (line_left-10) + 'px'});
	}
	
	if ( zindex != "" )
	{
		jQuery('#'+cid+'_scale1').css('z-index', zindex);
		jQuery('#'+cid+'_scale11').css('z-index', zindex);
		jQuery('#'+cid+'_scale111').css('z-index', zindex);
	}
}

$(document).ready(function() {
	
	$('#export_dxf_button').click(function(e) {
		
		ori_action = $(this).closest("form").attr('action');
		$(this).closest("form").attr('action', site_url + 'admin_report/exportToDxf');
		$(this).closest("form").submit();
		$(this).closest("form").attr('action', ori_action);
		
		
	});
	
	
	$('#intake_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
//		demand_id = $('#demand_id').find("option:selected").val();
		water_required = parseFloat(document.getElementById('water_required_it').value);
		velocity = parseFloat(document.getElementById('velocity').value);
		gravity_main_velocity = parseFloat(document.getElementById('gravity_main_velocity').value);
		pipe_max_diameter = parseFloat(document.getElementById('pipe_max_diameter').value);
		pipe_material_coefficient = parseFloat(document.getElementById('pipe_material_coefficient').value);
		
//		if ( demand_id == "" || water_required == "" )	{	alert( demand_id +" Select Water Demand " + water_required);	document.getElementById('demand_id').focus();	return;		}
		if ( velocity == "" )	{	alert("Enter Velocity");	document.getElementById('velocity').focus();	return;		}
		if ( gravity_main_velocity == "" )	{	alert("Enter Gravity Main Velocity");	document.getElementById('gravity_main_velocity').focus();	return;		}
		if ( pipe_max_diameter == "" )	{	alert("Enter Maximum Diameter of Pipe");	document.getElementById('pipe_max_diameter').focus();	return;		}
		if ( pipe_material_coefficient == "" )	{	alert("Enter Coefficient of pipe material");	document.getElementById('pipe_material_coefficient').focus();	return;		}
		
		discharge = (water_required*1000)/(24*60*60);
		document.getElementById('iw_discharge').value = floorFigure(discharge, 4);
		document.getElementById('iw_discharge_roundoff').value = discharge.toFixed(2);
		document.getElementById('discharge_required').value = discharge.toFixed(2);
		
		area_for_opening = discharge / velocity;
		document.getElementById('area_for_opening').value = floorFigure(area_for_opening, 2);
		
		area_for_opening_half = 2 * area_for_opening;
		document.getElementById('area_for_opening_half').value = floorFigure(area_for_opening_half, 2);
		
		area_of_screen = area_for_opening_half / 2;
		document.getElementById('area_of_screen').value = floorFigure(area_of_screen, 2);
		
		screen_width = document.getElementById('screen_width').value;
		screen_height = area_of_screen / screen_width;
		document.getElementById('screen_height').value = screen_height.toFixed(4);
		document.getElementById('screen_height_roundoff').value = floorFigure(screen_height, 2);
		
		depth_below_water_level = document.getElementById('depth_below_water_level').value;
		depth_above_water_level = document.getElementById('depth_above_water_level').value;
		depth_of_tank = parseFloat(depth_below_water_level) + parseFloat(depth_above_water_level);
		document.getElementById('depth_of_tank').value = floorFigure(depth_of_tank, 2);
		
		discharge = document.getElementById('iw_discharge_roundoff').value;
		document.getElementById('discharge_per_second').value = discharge;
		
		cross_section_area = discharge / gravity_main_velocity;
		
		document.getElementById('cross_section_area').value = cross_section_area;

//		=((4*F39)/(22/7))^0.5
		gravity_main_diameter = Math.pow((4*cross_section_area)/(22/7), 0.5);
		
		document.getElementById('gravity_main_diameter').value = floorFigure(gravity_main_diameter, 4);
		document.getElementById('gravity_main_diameter_roundoff').value = floorFigure(gravity_main_diameter, 2);
		
		gravity_main_perimeter = (22/7) * gravity_main_diameter;
		document.getElementById('gravity_main_perimeter').value = floorFigure(gravity_main_perimeter, 2);
		
		hydraulic_radius = cross_section_area / gravity_main_perimeter;
		document.getElementById('hydraulic_radius').value = floorFigure(hydraulic_radius, 2);
		
//		=0.85*F47*(F49^0.63)*(F53^0.54)
//		=(F43/(0.85*F47*(F49^0.63)))^1.85
//		=((F37*4)/(F6*3.14*F43^2))
		it_no_of_pipes = (discharge*4) / ((velocity*3.14) * Math.pow(pipe_max_diameter, 2));
		document.getElementById('it_no_of_pipes').value = floorFigure(it_no_of_pipes, 4);
		document.getElementById('it_no_of_pipes_roundoff').value = Math.ceil(it_no_of_pipes);
		
		hrpow = Math.pow(hydraulic_radius, 0.63);
//		slope = Math.pow(pipe_max_diameter/(0.85*pipe_material_coefficient*(hrpow)), 1.85);
		slope = Math.pow(gravity_main_velocity/(0.85*pipe_material_coefficient*(hrpow)), 1.85);
		
		document.getElementById('slope').value = floorFigure(slope, 4);
		
		intake_well_diameter = parseFloat(document.getElementById('intake_well_diameter').value);
		depth_below_water_level = parseFloat(document.getElementById('depth_below_water_level').value);
		depth_above_water_level = parseFloat(document.getElementById('depth_above_water_level').value);
		depth_of_jackwell = parseFloat(depth_below_water_level) + parseFloat(depth_above_water_level);
		
		document.getElementById('jack_intake_well_diameter').value = floorFigure(intake_well_diameter, 2);
		document.getElementById('jack_depth_below_water_level').value = floorFigure(depth_below_water_level, 2);
		document.getElementById('jack_depth_above_water_level').value = floorFigure(depth_above_water_level, 2);
		document.getElementById('depth_of_jackwell').value = floorFigure(depth_of_jackwell, 2);
		
//		diagram
		document.getElementById('depth_of_tank_diagram').innerHTML = floorFigure(depth_of_tank, 2) +' m ';
		document.getElementById('intake_well_diameter_diagram').innerHTML = floorFigure(intake_well_diameter, 2) + ' m ';
		document.getElementById('depth_above_water_level_diagram').innerHTML = floorFigure(depth_above_water_level, 2) +' m';
		document.getElementById('depth_below_water_level_diagram_iw').innerHTML = floorFigure(depth_below_water_level, 2) +' m';
		document.getElementById('pipe_max_diameter_diagram').innerHTML = 'dia.=' + floorFigure(pipe_max_diameter, 2) +' m';
		document.getElementById('slope_diagram').innerHTML = 'slope=' + floorFigure(slope, 4);
		document.getElementById('it_no_of_pipes_roundoff_diagram').innerHTML = 'No. of pipes=' + Math.ceil(it_no_of_pipes);
		document.getElementById('depth_of_jackwell_diagram').innerHTML = floorFigure(depth_of_jackwell, 2) + ' m';
		document.getElementById('jack_well_diameter_diagram').innerHTML = floorFigure(intake_well_diameter, 2) + ' m ';
		
		
		if ( intake_well_diameter > 8 )
			jQuery('#intake_well_box').css({'margin-left':'0px'});
		
		meter_new = 28;
		intake_well_box_height = (depth_of_tank * meter_new);
		intake_well_box_width  = (intake_well_diameter * meter_new);
		
		jQuery('#intake_well_box').width(intake_well_box_width);
		jQuery('#intake_well_box').css('height', intake_well_box_height);
		
		intake_well_diameter_box_width = intake_well_box_width;
		intake_well_diameter_box_height = (depth_below_water_level * meter_new);
		
		jQuery('#intake_well_diameter_box_empty').width(intake_well_diameter_box_width);
		jQuery('#intake_well_diameter_box_empty').css('height', (intake_well_box_height-intake_well_diameter_box_height));
		jQuery('#intake_well_diameter_box').width(intake_well_diameter_box_width);
		jQuery('#intake_well_diameter_box').css('height', intake_well_diameter_box_height);
		jQuery('#intake_well_bottom_line').width(intake_well_diameter_box_width + 40);
		intake_well_pipe_left = jQuery('#intake_well_diameter_box').position().left + parseInt(jQuery('#intake_well_diameter_box').css('marginLeft'))-27; 
		jQuery('#intake_well_pipe').css({left: intake_well_pipe_left + 'px'});
		
		jack_well_box_height = ((depth_below_water_level + depth_above_water_level) * meter_new);
		jack_well_box_width  = (intake_well_diameter * meter_new);
		
		jQuery('#jack_well_box').width(jack_well_box_width);
		jQuery('#jack_well_box').css('height', jack_well_box_height);
		jQuery('#jack_well_diameter_box_empty').width(intake_well_diameter_box_width);
		jQuery('#jack_well_diameter_box_empty').css('height', (intake_well_box_height-intake_well_diameter_box_height));
		jQuery('#jack_well_diameter_box').width(intake_well_diameter_box_width);
		jQuery('#jack_well_diameter_box').css('height', intake_well_diameter_box_height);
		jQuery('#jack_well_bottom_line').width(intake_well_diameter_box_width + 40);
		
		jack_well_top_box_top = 60; 
		jack_well_top_box_left = 3 + jQuery('#jack_well_box').position().left + parseInt(jQuery('#jack_well_box').css('marginLeft')); 
		jQuery('#jack_well_top_box').width(intake_well_diameter_box_width);
		jQuery('#jack_well_top_box').css({left: jack_well_top_box_left + 'px'});
		jQuery('#jack_well_top_box').css({top: jack_well_top_box_top + 'px'});
		
//		jQuery('#jack_well_triangle').width(intake_well_diameter_box_width);
		jack_well_triangle_left = jack_well_top_box_left - (intake_well_diameter_box_width/2);
		jack_well_triangle_top = jack_well_top_box_top - intake_well_diameter_box_width;
		jack_well_triangle_side = jack_well_box_width;
		jQuery('#jack_well_triangle').css({left: jack_well_triangle_left + 'px'});
		jQuery('#jack_well_triangle').css({top: jack_well_triangle_top + 'px'});
		jQuery('#jack_well_triangle').css({'border-left-width': jack_well_triangle_side + 'px'});
		jQuery('#jack_well_triangle').css({'border-right-width': jack_well_triangle_side + 'px'});
		jQuery('#jack_well_triangle').css({'border-bottom-width': jack_well_triangle_side + 'px'});
		
		jQuery('#jack_well_triangle_inner').css({left: (jack_well_triangle_left+6) + 'px'});
		jQuery('#jack_well_triangle_inner').css({top: (jack_well_triangle_top+3) + 'px'});
		jQuery('#jack_well_triangle_inner').css({'border-left-width': (jack_well_triangle_side-6) + 'px'});
		jQuery('#jack_well_triangle_inner').css({'border-right-width': (jack_well_triangle_side-6) + 'px'});
		jQuery('#jack_well_triangle_inner').css({'border-bottom-width': (jack_well_triangle_side-6) + 'px'});
		
//		pipeline_top = jQuery('#intake_well_diameter_box').position().top - 10 ;
//		jQuery('.pipeline').css({top: (pipeline_top-24) + 'px'});
//		jQuery('.pipeline1').css({top: pipeline_top + 'px'});

//		createLine('intake_well_diameter_box', 'jack_well_diameter_box');
		
		var line_start = $('#intake_well_bottom_line');
		var line_start_offset = line_start.offset();
		var line_start_left = line_start_offset.left, line_start_top = line_start_offset.top;
		var line_start_width = line_start.width(), h = line_start.height();
		var line_end = $('#jack_well_bottom_line');
		var line_end_offset = line_end.offset();
		var line_end_left = line_end_offset.left, line_end_top = line_end_offset.top;
    	
		var start_left = (line_start_left+line_start_width-15),	start_top = line_start_top-30, line_end_width = line_end_left+16, line_end_top = line_end_top-40;
		createLine(start_left, start_top, line_end_width, line_end_top);
		
//alert( jQuery('.pipe_line').position().top );
		pipe_max_diameter_diagram_top = jQuery('.pipe_line').position().top;
		pipe_max_diameter_diagram_left = jQuery('.pipe_line').position().left;
		jQuery('#pipe_max_diameter_diagram').css({top: (pipe_max_diameter_diagram_top+32) + 'px'});
		jQuery('#pipe_max_diameter_diagram').css({left: (pipe_max_diameter_diagram_left+300) + 'px'});
//		jQuery('#pipe_max_diameter_diagram').html(line_end_left);
		
		jQuery('#slope_diagram').css({top: (pipe_max_diameter_diagram_top+20) + 'px'});
		jQuery('#slope_diagram').css({left: (pipe_max_diameter_diagram_left+150) + 'px'});
		jQuery('#it_no_of_pipes_roundoff_diagram').css({top: (pipe_max_diameter_diagram_top-10) + 'px'});
		jQuery('#it_no_of_pipes_roundoff_diagram').css({left: (pipe_max_diameter_diagram_left+120) + 'px'});
		
		depth_of_tank_diagram_top = jQuery('#intake_well_box').position().top;
		depth_of_tank_diagram_left = jQuery('#intake_well_box').position().left;
		jQuery('#depth_of_tank_diagram').css({top: (depth_of_tank_diagram_top+(intake_well_box_height/2)) + 'px'});
		jQuery('#depth_of_tank_diagram').css({left: (depth_of_tank_diagram_left+40) + 'px'});
		
		intake_well_diameter_diagram_top   = jQuery('#intake_well_bottom_line').position().top;
		intake_well_diameter_diagram_width = jQuery('#intake_well_diameter_diagram').width();
		intake_well_diameter_diagram_left  = jQuery('#intake_well_diameter_box').position().left + ((intake_well_diameter_box_width-intake_well_diameter_diagram_width)/2);
		jQuery('#intake_well_diameter_diagram').css({top: (intake_well_diameter_diagram_top+14) + 'px'});
		jQuery('#intake_well_diameter_diagram').css({left: (intake_well_diameter_diagram_left) + 'px'});
		
//		jQuery('#depth_below_water_level_diagram_iw').css({top: (depth_of_tank_diagram_top + intake_well_diameter_box_height) + 'px'});
		jQuery('#depth_below_water_level_diagram_iw').css({top: (intake_well_diameter_diagram_top - (intake_well_diameter_box_height/2)) + 'px'});
		
		
		depth_of_jackwell_diagram_top = jQuery('#jack_well_diameter_box_empty').position().top;
		depth_of_jackwell_diagram_left = jQuery('#jack_well_diameter_box_empty').position().left;
		jQuery('#depth_of_jackwell_diagram').css({top: (depth_of_jackwell_diagram_top+(jack_well_box_height/2)-20) + 'px'});
		jQuery('#depth_of_jackwell_diagram').css({left: (depth_of_jackwell_diagram_left-60) + 'px'});
		
		jack_well_diameter_diagram_top  = jQuery('#jack_well_bottom_line').position().top;
		jack_well_diameter_diagram_width = jQuery('#jack_well_diameter_diagram').width();
		jack_well_diameter_diagram_left  = jQuery('#jack_well_diameter_box').position().left + ((intake_well_diameter_box_width-jack_well_diameter_diagram_width)/2);
		jQuery('#jack_well_diameter_diagram').css({top: (jack_well_diameter_diagram_top+14) + 'px'});
//		jQuery('#jack_well_diameter_diagram').css({left: (intake_well_diameter_box_width) + 'px'});
		jQuery('#jack_well_diameter_diagram').css({left: (jack_well_diameter_diagram_left) + 'px'});
		
		jQuery('#jack_well_pump').css({top: (jQuery('#jack_well_box').position().top+13) + 'px'});
		
		jack_well_pump_pipe_left = 4+jQuery('#jack_well_pump').width();
		jQuery('#jack_well_pump_pipe').css({top: (jQuery('#jack_well_box').position().top+20) + 'px'});
		jQuery('#jack_well_pump_pipe').css({left: jack_well_pump_pipe_left + 'px'});
		
		jack_well_pump_pipe_niche = jQuery('#jack_well_diameter_box_empty').height() + (jQuery('#jack_well_diameter_box').height()/2);
		jQuery('#jack_well_pump_pipe_niche').css({top: (jQuery('#jack_well_box').position().top+40) + 'px'});
		jQuery('#jack_well_pump_pipe_niche').css({height: jack_well_pump_pipe_niche + 'px'});

scale('intake_well_box', 'V', 20, 0, 0, 0, 0, '');
scale('intake_well_diameter_box_empty', 'VR', 0, 0, 0, 0, 0, '');
scale('intake_well_diameter_box', 'VR', 6, 0, 0, 0, 0, '11');
//scale(cid, dir, top_add, htop, hheight, hleft, hwidth, zindex)

htop = jQuery('#intake_well_diameter_box').position().top; 
hheight = jQuery('#intake_well_diameter_box').height(); 
hwidth = jQuery('#intake_well_diameter_box').width(); 
hleft = jQuery('#intake_well_diameter_box').position().left + parseInt(jQuery('#intake_well_diameter_box').css('marginLeft'));
scale('intake_well_bottom_line', 'H', 0, htop, hheight, hleft, hwidth, '');

htop = jQuery('#jack_well_pump_pipe_niche').position().top + 46; 
scale('jack_well_box', 'V', 20, htop, 0, 0, 0, '');
htop = jQuery('#jack_well_diameter_box').position().top; 
hheight = jQuery('#jack_well_diameter_box').height(); 
hwidth = jQuery('#jack_well_diameter_box').width(); 
hleft = jQuery('#jack_well_diameter_box').position().left + parseInt(jQuery('#jack_well_diameter_box').css('marginLeft'));
scale('jack_well_bottom_line', 'H', 0, htop, hheight, hleft, hwidth, '');

	});
	
	$('#pump_calculations').click(function(e) {

		$('.platform_box').parent('div').show('slow');

		discharge_rate = document.getElementById('discharge_rate').value;
		velocity = parseFloat(document.getElementById('velocity_pump').value);
		jack_intake_well_diameter_pump = parseFloat(document.getElementById('jack_intake_well_diameter_pump').value);
		
		diameter_of_tank = Math.pow(((discharge_rate*4)/((22/7)*velocity)), 0.5);

		document.getElementById('diameter_of_tank').value = diameter_of_tank.toFixed(2);
		
		discharge = parseFloat(document.getElementById('discharge_pump').value);
		no_of_pumps = discharge / discharge_rate;
		document.getElementById('no_of_pumps').value = no_of_pumps;
		document.getElementById('no_of_pumps_roundoff').value = Math.ceil(no_of_pumps);
		
		no_of_standby_pump = parseInt(document.getElementById('no_of_standby_pump').value);
		no_of_standby_pumpRoundoff = Math.ceil(no_of_pumps) + no_of_standby_pump;
		document.getElementById('total_no_of_pumps').value = no_of_standby_pumpRoundoff;
		
//		drawCircles(no_of_standby_pumpRoundoff);
		
		min_clearence = 2 * diameter_of_tank;
		document.getElementById('min_clearence').value = min_clearence.toFixed(2);
		
		document.getElementById('total_no_of_pumps_diagram').innerHTML = no_of_standby_pumpRoundoff + ' units'; 
		static_suction_head = parseFloat(document.getElementById('static_suction_head').value);
		document.getElementById('static_suction_head_diagram').innerHTML = static_suction_head.toFixed(2) + ' m';
		
		less = 10;
		circle_width = meter * jack_intake_well_diameter_pump;
//		drawCircle(circle_width, circle_width, circle_width, "big_circle");
//		drawCircle(300, 300, 40, "big_circle");
//		drawCircle(250, 300, 40, "big_circle");
//		distributeFields();
		
		createRounds(no_of_standby_pumpRoundoff, 110, 'big_round_pump_design', 'round_pump_design');
		
		jack_intake_well_diameter_pump = jack_intake_well_diameter_pump * (meter - less);
		jack_well_box_height_pump = static_suction_head * (meter - less);
		jack_well_box_width_pump  = jack_intake_well_diameter_pump;
		
		jQuery('#jack_well_box_pump').width(jack_well_box_width_pump);
		jQuery('#jack_well_box_pump').css('height', jack_well_box_height_pump);
		
		
		jack_well_top_box_top_pump = jQuery('#jack_well_box_pump').position().top + 140; 	//	60 is the height of jack_well_top_box_pump
		jack_well_top_box_left_pump = 3 + jQuery('#jack_well_box_pump').position().left + parseInt(jQuery('#jack_well_box_pump').css('marginLeft')); 
		jQuery('#jack_well_top_box_pump').width(jack_well_box_width_pump);
		jQuery('#jack_well_top_box_pump').css({left: jack_well_top_box_left_pump + 'px'});
		jQuery('#jack_well_top_box_pump').css({top: jack_well_top_box_top_pump + 'px'});
		
		
		jack_well_triangle_left_pump = jack_well_top_box_left_pump - (jack_intake_well_diameter_pump/2);
		jack_well_triangle_top_pump = jack_well_top_box_top_pump - jack_intake_well_diameter_pump;
		jack_well_triangle_side_pump = jack_well_box_width_pump;
		
		jQuery('#jack_well_triangle_pump').css({left: (jack_well_triangle_left_pump+60) + 'px'});
		jQuery('#jack_well_triangle_pump').css({top: (jack_well_triangle_top_pump+60) + 'px'});
		jQuery('#jack_well_triangle_pump').css({'border-left-width': (jack_well_triangle_side_pump-60) + 'px'});
		jQuery('#jack_well_triangle_pump').css({'border-right-width': (jack_well_triangle_side_pump-60) + 'px'});
		jQuery('#jack_well_triangle_pump').css({'border-bottom-width': (jack_well_triangle_side_pump-60) + 'px'});
		
		jQuery('#jack_well_triangle_inner_pump').css({left: (jack_well_triangle_left_pump+66) + 'px'});
		jQuery('#jack_well_triangle_inner_pump').css({top: (jack_well_triangle_top_pump+63) + 'px'});
		jQuery('#jack_well_triangle_inner_pump').css({'border-left-width': (jack_well_triangle_side_pump-66) + 'px'});
		jQuery('#jack_well_triangle_inner_pump').css({'border-right-width': (jack_well_triangle_side_pump-66) + 'px'});
		jQuery('#jack_well_triangle_inner_pump').css({'border-bottom-width': (jack_well_triangle_side_pump-66) + 'px'});

		
		jack_well_bottom_box_top_pump = jQuery('#jack_well_box_pump').height() + 103; 	//	60 is the height of jack_well_top_box_pump
		jack_well_bottom_box_left_pump = 3 + jQuery('#jack_well_box_pump').position().left + parseInt(jQuery('#jack_well_box_pump').css('marginLeft')); 
		jQuery('#jack_well_bottom_box_pump').width(jack_well_box_width_pump);
		jQuery('#jack_well_bottom_box_pump').css({left: jack_well_bottom_box_left_pump + 'px'});
		jQuery('#jack_well_bottom_box_pump').css({top: jack_well_bottom_box_top_pump + 'px'});
		
		
		jack_well_1_pump_circle_top = jQuery('#jack_well_1_pump').height() - 3;
		jQuery('#jack_well_1_pump_circle').css({top: jack_well_1_pump_circle_top + 'px'});
		jQuery('#jack_well_1_pump_circle').css({left: '-5px'});
		drawCircle(20, 20, 20, "jack_well_1_pump_circle");
		jQuery('#jack_well_2_pump_circle').css({top: jack_well_1_pump_circle_top + 'px'});
		jQuery('#jack_well_2_pump_circle').css({left: '-5px'});
		drawCircle(20, 20, 20, "jack_well_2_pump_circle");
		jQuery('#jack_well_3_pump_circle').css({top: jack_well_1_pump_circle_top + 'px'});
		jQuery('#jack_well_3_pump_circle').css({left: '-5px'});
		drawCircle(20, 20, 20, "jack_well_3_pump_circle");
		
//		alert(jQuery('#jack_well_box_pump').position().top);
		static_suction_head_diagram_left = jack_well_bottom_box_left_pump - jQuery('#static_suction_head_diagram').width() - 10;
		static_suction_head_diagram_top = jQuery('#jack_well_box_pump').position().top + (jQuery('#jack_well_box_pump').height()/2) + 180;
		jQuery('#static_suction_head_diagram').css({left: static_suction_head_diagram_left + 'px'});
		
		jack_well_box_pump_outlet_left = jQuery('#jack_well_top_box_pump').width();
		jack_well_box_pump_outlet_top = jQuery('#jack_well_top_box_pump').height() /2;
		jQuery('#jack_well_box_pump_outlet').css({left: jack_well_box_pump_outlet_left + 'px'});
		jQuery('#jack_well_box_pump_outlet').css({top: jack_well_box_pump_outlet_top + 'px'});
		
//		jack_well_box_pump_inlet_left = jack_well_bottom_box_left_pump;
//		jQuery('#jack_well_box_pump_inlet').css({left: '-24px'});
//		jQuery('#jack_well_box_pump_inlet').css({top: '24px'});
//		jQuery('#jack_well_box_pump_inlet').css({top: jack_well_box_pump_outlet_top + 'px'});
		
		jQuery('#static_suction_head_diagram').css({top: static_suction_head_diagram_top + 'px'});
//		jack_well_1_pump_circle_top = jQuery('#jack_well_bottom_box_pump').position().top; 
		
htop = jQuery('#jack_well_box_pump').position().top + 180; 
scale('jack_well_box_pump', 'V', 20, htop, 0, 0, 0, '');


	});
	
	$('#pre_tank_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		total_inflow = parseFloat(document.getElementById('total_inflow').value);
		pumping_duration = parseFloat(document.getElementById('pumping_duration').value);
		discharge_coming = (total_inflow/pumping_duration)*1000;
		document.getElementById('discharge_coming').value = discharge_coming.toFixed(2);
		
		detention_period = document.getElementById('detention_period').value;
		volume_required = detention_period * discharge_coming;
		document.getElementById('volume_required').value = volume_required.toFixed(2);
		
		width_of_tank = document.getElementById('width_of_tank').value;
		ratio_len_wid_vertical = document.getElementById('ratio_len_wid_vertical').value;
		length_of_tank = width_of_tank * ratio_len_wid_vertical;
		document.getElementById('length_of_tank').value = length_of_tank;
		
		overflow_rate = parseFloat(document.getElementById('overflow_rate').value);
//		min_side_water_depth = document.getElementById('min_side_water_depth').value;
		effective_depth = parseFloat(document.getElementById('effective_depth').value);
		free_board = parseFloat(document.getElementById('free_board').value);
		volume_of_tank = (width_of_tank * length_of_tank) * (effective_depth + free_board);
		document.getElementById('volume_of_tank').value = volume_of_tank;
		
		area_of_tank = length_of_tank * width_of_tank;
		document.getElementById('area_of_tank').value = area_of_tank;
		
		number_of_tanks = volume_required / volume_of_tank;
		document.getElementById('number_of_tanks').value = number_of_tanks.toFixed(4);
		document.getElementById('number_of_tanks_roundoff').value = Math.ceil(number_of_tanks);
		
//		=(F45/(F41+F47))
		influent_width = parseFloat(document.getElementById('influent_width').value);
		influent_spacing = parseFloat(document.getElementById('influent_spacing').value);
		no_of_influent_structure = ( width_of_tank / ( influent_width + influent_spacing) )
		no_of_influent_structure_round = Math.ceil(no_of_influent_structure);
		no_of_influent_structure_round1 = Math.ceil(no_of_influent_structure) + 1;
		document.getElementById('no_of_influent_structure').value = no_of_influent_structure.toFixed(2);
		document.getElementById('no_of_influent_structure_roundoff').value = no_of_influent_structure_round;
		document.getElementById('no_of_influent_structure_roundoff1').value = no_of_influent_structure_round1;
		
		orifice_width = parseFloat(document.getElementById('orifice_width').value);
		spacing_of_orifices =(width_of_tank/(4+orifice_width));
		document.getElementById('spacing_of_orifices').value = spacing_of_orifices.toFixed(2);
		
		
//alert(discharge_coming +" "+ no_of_influent_structure); 
		net_outflow = discharge_coming / Math.ceil(no_of_influent_structure_round1);
		document.getElementById('net_outflow').value = net_outflow.toFixed(2);
		
		weir_loading = parseFloat(document.getElementById('weir_loading').value);
		weir_length = ((24*net_outflow)/weir_loading);
		document.getElementById('weir_length').value = weir_length.toFixed(2);
		
		launder_troughs = parseFloat(document.getElementById('launder_troughs').value);
		launder_troughs_width = parseFloat(document.getElementById('launder_troughs_width').value);
		launder_spacing = (width_of_tank /(launder_troughs_width+launder_troughs));
		document.getElementById('launder_spacing').value = launder_spacing.toFixed(2);
		
		launder_length = weir_length / launder_troughs;
		document.getElementById('launder_length').value = launder_length.toFixed(2);
		
		width_of_tank = parseFloat(width_of_tank).toFixed(2);
		length_of_tank = parseFloat(length_of_tank).toFixed(2);
		total_depth = parseFloat(effective_depth) + parseFloat(free_board);
		total_depth_diagram = total_depth.toFixed(2);
		document.getElementById('tank_width_diagram').innerHTML = width_of_tank + ' m';
		document.getElementById('length_of_tank_diagram').innerHTML = length_of_tank + ' m';
		document.getElementById('total_depth_diagram').innerHTML = total_depth_diagram + ' m';
		
		
		intake_jack_well_unit_pre_tank_width = 18 * length_of_tank;
		intake_jack_well_unit_pre_tank_height = 18 * width_of_tank;
		
		jQuery('.intake_jack_well_unit_pre_tank').width(intake_jack_well_unit_pre_tank_width);
		jQuery('.intake_jack_well_unit_pre_tank').height(intake_jack_well_unit_pre_tank_height);
		
		jQuery('#presedimentation_diagram .platform_box').width(intake_jack_well_unit_pre_tank_width+10);
		
		top_increment = 100 / parseInt(no_of_influent_structure_round);
		pipe_top = 5;
		for ( i = 0; i < no_of_influent_structure_round; i++)
		{
			html = '<div class="pipe_tukda" style="top:'+pipe_top+'%;"></div>';
			jQuery('.second_pipe').html( jQuery('.second_pipe').html() + html );
			pipe_top = pipe_top + top_increment;
		}
		
		top_increment = 100 / parseInt(launder_troughs);
		pipe_top = 3;
		for ( i = 0; i < launder_troughs; i++)
		{
			html = '<div class="bada_pipe_tukda" style="top:'+pipe_top+'%;"></div>';
			jQuery('.fourth_pipe').html( jQuery('.fourth_pipe').html() + html );
			pipe_top = pipe_top + top_increment;
		}
		
		influent_title_left = parseInt(jQuery('.second_pipe').position().left + parseInt(jQuery('.second_pipe').css('marginLeft'))) / 2;
		jQuery('.influent_title').css({left: influent_title_left + 'px'});
		
		top_view_title_left = parseInt(jQuery('.fourth_pipe').position().left + parseInt(jQuery('.fourth_pipe').css('marginLeft'))) / 2;
		jQuery('.top_view_title').css({left: top_view_title_left + 'px'});
		
		effluent_title_left = 10 + jQuery('.fourth_pipe').position().left + parseInt(jQuery('.fourth_pipe').css('marginLeft'));
		jQuery('.effluent_title').css({left: effluent_title_left + 'px'});
		
		
		total_depth_diagram_left = jQuery('.intake_jack_well_unit_pre_tank_side').position().left + parseInt(jQuery('.intake_jack_well_unit_pre_tank_side').css('marginLeft')) -60;
		total_depth_diagram_top = jQuery('.intake_jack_well_unit_pre_tank_side').position().top + parseInt(jQuery('.intake_jack_well_unit_pre_tank_side').css('marginTop')) + 30;
//		jQuery('#total_depth_diagram').css({left: total_depth_diagram_left + 'px'});
		jQuery('#total_depth_diagram').css({top: total_depth_diagram_top + 'px'});
		
		intake_jack_well_unit_pre_tank_height = 20 * total_depth_diagram;
		jQuery('.intake_jack_well_unit_pre_tank_titles').width(intake_jack_well_unit_pre_tank_width);
		jQuery('.intake_jack_well_unit_pre_tank_side').width(intake_jack_well_unit_pre_tank_width);
		jQuery('.intake_jack_well_unit_pre_tank_side').height(intake_jack_well_unit_pre_tank_height-20);
		
		tank_width_diagram_top = (jQuery('#pre_tank_line').height() / 2) + 20;
		jQuery('#tank_width_diagram').css({top: tank_width_diagram_top + 'px'});
		
		total_depth_diagram_top = (jQuery('#pre_intake_line').height() / 2) + 20;
		length_of_tank_diagram_left = (jQuery('.intake_jack_well_unit_pre_tank').width() / 2) - 20;
		jQuery('#length_of_tank_diagram').css({left: length_of_tank_diagram_left + 'px'});
		
scale('pre_tank_line', 'V', 0, 24, 0, 0, 0, '');
scale('pre_intake_line', 'V', 0, 64, 0, 0, 0, '');

htop = jQuery('#pre_tank_line').position().top; 
hheight = jQuery('#intake_jack_well_unit_pre_tank').height(); 
hwidth = jQuery('#intake_jack_well_unit_pre_tank').width(); 
hleft = jQuery('#intake_jack_well_unit_pre_tank').position().left + parseInt(jQuery('#intake_jack_well_unit_pre_tank').css('marginLeft'));
scale('intake_jack_well_unit_pre_tank', 'H', 0, 0, -50, hleft, hwidth, '');

	});
	$('#width_of_tank').keyup(function(e) {
		width_of_tank = document.getElementById('width_of_tank').value;
		document.getElementById('tank_width').innerHTML = width_of_tank;
		
	});
	
	$('#aeration_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('au_discharge').value);
		velocity = parseFloat(document.getElementById('au_velocity').value);
		
		discharge_per_hour = (discharge*1000)/24;
		document.getElementById('discharge_per_hour').value = discharge_per_hour.toFixed(2);
		
		diameter_of_inner_pipe =((4 * discharge_per_hour )/(velocity*(22/7)*60*60));
		document.getElementById('diameter_of_inner_pipe').value = diameter_of_inner_pipe.toFixed(2);
		
		space_req = document.getElementById('space_req').value;
		area_of_tray = discharge_per_hour * space_req;
		document.getElementById('area_of_tray').value = area_of_tray.toFixed(2);
		
//		=(((F20*4)/(22/7))^0.5)+F18
		aa = (area_of_tray * 4)/(22/7);
		bb = Math.pow(aa, 0.5);
		diameter_of_bottom_tray = bb + diameter_of_inner_pipe;
		document.getElementById('diameter_of_bottom_tray').value = diameter_of_bottom_tray.toFixed(2);
		
		no_of_trays = document.getElementById('no_of_trays').value;
		trade_of_tray = ((diameter_of_bottom_tray - diameter_of_inner_pipe) / ( 2 * no_of_trays));
		document.getElementById('trade_of_tray').value = trade_of_tray.toFixed(2);
		
		document.getElementById('diameter_of_bottom_tray_diagram').innerHTML = diameter_of_bottom_tray.toFixed(2);
		document.getElementById('trade_of_tray_diagram').innerHTML = trade_of_tray.toFixed(2);
		
		
		
		document.getElementById('trays').innerHTML = '';
		if ( discharge <= 50 )
			new_meter = meter + 10;
		else if ( discharge >= 50 && discharge <= 100 )
			new_meter = meter - 5;
		else if ( discharge >= 100 && discharge <= 150 )
			new_meter = meter - 10;
		else if ( discharge >= 150 && discharge <= 250 )
			new_meter = meter - 20;
		else
			new_meter = meter - 25;
		
		blue_pipe_height = 24;
		center_line_width = 10;
		bottom_tray_value = "";
		for ( i = no_of_trays; i > -1; i--)
		{
			tray_width = new_meter * diameter_of_bottom_tray;
			chota_khada_pipe = "";
			chota_aada_pipe = "";
			if ( i == no_of_trays )
			{
				center_line_width = tray_width;
				bottom_tray_value = diameter_of_bottom_tray.toFixed(2);
				chota_khada_pipe = '<div class="chota_khada_pipe"></div>';
				chota_aada_pipe = '<div class="chota_aada_pipe"></div>';
			}
			
			if ( i == 0 )
				new_tray = '<div class="tray" style="width:'+tray_width+'px;"></div>';
			else
				new_tray = '<div class="tray" style="width:'+tray_width+'px;">'+chota_aada_pipe+'<div class="tray_q">dia= '+diameter_of_bottom_tray.toFixed(2)+' m</div>'+chota_khada_pipe+'</div>';
			
			document.getElementById('trays').innerHTML = new_tray + document.getElementById('trays').innerHTML;
			
			diameter_of_bottom_tray = diameter_of_bottom_tray - 1.49;
			blue_pipe_height = blue_pipe_height + 30;
		}
		
		jQuery('.center_line').width(center_line_width);
		jQuery('.bottom_tray_value').html('Dia ' + bottom_tray_value + ' m');
		
		
		jQuery('.tray:first-child').css({bgColor:'#fff'});
		
		jQuery('.blue_pipe').css({height: blue_pipe_height + 'px'});
		blue_pipe_top = jQuery('.tray:first-child').position().top - 1;
		jQuery('.blue_pipe').css({top: blue_pipe_top + 'px'});
		
		blue_pipe_left = jQuery('.tray:first-child').position().left + parseInt(jQuery('.tray:first-child').css('marginLeft')) + (jQuery('.tray:first-child').width()/2) - 14;
		jQuery('.blue_pipe').css({left: blue_pipe_left + 'px'});
		
		jQuery('.blue_pipe_aada').css({width: 60 + 'px'});
		blue_pipe_aada_left = jQuery('.blue_pipe').position().left + parseInt(jQuery('.blue_pipe').css('marginLeft')) - 60; 
		jQuery('.blue_pipe_aada').css({left: blue_pipe_aada_left + 'px'});
		blue_pipe_aada_top = jQuery('.blue_pipe').position().top + parseInt(jQuery('.blue_pipe').css('marginTop')) + blue_pipe_height - 24; 
		jQuery('.blue_pipe_aada').css({top: blue_pipe_aada_top + 'px'});
		
		diameter_of_bottom_tray_diagram_left = blue_pipe_left = jQuery('.tray:last-child').position().left - 70;
		diameter_of_bottom_tray_diagram_top = blue_pipe_left = jQuery('.tray:last-child').position().top - 170;
		jQuery('#diameter_of_bottom_tray_diagram').css({left: diameter_of_bottom_tray_diagram_left + 'px'});
		jQuery('#diameter_of_bottom_tray_diagram').css({top: diameter_of_bottom_tray_diagram_top + 'px'});
		
//		height_of_tank_diagram_top = jQuery('#tank_diameter_box').position().top + 20; 
//		height_of_tank_diagram_left = jQuery('#tank_diameter_box').position().left - 65  + parseInt(jQuery('#tank_diameter_box').css('marginLeft')); 
//		jQuery('#height_of_tank_diagram').css({top: height_of_tank_diagram_top +'px', left: height_of_tank_diagram_left + 'px'});

htop = jQuery('.tray:last-child').position().top + 50; 
hheight = jQuery('.tray:last-child').height(); 
hwidth = jQuery('.tray:last-child').width(); 
hleft = jQuery('.tray:last-child').position().left + parseInt(jQuery('.tray:last-child').css('marginLeft'));
scale('trays', 'H', 0, htop, hheight, hleft, hwidth, '');
		
		htop = jQuery('#trays_scale1').position().top + parseInt(jQuery('#trays_scale1').css('marginTop')) ; 
		jQuery('.bottom_tray_value').css({top: htop + 'px'});
		
		
	});
	
	$('#alum_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('ad_discharge').value);
		alum_applied = parseFloat(document.getElementById('alum_applied').value);
		platform_height = parseFloat(document.getElementById('platform_height_ad').value);
		required_for_month = parseFloat(document.getElementById('required_for_month').value);
		height_of_tank = parseFloat(document.getElementById('height_of_tank_ad').value);
		density_of_alum = parseFloat(document.getElementById('density_of_alum').value);
		
		aa = alum_applied*discharge;
		bb = aa * Math.pow(10, 6);
		cc = 24;
		dd = cc * Math.pow(10, 6);
		alum_per_hour = (bb/dd);
		document.getElementById('ad_alum_per_hour').value = alum_per_hour.toFixed(2);
		
	//	=((F30*F28*10^6)/(10^6))
		alum_per_day = (alum_applied*discharge* Math.pow(10, 6) ) / Math.pow(10, 6);
		document.getElementById('ad_alum_per_day').value = alum_per_day.toFixed(2);
		
		alum_per_month = 30 * alum_per_day * required_for_month;
		document.getElementById('ad_alum_per_month').value = alum_per_month.toFixed(2);
		
		tank_volume = alum_per_month / density_of_alum;
		document.getElementById('ad_tank_volume').value = tank_volume.toFixed(2);
		
		volume_provision = (10/100) * tank_volume;
		document.getElementById('ad_volume_provision').value = volume_provision.toFixed(2);
		
		total_volume = tank_volume + volume_provision;
		document.getElementById('ad_total_volume').value = total_volume.toFixed(2);
		
		//	=((4*F25)/((22/7)*F11))^0.5
		aa = (22/7)*height_of_tank;
		bb = (4*discharge) / aa;
		tank_diameter = Math.pow(bb, .5);
		document.getElementById('ad_tank_diameter').value = tank_diameter.toFixed(2);
		
		square_platform = tank_diameter + 0.75;
		document.getElementById('ad_square_platform').value = square_platform.toFixed(2);
		
		
		document.getElementById('tank_diameter_diagram').innerHTML = tank_diameter.toFixed(2) + ' m';
		document.getElementById('height_of_tank_diagram').innerHTML = height_of_tank.toFixed(2) + ' m';
		document.getElementById('platform_height_diagram').innerHTML = platform_height.toFixed(2) + ' m';
		
		
		tank_diameter_box = (tank_diameter * meter);
		tank_height_box   = (height_of_tank * meter);
		tank_platform_box = (platform_height * (meter - (platform_height+10))  );
		
		jQuery('#tank_diameter_box').width(tank_diameter_box + tank_diameter_box_ori_width );
		jQuery('#tank_diameter_box').css('height', (tank_height_box + tank_diameter_box_ori_height ));
//		jQuery('#tank_diameter_box').css('margin-left', '20px');
//	compl 242743978		

		jQuery('#tank_diameter_line').width(tank_diameter_box + tank_diameter_box_ori_width + 100);
		
		jQuery('#tank_platform_box').width(tank_diameter_box + tank_diameter_box_ori_width );
		jQuery('#tank_platform_box').css('height', (tank_platform_box + tank_diameter_box_ori_height ));
		
		jQuery('#bottom_pipe').width(tank_diameter_box + tank_diameter_box_ori_width + 170);
		
		
		tank_pipe_left = 10 + jQuery('#tank_diameter_box').position().left + jQuery('#tank_diameter_box').width() + parseInt(jQuery('#tank_diameter_box').css('marginLeft'));
		tank_pipe_top = jQuery('#tank_diameter_box').height() - 10;
		jQuery('#tank_pipe_aada').css({top: tank_pipe_top+'px', left: tank_pipe_left+'px'});
		
		tank_pipe_khada_left = jQuery('#tank_pipe_aada').position().left + jQuery('#tank_pipe_aada').width();
		jQuery('#tank_pipe_khada').css({top: tank_pipe_top+'px', left: tank_pipe_khada_left+'px'});
		
		
		
//		jQuery('.platform_box').width(pixels + jQuery('.platform_box').width() );
		rapid_top = 30+ (tank_height_box + tank_diameter_box_ori_height ) + (tank_platform_box + tank_diameter_box_ori_height );
		rapid_left = jQuery('#bottom_pipe').position().left + parseInt(jQuery('#bottom_pipe').css('marginLeft')) + jQuery('#bottom_pipe').width() -2;
		jQuery('#rapid').css({top: rapid_top+'px', left: rapid_left+'px'});
		
		height_pipe = jQuery('#bottom_pipe').offset().top - jQuery('#tank_pipe_khada').offset().top - 8;
		jQuery('#tank_pipe_lamba').css({top: ( tank_pipe_top+8 ) +'px', left: (tank_pipe_khada_left-2)+'px', height: height_pipe+'px'});
		
		
		height_of_tank_diagram_top = jQuery('#tank_diameter_box').position().top + 20; 
		height_of_tank_diagram_left = jQuery('#tank_diameter_box').position().left - 65  + parseInt(jQuery('#tank_diameter_box').css('marginLeft')); 
		jQuery('#height_of_tank_diagram').css({top: height_of_tank_diagram_top +'px', left: height_of_tank_diagram_left + 'px'});
		
		platform_height_diagram_top = jQuery('#tank_platform_box').position().top + (jQuery('#tank_platform_box').height()/2); 
		platform_height_diagram_left = jQuery('#tank_platform_box').position().left - 65  + parseInt(jQuery('#tank_platform_box').css('marginLeft'));
		jQuery('#platform_height_diagram').css({top: platform_height_diagram_top +'px', left: platform_height_diagram_left + 'px'});
		

htop = jQuery('#tank_diameter_box').position().top - 40; 
//hheight = jQuery('.tray:last-child').height(); 
hleft = jQuery('#tank_diameter_box').position().left + parseInt(jQuery('#tank_diameter_box').css('marginLeft')) + 5;
hwidth = jQuery('#tank_diameter_box').width(); 
scale('tank_diameter_box_line', 'H', 0, htop, 0, hleft, hwidth, '');

htop = jQuery('#tank_platform_box').position().top - 65; 
hheight = jQuery('#tank_platform_box').height()+7;
hleft = jQuery('#tank_platform_box').position().left + parseInt(jQuery('#tank_platform_box').css('marginLeft'));
hwidth = jQuery('#tank_platform_box').width(); 
scale('tank_platform_box', 'V', hheight, 5, 0, 0, 0, '');

htop = jQuery('#tank_diameter_box').position().top - 65; 
hheight = jQuery('#tank_diameter_box').height()/2;
hleft = jQuery('#tank_diameter_box').position().left + parseInt(jQuery('#tank_diameter_box').css('marginLeft'));
hwidth = jQuery('#tank_diameter_box').width(); 
scale('tank_diameter_box', 'V', 20, 0, 0, 0, 0, '');

//scale(cid, dir, top_add, htop, hheight, hleft, hwidth, zindex)
		
	});
	
	$('#rapid_mix_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('rm_discharge').value);
		detention_time = parseFloat(document.getElementById('detention_time').value);
		tank_height = parseFloat(document.getElementById('tank_height').value);
		ratio_height_to_diameter = parseFloat(document.getElementById('ratio_height_to_diameter').value);
		
		tank_diameter = tank_height / .4;
		document.getElementById('rm_tank_diameter').value = tank_diameter.toFixed(2);
		
		design_flow = ((discharge*1000)/(24*60*60));
		document.getElementById('design_flow').value = design_flow.toFixed(2);
		
		tank_capacity = design_flow * detention_time;
		document.getElementById('tank_capacity').value = tank_capacity.toFixed(2);
		
		tank_diameter_1 = tank_height * .4;
		document.getElementById('tank_diameter_1').value = tank_diameter_1.toFixed(2);
		
		aa = Math.pow(tank_diameter, 2);
		tank_volume = ((22/7)/4) * aa * tank_height;
		document.getElementById('tank_volume').value = tank_volume.toFixed(2);
		
		rapid_mix_units = tank_capacity / tank_volume;
		document.getElementById('rapid_mix_units').value = rapid_mix_units.toFixed(2);
		document.getElementById('rapid_mix_units_roundoff').value = Math.ceil(rapid_mix_units);
		
		motor_power = discharge / 6.31;
		document.getElementById('motor_power').value = motor_power.toFixed(2);
		
		impeller_diameter = .4 * tank_diameter;
		document.getElementById('impeller_diameter').value = impeller_diameter.toFixed(2);
		
		document.getElementById('rm_tank_diameter_diagram').innerHTML = 'Diameter of unit ' + tank_diameter.toFixed(2) + ' m';
		document.getElementById('rm_tank_height_diagram').innerHTML = tank_height.toFixed(2) + ' m';
		
//scale(cid, dir, top_add, htop, hheight, hleft, hwidth, zindex)
//scale('rm_tank_height_diagram', 'V', 60, 22, 100, 60, 0, '');

//		rm_tank_diameter_diagram_top = jQuery('#tank_platform_box').position().top + 10; 
//		rm_tank_diameter_diagram_left = jQuery('#tank_platform_box').position().left - 65  + parseInt(jQuery('#tank_platform_box').css('marginLeft'));
//		jQuery('#rm_tank_diameter_diagram').css({top: rm_tank_diameter_diagram_top +'px', left: rm_tank_diameter_diagram_left + 'px'});
		
	});

	$('#clari_unit_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('cu_discharge').value);
		detention_time = parseFloat(document.getElementById('detention_time_cu').value);
		water_depth = parseFloat(document.getElementById('water_depth').value);
		inlet_diameter = parseFloat(document.getElementById('inlet_diameter').value);
		total_power_input = parseFloat(document.getElementById('total_power_input').value);
		paddle_area = parseFloat(document.getElementById('paddle_area').value);
		paddle_length = parseFloat(document.getElementById('paddle_length').value);
		paddle_width = parseFloat(document.getElementById('paddle_width').value);
		no_of_shafts = parseFloat(document.getElementById('no_of_shafts').value);
		no_of_paddles = parseFloat(document.getElementById('no_of_paddles').value);
		overflow_rate = parseFloat(document.getElementById('overflow_cu_rate').value);
		detention_period = parseFloat(document.getElementById('detention_cu_period').value);
		free_board = parseFloat(document.getElementById('free_cu_board').value);
		no_of_launders = parseFloat(document.getElementById('no_of_launders').value);
		launder_velocity = parseFloat(document.getElementById('launder_velocity').value);
		
		average_overflow = (discharge*1000)/(24*60);
		average_overflow = parseFloat(average_overflow);
		document.getElementById('average_overflow').value = average_overflow.toFixed(2);
		
		flocculator_volume = average_overflow * detention_time;
		document.getElementById('flocculator_volume').value = flocculator_volume.toFixed(2);
		
		flocculator_area = flocculator_volume / water_depth;
		document.getElementById('flocculator_area').value = flocculator_area.toFixed(2);
		
		flocculator_diameter = (4*flocculator_area) / (22/7) + Math.pow(inlet_diameter, 2);
		flocculator_diameter = Math.pow(flocculator_diameter, .5);
		document.getElementById('flocculator_diameter').value = flocculator_diameter.toFixed(2);
		
		area_of_paddle =(flocculator_volume / total_power_input) * paddle_area;
		document.getElementById('area_of_paddle').value = area_of_paddle.toFixed(2);
		
		paddle_area_1 = paddle_length * paddle_width;
		document.getElementById('paddle_area_1').value = paddle_area_1.toFixed(2);
		
		shaft_distance = (flocculator_diameter/2) + 1.5;
		document.getElementById('shaft_distance').value = shaft_distance.toFixed(2);
		
		total_paddles = no_of_shafts * no_of_paddles;
		document.getElementById('total_paddles').value = total_paddles;
		
		clarifier_surface_area = (average_overflow*24*60) / overflow_rate;
		document.getElementById('clarifier_surface_area').value = clarifier_surface_area.toFixed(2);
		
		clariflocculator_diameter = ((4*clarifier_surface_area) / (22/7)) + Math.pow(flocculator_diameter,2);
		clariflocculator_diameter = Math.pow(clariflocculator_diameter, .5);
		document.getElementById('clariflocculator_diameter').value = clariflocculator_diameter.toFixed(2);
		
		length_of_weir = 3.15 * clariflocculator_diameter;
		document.getElementById('length_of_weir').value = length_of_weir.toFixed(2);
		
		weir_loading = (average_overflow * 60 * 24 ) / length_of_weir;
		document.getElementById('weir_loading_cu').value = weir_loading.toFixed(2);
		
		depth_of_tank = ( average_overflow * 60 * detention_period ) / clarifier_surface_area;
		document.getElementById('depth_of_tank_cu').value = depth_of_tank.toFixed(2);
		
		depth_of_sludge = (25/100) * depth_of_tank;
		document.getElementById('depth_of_sludge').value = depth_of_sludge.toFixed(2);
		
		total_depth = free_board + depth_of_tank + depth_of_sludge;
		document.getElementById('total_depth').value = total_depth.toFixed(2);
		
		discharge_flow = ( average_overflow * 60 * 24 ) / ( no_of_launders * 1000);
		document.getElementById('discharge_flow').value = discharge_flow.toFixed(2);
		
		cross_sectional_area = ( (discharge_flow*1000) / (24*60*60) ) / launder_velocity;
		document.getElementById('cross_sectional_area').value = cross_sectional_area.toFixed(2);
		
		perimeter_of_launder = (4*cross_sectional_area)/3.14 ;
		perimeter_of_launder = 3.14 * Math.pow(perimeter_of_launder, 0.5);
		document.getElementById('perimeter_of_launder').value = perimeter_of_launder.toFixed(2);
		
		mean_radius = cross_sectional_area / perimeter_of_launder;
		document.getElementById('mean_radius').value = mean_radius.toFixed(2);
		
		//=((0.013*F75)/(F83^0.67))^2
		aa = (0.013*launder_velocity);
		bb = Math.pow(mean_radius, 0.67);
		channel_slope = aa / bb;
		channel_slope = Math.pow(channel_slope, 2);
		document.getElementById('channel_slope').value = channel_slope;
		
		channel_slope_roundoff = floorFigure(channel_slope, 6); 
		document.getElementById('channel_slope_roundoff').value = channel_slope_roundoff;
		
//		CUdrawCircles(7);
		createRounds(no_of_shafts, 86, 'big_round_clari_unit', 'round_clari_unit');
//		createRounds(1, 86, 'round_black');
		
		document.getElementById('no_of_shafts_diagram').innerHTML = 'Number of shafts ' + no_of_shafts;
		document.getElementById('flocculator_diameter_diagram').innerHTML = 'Flocculator ' + flocculator_diameter.toFixed(2) + ' m';
		document.getElementById('clariflocculator_diameter_diagram').innerHTML = 'Clarifier ' + clariflocculator_diameter.toFixed(2) + ' m';
		
	});


	$('#gravity_filter_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('gf_discharge').value);
		working_hours = parseFloat(document.getElementById('working_hours').value);
		filtration_rate = parseFloat(document.getElementById('filtration_rate').value);
		
		filter_design_flow =((((discharge*discharge)/100)+discharge)*24) / working_hours;
		document.getElementById('filter_design_flow').value = filter_design_flow.toFixed(2);
		
		filter_area_required =((filter_design_flow*1000)/(filtration_rate*24)); 
		document.getElementById('filter_area_required').value = filter_area_required.toFixed(2);
		
		no_of_filter_beds = 1.22 * Math.pow(filter_design_flow, 0.5);
		document.getElementById('no_of_filter_beds').value = no_of_filter_beds.toFixed(2);
		no_of_filter_beds_roundoff = Math.ceil(no_of_filter_beds);
		document.getElementById('no_of_filter_beds_roundoff').value = no_of_filter_beds_roundoff;
		
		each_filter_area = filter_area_required / no_of_filter_beds_roundoff;
		document.getElementById('each_filter_area').value = each_filter_area.toFixed(2);
		
		filter_bed_width = parseFloat(document.getElementById('filter_bed_width').value);
		filter_bed_length = parseFloat(document.getElementById('filter_bed_length').value);
		perforation_size = parseFloat(document.getElementById('perforation_size').value);
		laterals_spacing = parseFloat(document.getElementById('laterals_spacing').value);
		laterals_diameter = parseFloat(document.getElementById('laterals_diameter').value);
		
		total_area_of_perforation =(3/1000) * filter_bed_length * filter_bed_width;
		document.getElementById('total_area_of_perforation').value = total_area_of_perforation.toFixed(2);
		
		total_perforations =((4 * total_area_of_perforation) * Math.pow(10, 6)) / ((22/7) * Math.pow(perforation_size, 2));
		document.getElementById('total_perforations').value = Math.ceil(total_perforations);
		
		total_area_of_laterals = 3 * total_area_of_perforation;
		document.getElementById('total_area_of_laterals').value = total_area_of_laterals.toFixed(2);
		
		central_manifold_area = 2 * total_area_of_laterals;
		document.getElementById('central_manifold_area').value = central_manifold_area.toFixed(2);
		
		manifold_diameter = Math.pow(((4*central_manifold_area)/3.14), 0.5);
		document.getElementById('manifold_diameter').value = manifold_diameter.toFixed(2);
		
		laterals_one_side =(filter_bed_length/(laterals_spacing + laterals_diameter)); 
		document.getElementById('laterals_one_side').value = Math.ceil(laterals_one_side);
		
		laterals_both_sides = 2 * laterals_one_side;
		document.getElementById('laterals_both_sides').value = Math.ceil(laterals_both_sides);
		
		total_no_of_laterals =((4*total_area_of_laterals)/(3.14* Math.pow(laterals_diameter, 2))); 
		document.getElementById('total_no_of_laterals').value = Math.ceil(total_no_of_laterals);
		
		total_no_of_manifold = laterals_both_sides / total_no_of_laterals;
		document.getElementById('total_no_of_manifold').value = total_no_of_manifold.toFixed(2);
		total_no_of_manifold_roundoff = 1 + Math.ceil(total_no_of_manifold);
		document.getElementById('total_no_of_manifold_roundoff').value = total_no_of_manifold_roundoff;
		
		manifold_spacing = filter_bed_width / (total_no_of_manifold_roundoff + manifold_diameter); 
		document.getElementById('manifold_spacing').value = manifold_spacing.toFixed(2);
		
		each_lateral_length = ((filter_bed_width / total_no_of_manifold_roundoff) - manifold_diameter) / 2; 
		document.getElementById('each_lateral_length').value = each_lateral_length.toFixed(2);
		
		perforations_per_lateral = total_perforations / total_no_of_laterals;
		document.getElementById('perforations_per_lateral').value = Math.ceil(perforations_per_lateral);
		
		perforaters_spacing = (each_lateral_length / (perforations_per_lateral + (perforation_size / 100))); 
		document.getElementById('perforaters_spacing').value = perforaters_spacing.toFixed(2);
		
		wash_water_rate = parseFloat(document.getElementById('wash_water_rate').value);
		wash_water_spacing = parseFloat(document.getElementById('wash_water_spacing').value);
		trough_width = parseFloat(document.getElementById('trough_width').value);
		trough_free_board = parseFloat(document.getElementById('trough_free_board').value);
		
		wash_water_discharge =((wash_water_rate * filter_bed_width * filter_bed_length) / (60 * 60));
		document.getElementById('wash_water_discharge').value = wash_water_discharge.toFixed(2);
		
		no_of_trough = (filter_bed_width / (wash_water_spacing + trough_width));
		document.getElementById('no_of_trough').value = Math.ceil(no_of_trough);
		
		discharge_per_unit = wash_water_discharge / no_of_trough;
		document.getElementById('discharge_per_unit').value = discharge_per_unit.toFixed(2);
		
		trough_depth = Math.pow((discharge_per_unit / (1.376 * trough_width)), 0.67);
		document.getElementById('trough_depth').value = trough_depth.toFixed(2);
		
		upper_end_water_depth = trough_depth + trough_free_board;
		document.getElementById('upper_end_water_depth').value = upper_end_water_depth.toFixed(2);
		
		document.getElementById('underdrainage_depth').value = manifold_diameter.toFixed(2);
		
		min_depth_required = parseFloat(document.getElementById('min_depth_required').value);
		filtering_depth = parseFloat(document.getElementById('filtering_depth').value);
		backwashing_depth = parseFloat(document.getElementById('backwashing_depth').value);
		filter_free_board = parseFloat(document.getElementById('filter_free_board').value);
		
		rapid_gravity_depth = min_depth_required + filtering_depth + backwashing_depth + filter_free_board + manifold_diameter;
		document.getElementById('rapid_gravity_depth').value = rapid_gravity_depth.toFixed(2);
		
		main_gutter_width = Math.pow((discharge_per_unit / (1.376 * trough_width)), 0.67);
		document.getElementById('main_gutter_width').value = main_gutter_width.toFixed(2);
		
		backwash_flow = parseFloat(document.getElementById('backwash_flow').value);
		backwash_duration = parseFloat(document.getElementById('backwash_duration').value);
		
		tank_volume = 2 * backwash_flow * backwash_duration * filter_bed_length * filter_bed_width;
		document.getElementById('gf_tank_volume').value = tank_volume.toFixed(2);
		
		total_no_of_tanks = no_of_filter_beds / 2;
		document.getElementById('gf_total_no_of_tanks').value = total_no_of_tanks.toFixed(2);
		total_no_of_tanks_roundoff = Math.ceil(total_no_of_tanks);
		document.getElementById('gf_total_no_of_tanks_roundoff').value = total_no_of_tanks_roundoff;
		
		document.getElementById('filter_bed_width_diagram').innerHTML = filter_bed_width.toFixed(2) + ' m';
		document.getElementById('filter_bed_length_diagram').innerHTML = filter_bed_length.toFixed(2) + ' m';
		document.getElementById('rapid_gravity_depth_diagram').innerHTML = rapid_gravity_depth.toFixed(2) + ' m';
		
htop = jQuery('#filter_bed_width_diagram').position().top - 65; 
hheight = jQuery('#filter_bed_width_diagram').height()/2;
hleft = jQuery('#filter_bed_width_diagram').position().left + parseInt(jQuery('#filter_bed_width_diagram').css('marginLeft'));
hwidth = jQuery('#filter_bed_width_diagram').width(); 

//scale('filter_bed_width_diagram', 'VR', 200, 33, 0, -50, 0, '');

//scale(cid, dir, top_add, htop, hheight, hleft, hwidth, zindex)

	});
	
	$('#chlorinator_calculations').click(function(e) {
		
//		$('#chlorinator_diagram .platform_box').parent('div').show('slow');
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('c_discharge').value);
		chlorine_applied = parseFloat(document.getElementById('chlorine_applied').value);
		residual_chlorine = parseFloat(document.getElementById('residual_chlorine').value);
		required_for_month = parseFloat(document.getElementById('required_ch_for_month').value);
		density_of_chlorine = parseFloat(document.getElementById('density_of_chlorine').value);
		height_of_tank = parseFloat(document.getElementById('c_height_of_tank').value);
		platform_height = parseFloat(document.getElementById('c_height_of_platform').value);
		
		total_chlorine_applied = chlorine_applied + residual_chlorine;
		document.getElementById('total_chlorine_applied').value = total_chlorine_applied.toFixed(2);
		
		chlorine_req_per_hour = (total_chlorine_applied * discharge) / 24;
		document.getElementById('chlorine_req_per_hour').value = chlorine_req_per_hour.toFixed(2);
		
		chlorine_per_day = total_chlorine_applied * discharge;
		document.getElementById('chlorine_per_day').value = chlorine_per_day.toFixed(2);
		
		total_chlorine_req_for_months = 30 * chlorine_per_day * required_for_month;
		document.getElementById('total_chlorine_req_for_months').value = total_chlorine_req_for_months.toFixed(2);
		
		volume_of_tank = total_chlorine_req_for_months / density_of_chlorine;
		document.getElementById('c_volume_of_tank').value = volume_of_tank.toFixed(2);
		
		drainage_volume = .1 * volume_of_tank;
		document.getElementById('drainage_volume').value = drainage_volume.toFixed(2);
		
		total_volume = volume_of_tank + drainage_volume;
		document.getElementById('c_total_volume').value = total_volume.toFixed(2);
		
		tank_diameter = Math.pow(((4*total_volume) / (3.14*height_of_tank)), 0.5); 
		document.getElementById('c_tank_diameter').value = tank_diameter.toFixed(2);
		
		square_platform = tank_diameter + .75;
		document.getElementById('c_square_platform').value = square_platform.toFixed(2);
		
		document.getElementById('c_tank_diameter_diagram').innerHTML = tank_diameter.toFixed(2) + ' m';
		document.getElementById('c_height_of_tank_diagram').innerHTML = height_of_tank.toFixed(2) + ' m';
		document.getElementById('c_platform_height_diagram').innerHTML = platform_height.toFixed(2) + ' m';
		
		
		tank_diameter_box = (tank_diameter * meter);
		tank_height_box   = (height_of_tank * meter);
		tank_platform_box = (platform_height * (meter - (platform_height+10))  );
		
		jQuery('#c_tank_diameter_box').width(tank_diameter_box + tank_diameter_box_ori_width );
		jQuery('#c_tank_diameter_box').css('height', (tank_height_box + tank_diameter_box_ori_height ));
		
		jQuery('#c_tank_diameter_line').width(tank_diameter_box + tank_diameter_box_ori_width + 100);
		
		jQuery('#c_tank_platform_box').width(tank_diameter_box + tank_diameter_box_ori_width );
		jQuery('#c_tank_platform_box').css('height', (tank_platform_box + tank_diameter_box_ori_height ));
		
//alert( parseInt(jQuery('#c_bottom_pipe').position().left) + parseInt(jQuery('#c_bottom_pipe').css('marginLeft')) - 105 );
		
		jQuery('#c_bottom_pipe').width(tank_diameter_box + tank_diameter_box_ori_width + 170);
		
		tank_pipe_left = jQuery('#c_tank_diameter_box').position().left + parseInt(jQuery('#c_tank_diameter_box').css('marginLeft')) - 54;
		tank_pipe_top = jQuery('#c_tank_diameter_box').height();
		jQuery('#c_tank_pipe_aada').css({top: tank_pipe_top+'px', left: tank_pipe_left+'px'});
		
		tank_pipe_khada_left = jQuery('#c_tank_pipe_aada').position().left + parseInt(jQuery('#c_tank_pipe_aada').css('marginLeft')) - 8;
		jQuery('#c_tank_pipe_khada').css({top: tank_pipe_top+'px', left: tank_pipe_khada_left+'px'});
		
		
		height_pipe = jQuery('#c_bottom_pipe').offset().top - jQuery('#c_tank_pipe_khada').offset().top - 38;
		jQuery('#c_tank_pipe_lamba').css({top: ( tank_pipe_top+38 ) +'px', left: (tank_pipe_khada_left)+'px', height: height_pipe+'px'});
		jQuery('#c_tank_pipe_khada').css({top: ( tank_pipe_top+30 )+'px', left: tank_pipe_khada_left+'px'});
		jQuery('#c_tank_pipe_aada').css({top: ( tank_pipe_top+30 )+'px', left: (tank_pipe_khada_left+8)+'px'});

//		rapid_top = (tank_height_box + tank_diameter_box_ori_height ) + (tank_platform_box + tank_diameter_box_ori_height );
		rapid_top = jQuery('#c_bottom_pipe').position().top + parseInt(jQuery('#c_bottom_pipe').css('marginTop')) - 10;
		rapid_left = jQuery('#c_bottom_pipe').position().left + parseInt(jQuery('#c_bottom_pipe').css('marginLeft')) - 105;
		jQuery('#c_rapid').css({top: rapid_top+'px', left: rapid_left+'px'});

		
		height_of_tank_diagram_top = jQuery('#c_tank_diameter_box').position().top + (jQuery('#c_tank_diameter_box').height()/2); 
		height_of_tank_diagram_left = 15 + jQuery('#c_tank_diameter_box').width() + jQuery('#c_tank_diameter_box').position().left + parseInt(jQuery('#c_tank_diameter_box').css('marginLeft')); 
		jQuery('#c_height_of_tank_diagram').css({top: height_of_tank_diagram_top +'px', left: height_of_tank_diagram_left + 'px'});
		
		platform_height_diagram_top = jQuery('#c_tank_platform_box').position().top + (jQuery('#c_tank_platform_box').height()/2); 
		platform_height_diagram_left = 45 + jQuery('#c_tank_platform_box').width() + jQuery('#c_tank_platform_box').position().left + parseInt(jQuery('#c_tank_platform_box').css('marginLeft'));
		jQuery('#c_platform_height_diagram').css({top: platform_height_diagram_top +'px', left: platform_height_diagram_left + 'px'});


htop = jQuery('#c_tank_diameter_box').position().top - 40; 
//hheight = jQuery('.tray:last-child').height(); 
hleft = jQuery('#c_tank_diameter_box').position().left + parseInt(jQuery('#c_tank_diameter_box').css('marginLeft')) + 5;
hwidth = jQuery('#c_tank_diameter_box').width(); 
scale('c_tank_diameter_box_line', 'H', 0, htop, 0, hleft, hwidth, '');

htop = jQuery('#c_tank_platform_box').position().top - 65; 
hheight = jQuery('#c_tank_platform_box').height()/2;
hleft = jQuery('#c_tank_platform_box').position().left + parseInt(jQuery('#c_tank_platform_box').css('marginLeft'));
hwidth = jQuery('#c_tank_platform_box').width(); 
scale('c_tank_platform_box', 'VR', hheight, 6, 0, 36, 0, '');

htop = jQuery('#c_tank_diameter_box').position().top - 65; 
hheight = jQuery('#c_tank_diameter_box').height()/2;
hleft = jQuery('#c_tank_diameter_box').position().left + parseInt(jQuery('#c_tank_diameter_box').css('marginLeft'));
hwidth = jQuery('#c_tank_diameter_box').width(); 
scale('c_tank_diameter_box', 'VR', hheight, 6, 0, 0, 0, '');

//scale(cid, dir, top_add, htop, hheight, hleft, hwidth, zindex)

	});
	
	$('#clear_water_tank_calculations').click(function(e) {
		
		$('.platform_box').parent('div').show('slow');
		
		discharge = parseFloat(document.getElementById('cw_discharge').value);
		tank_depth = parseFloat(document.getElementById('cw_tank_depth').value);
		
		tank_area = discharge / tank_depth;
		document.getElementById('cw_tank_area').value = tank_area.toFixed(2);
		
		tank_diameter = Math.pow(((4*tank_area)/3.14), 0.5); 
		document.getElementById('cw_tank_diameter').value = tank_diameter.toFixed(2);
		
		document.getElementById('cw_tank_depth_diagram').innerHTML = tank_depth.toFixed(2) + ' m';
		document.getElementById('cw_tank_diameter_diagram').innerHTML = tank_diameter.toFixed(2) + ' m';
		
		
		tank_diameter_box = (tank_diameter * meter);
		tank_height_box   = (tank_depth * meter);
//		tank_platform_box = (platform_height * (meter - (platform_height+10))  );
		
		jQuery('#cw_tank_diameter_box').width(tank_diameter_box + tank_diameter_box_ori_width );
		jQuery('#cw_tank_diameter_box').css('height', (tank_height_box + tank_diameter_box_ori_height ));
		
		jQuery('#cw_tank_diameter_line').width(tank_diameter_box + tank_diameter_box_ori_width + 140);
		jQuery('#cw_tank_diameter_line_bottom').width(tank_diameter_box + tank_diameter_box_ori_width + 70);
		
//		khada_pipe_diagram_left = jQuery('#cw_tank_diameter_box').position().right + parseInt(jQuery('#cw_tank_diameter_box').css('marginRight')) + 65;
//		jQuery('#cw_tank_depth_diagram').css({left: khada_pipe_diagram_left + 'px'});
		
		aada_pipe_diagram_left = 10 + jQuery('#cw_tank_diameter_box').position().left + parseInt(jQuery('#cw_tank_diameter_box').css('marginLeft'));
		jQuery('#cw_aada_pipe_diagram').css({left: aada_pipe_diagram_left + 'px'});
		jQuery('#cw_pipe_width_diagram').css({left: aada_pipe_diagram_left + 'px'});
		
		khada_pipe_diagram_left = jQuery('#cw_tank_diameter_box').position().left + parseInt(jQuery('#cw_tank_diameter_box').css('marginLeft')) - 57;
		jQuery('#cw_khada_pipe_diagram').css({left: khada_pipe_diagram_left + 'px'});
		
		gol_pipe_diagram_top = jQuery('#cw_tank_diameter_line_bottom').position().top + parseInt(jQuery('#cw_tank_diameter_line_bottom').css('marginTop')) - 50;
		jQuery('#cw_gol_pipe_diagram').css({top: gol_pipe_diagram_top + 'px'});
		
htop = jQuery('#cw_tank_diameter_box').position().top - 65; 
hheight = jQuery('#cw_tank_diameter_box').height()/2;
hleft = jQuery('#cw_tank_diameter_box').position().left + parseInt(jQuery('#cw_tank_diameter_box').css('marginLeft'));
hwidth = jQuery('#cw_tank_diameter_box').width(); 
scale('cw_tank_diameter_box', 'VR', hheight, 6, 0, 0, 0, '');
		
//khada_pipe_diagram_left = jQuery('#cw_tank_diameter_box').position().right + parseInt(jQuery('#cw_tank_diameter_box').css('marginRight')) + 65;
cw_tank_depth_diagram_left = hleft + hwidth + 12;
cw_tank_depth_diagram_top = htop + hheight +65;
jQuery('#cw_tank_depth_diagram').css({left: cw_tank_depth_diagram_left + 'px'});
jQuery('#cw_tank_depth_diagram').css({top: cw_tank_depth_diagram_top + 'px'});
		
htop = jQuery('#cw_tank_diameter_line_bottom').position().top; 
hheight = jQuery('#cw_tank_diameter_line_bottom').height(); 
hwidth = jQuery('#cw_tank_diameter_box').width()+10; 
hleft =  jQuery('#cw_tank_diameter_box').position().left + parseInt(jQuery('#cw_tank_diameter_box').css('marginLeft'));
scale('cw_tank_diameter_line_bottom', 'H', 0, htop, hheight, hleft, hwidth, '');

jQuery('#cw_tank_diameter_diagram').css({top: htop+hheight+14 + 'px'});

	});

	
	$('.diagram').click(function(e) {
		$('html, body').animate({
			scrollTop: $("#footer p a").offset().top
		}, 1000);
	});
	$('#footer p a').click(function(e) {
									e.preventDefault();
		$('html, body').animate({
			scrollTop: $("body").offset().top
		}, 1000);
	});
	
	
	
});



